2010-10-26  Julien Danjou  <julien@danjou.info>

	* gnus-group.el (gnus-group-default-list-level): Add this function to
	compute the default list level.
	(gnus-group-default-list-level): Add possibility to use a function.

2010-10-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-shr): Add undisplayer to MIME handle.

	* gnus-group.el (gnus-group-completing-read)
	(gnus-read-ephemeral-bug-group): Replace replace-regexp-in-string with
	gnus-replace-in-string.

2010-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-div): Added.

2010-10-25  Julien Danjou  <julien@danjou.info>

	* gnus-util.el: Remove `gnus-with-local-quit'.

	* gnus-demon.el (gnus-demon-init): Use run-with-idle-timer function.

2010-10-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-select-article): Fix type error in checking
	the original article buffer.

2010-10-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-head): New function.
	(nnimap-request-move-article): Try to be slighly faster by not
	requesting the entire message when moving.
	(nnimap-transform-headers): Don't bug out on bodiless articles.
	(nnimap-send-command): Have no outstanding messages if the IMAP server
	doesn't support streaming.
	(nnimap-transform-headers): Fold {quoted} strings more sloppily.

2010-10-24  Julien Danjou  <julien@danjou.info>

	* message.el (message-default-headers): Fix type.

2010-10-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-prefetch-images): Decode entities before
	prefetching images.

	* gnus-sum.el (gnus-group-make-articles-read): Propagate marks to the
	backend for unknown groups.  This is mainly useful for nnimap groups.

	* gnus-agent.el (gnus-agent-fetch-group): Don't download stuff if the
	group isn't covered by the agent.

2010-10-22  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-method-default-engines): new variable.
	(nnir-run-query): use it.
	(nnir-group-mode-hook): remove key binding and move to gnus-group.el.
	(gnus-summary-nnir-goto-thread): change group if needed.

	* gnus-group.el (gnus-group-group-map): add key binding for
	gnus-group-make-nnir-group.

2010-10-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-object): Added.

	* gnus-sum.el (gnus-summary-select-article): Make sure we have the
	original article buffer live.
	(gnus-summary-select-article-buffer): Mention
	gnus-widen-article-buffer.

2010-10-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-strong): Added.

2010-10-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-completing-read): Remove all newlines from
	group names.  They mess up the group buffer badly.

	* shr.el (shr-tag-img): Don't bug out on images that don't have a SRC.

	* gnus-group.el (gnus-group-mark-group): Use gnus-group-position-point
	instead of the summary one.

2010-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-preview): Work properly when editing article.

	* gnus-start.el (gnus-read-active-file-1): Don't add method to
	gnus-have-read-active-file if it's already been in.

2010-10-22  Tom Tromey  <tromey@redhat.com>

	* gnus-group.el (gnus-group-unsubscribe-group): Fix args passed to
	gnus-group-completing-read.

2010-10-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-mode-map): Don't bind M-; to comment region, to
	allow the global comment-dwim to work.

2010-10-21  Julien Danjou  <julien@danjou.info>

	* message.el (message-setup-1): Allow message-default-headers to be a
	function.

2010-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-table): Simplify.

2010-10-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-prefetch-images): Only prefetch http images
	to avoid trying to snarf invalid stuff.

	* gnus-sum.el (gnus-summary-edit-article-done): Bind free variable.

	* gnus.el (gnus-message-archive-group): Quote value.
	(gnus-message-archive-group): Mark as changed.

	* shr.el (shr-add-font): Don't put the font properties on the newline
	or the indentation.

	* message.el (message-fix-before-sending): Change options when sending
	non-printable characters.

	* gnus.el (gnus-message-archive-method): Change the default to
	monthly outgoing groups.

	* gnus-sum.el (gnus-summary-edit-article-done): Try to replace articles
	that have gotten new numbers.

	* nnimap.el (nnimap-request-replace-article): New function.

2010-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-wash-html-in-text-plain-parts): Remove.
	(nnrss-request-article): Don't use special html washing code.

2010-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-table): Remove useless nconc.

2010-10-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-wash-html): Simplify and remove the charset
	stuff.  Use the normal html rendering code instead of the special html
	washing code.

	* mm-view.el (mm-text-html-renderer-alist): Add the `shr' and
	`gnus-w3m' symbols.
	(mm-text-html-washer-alist): Removed.

	* mm-decode.el (mm-inline-text-html-renderer): Removed.
	(mm-inline-media-tests): Removed use.
	(mm-text-html-renderer): Change default to the `shr' symbol.

	* mm-view.el (mm-inline-text-html): Removed use.

	* gnus-art.el (gnus-blocked-images): New function.  Allow the
	`gnus-blocked-images' to be a function.
	(gnus-article-wash-function): Removed.

2010-10-20  Julien Danjou  <julien@danjou.info>

	* spam.el (spam-list-of-processors): Mark as obsolete.

	* nnimap.el (nnimap-request-article): Fix BODYSTRUCTURE retrieval.
	(nnimap-insert-partial-structure): Fix boundary detection.

2010-10-20  Andreas Seltenreich  <seltenreich@gmx.de>

	* gnus-draft.el (gnus-draft-check-draft-articles): Don't unnecessarily
	run file-truename on remote files.  This can be expensive and even
	prevent one from editing drafts if some unrelated buffer has a stale
	connection.

2010-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-find-fill-point): Shorten line if the preceding char is
	kinsoku-eol regardless of shr-kinsoku-shorten.
	(shr-tag-table-1): Rename from shr-tag-table; make it a subroutine.
	(shr-tag-table): Support caption, thead, and tfoot.

2010-10-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-find-fill-point): Don't leave blanks at the start of some
	lines.
	(shr-save-contents): New command and keystroke.

	* nndoc.el (nndoc-type-alist): Add git support.
	(nndoc-git-type-p): New function.
	(nndoc-transform-git-article): Ditto.
	(nndoc-transform-git-headers): Ditto.
	(nndoc-transform-git-headers): Generate Subject headers.

	* shr.el (shr-parse-style): New function.
	(shr-tag-span): Ditto.

	* nnmairix.el (nnmairix-summary-mode-hook): Move nnmairix's `$' command
	to `G G' to avoid collisions.

2010-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el: Load kinsoku if necessary.
	(shr-kinsoku-shorten): New internal variable.
	(shr-find-fill-point): Make kinsoku shorten text line if
	shr-kinsoku-shorten is bound to non-nil.
	(shr-tag-table): Bild shr-kinsoku-shorten to t; refer to
	shr-indentation too when testing if table is wider than frame width.
	(shr-insert-table): Use `string-width' instead of `length' to measure
	text width.
	(shr-insert-table-ruler): Make sure indentation is done at bol.

2010-10-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-request-move-article, nnimap-parse-line)
	(nnimap-process-expiry-targets): Use unibyte for buffers that hold
	undecoded network data.

2010-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-toggle-plugged): Use the right minor mode
	name in the mode line spec so that the mode line menu works
	(bug #2431).

	* message.el (message-get-reply-headers): If we're fed `to-address',
	then always use that.

	* gnus-art.el (gnus-article-make-menu-bar): The article/group menus
	aren't so wide as to need to switch off the edit menu.

	* gnus-delay.el (gnus-delay-article): Remove superfluous `group'
	binding.  Suggested by Leo <sdl.web@gmail.com> (bug #6613).

	* nnimap.el (nnimap-request-group): Don't SELECT the group twice on
	`M-g'.
	(nnimap-update-info): Update flags/read marks even if \* isn't part of
	the permanent marks.

2010-10-18  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent):
	Splitting according to references/in-reply-to obeys the ignore-groups
	variable, while splitting by sender and subject do not.

2010-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-dumbquotes-map): Make into a char/string
	alist, so that we can look for non-Unicode chars.
	(article-translate-strings): Allow both character and string maps.

2010-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert): Don't insert space behind a wide character
	categorized as kinsoku-bol, or between characters both categorized as
	nospace.

2010-10-16  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-thread): Bug fix. Add the thread
	headers to gnus-newsgroup-headers.

2010-10-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-img): Don't align images -- since we're not
	rescaling, this often leads to ugly displays.

2010-10-15  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-thread): Unconditionally ignore
	duplicates.

2010-10-15  Kan-Ru Chen  <kanru@kanru.info>  (tiny change)

	* gnus-diary.el (gnus-diary-check-message): Fix gnus-completing-read
	call.

2010-10-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el: Autoload gnus-html-show-images.

	* nnimap.el: Use nnheader-message throughout.

	* shr.el (shr-tag-img): Ignore images with no data.

2010-10-15  Julien Danjou  <julien@danjou.info>

	* mml.el (mml-generate-mime-1): Add `mml-enable-flowed' variable to add
	a possibility to disable format=flow encoding when using hard newlines.

2010-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert): Remove space inserted before or after a
	breakable character or at the beginning or the end of a line.
	(shr-find-fill-point): Do kinsoku; find the second best point or give
	it up if there's no breakable point.

2010-10-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): Message when opening connection
	for debugging purposes.

	* gnus-art.el (gnus-article-setup-buffer): Set article mode truncation
	on every setup buffer call to allow this to change from article to
	article.

	* shr.el (shr-tag-table): Experimental feature: Truncate lines in
	buffers where we have a wide table.

2010-10-14  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-thread): Implement a version that
	uses *-request-thread.

2010-10-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): Remove %s from openssl
	incantation, which is no longer valid.

2010-10-14  Julien Danjou  <julien@danjou.info>

	* shr.el: Fix defcustom type (char -> character).

2010-10-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): tls-program should be a list of
	programs.

2010-10-14  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-a): Use url-link as widget type.

	* gnus-group.el (gnus-group-insert-group-line): Fix group argument to
	`gnus-group-get-icon'.

2010-10-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-close-server): Forget the nnimap data on close.
	This should make server editing work better.

	* shr.el (shr-find-fill-point): Don't inloop on indented text.

	* nnimap.el (nnimap-open-connection): Fix open-tls-stream call.
	(nnimap-parse-flags): Fix regexp.

	* shr.el (shr-find-fill-point): Use a filling algorithm that should
	probably work for CJVK text, too.

	* nnimap.el (nnimap-extend-tls-programs): Removed.
	(nnimap-open-connection): Bind STARTTLS to openssl explicitly.

2010-10-13  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-parse-flags): Be more strict when looking for FETCH
	responses.

2010-10-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-shr): Allow use from non-Gnus users.

	* gnus-spec.el (gnus-parse-simple-format): princ doesn't really insert
	anything in Emacs.

	* shr.el (shr-current-column): Remove buggy and unnecessary function.

2010-10-13  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-width): Make shr-width a defcustom with default to
	fill-column.
	(shr-tag-img): Use shr-width rather than fill-column.

2010-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-dired.el (gnus-dired-attach): Silence XEmacs 21.5 when compiling.

	* gnus-gravatar.el (gnus-gravatar-transform-address): Adjust avatars'
	position when (X-)Faces exist.
	(gnus-treat-from-gravatar, gnus-treat-mail-gravatar): Force displaying
	avatars when called interactively.

2010-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-gravatar-too-ugly): Don't test if
	gnus-article-x-face-too-ugly is bound.

2010-10-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* rfc2231.el (rfc2231-parse-string): Ignore repeated parts.

	* nnimap.el (nnimap-request-rename-group): Unselect by selecting a
	mailbox that doesn't exist.

2010-10-12  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-img): Encode URL properly when retrieving.
	(shr-get-image-data): Encode URL properly when fetching from cache.
	(shr-tag-img): Use aligned-to spaces to align correctly images.

	* gnus-gravatar.el (gnus-gravatar-insert): Check if buffer is alive
	before inserting the Gravatar.

	* shr.el (shr-tag-img): Add align attribute support for <img>.

2010-10-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-gravatar.el (gnus-art): Required.

	* gnus-sum.el (gnus-summary-mark-as-unread-forward)
	(gnus-summary-mark-as-unread-backward, gnus-summary-mark-as-unread):
	Remove long obsoleted functions.

2010-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnimap.el (gnutls-negotiate): Silence the byte compiler.

	* gnus-art.el, gnus-cache.el, gnus-fun.el, gnus-group.el,
	gnus-picon.el, gnus-spec.el, gnus-sum.el, gnus-util.el, gnus.el,
	mail-source.el, message.el, mm-bodies.el, mm-decode.el, mm-extern.el,
	mm-util.el, mm-view.el, mml-smime.el, mml.el, mml1991.el, mml2015.el,
	nnfolder.el, nnheader.el, nnmail.el, nnmaildir.el, nnrss.el, nntp.el,
	rfc1843.el, sieve-manage.el, smime.el, spam.el:
	Fix comment for declare-function.

2010-10-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-rename-group): Select group read-only
	before renaming it.

	* shr.el (shr-insert): Fix up the white space only regexp.

	* nnimap.el (nnimap-transform-split-mail): Not all articles have
	bodies.  Protect against this.  Reported by Michael Welsh Duggan.

	* shr.el (shr-current-column): New function.
	(shr-find-fill-point): New function.

2010-10-11  Michael Welsh Duggan  <md5i@md5i.com>  (tiny change)

	* sieve-manage.el (sieve-manage-open): Allow port names as well as port
	numbers.

2010-10-11  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-hr-line): Add.
	(shr-tag-hr): Use shr-hr-line to specify which character to use to
	display hr lines.
	(shr-max-columns): Do not change state to nil if we just inserting
	spaces.

2010-10-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-topic.el (gnus-topic-read-group): If after the last group,
	select the last group.

2010-10-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-int.el (gnus-run-hook-with-args): Autoload from gnus-util.el.

2010-10-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-qresync-info): \Flagged messages are read
	for Gnus.
	(nnimap-retrieve-group-data-early): utf7-encode the group parameters.
	(nnimap-update-qresync-info): Mark \Seen articles as read.

	* gnus-sum.el (gnus-summary-set-local-parameters): Ignore the `active'
	non-variable, too.

	* nnimap.el (nnimap-open-connection): Use gnutls STARTTLS, if
	available.
	(nnimap-update-info): Rely more on the current active than the param
	active to avoid marking articles as read too much.

	* auth-source.el (auth-source-create): Use (user-login-name) for the
	user name default.

	* nnimap.el (nnimap-update-info): If the server doesn't return any
	useful info, just use the previous info.
	(nnimap-update-info): Prefer old info over start-article.
	(nnimap-update-qresync-info): Finish implementing QRESYNC.

2010-10-10  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (autoload): Clean up autoloads.
	(nnir-imap-default-search-key): Renamed from
	nnir-imap-search-field. Use key rather than value.
	(nnir-imap-search-other): New variable.
	(nnir-read-parm): Use it.
	(nnir-imap-expr-to-imap): Use %S rather than imap-quote-specials.
	(gnus-summary-nnir-goto-thread): Modify to work with imap.

2010-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-wait-for-response): If the user hits `C-g', kill
	the process, too.

2010-10-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam.el (gnus-summary-mode-map): Bind to "$".  Suggested by Russ
	Allbery.

	* shr.el: Rework the way things are indented by <li> slightly.

	* gnus.el (gnus-group-set-parameter): Fix typo.

	* nnimap.el: Start implementing QRESYNC support.

2010-10-09  Julien Danjou  <julien@danjou.info>

	* nnir.el (nnir-engines): Fix too many arguments.

2010-10-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-expiry-target-group): Say that every expiry target
	group is the "last", so that the backends like nnfolder actually save
	their folders.

	* nnimap.el (nnimap-open-connection): If we have gnutls loaded, then
	try to use that for the tls stream.
	(nnimap-retrieve-group-data-early): Rework the marks code to heed
	UIDVALIDITY and find out which groups are read-only and not.
	(nnimap-get-flags): Use the same marks parsing code as the rest of
	nnimap.

2010-10-09  Julien Danjou  <julien@danjou.info>

	* nnir.el (nnir-read-parm): Fix call to gnus-completing-read.

	* gnus-gravatar.el (gnus-gravatar-transform-address): Error errors when
	retrieving gravatars.

	* shr.el (shr-table-corner): Add.
	(shr-table-line): Add.
	(shr-insert-table-ruler): Use the above defcustoms to insert tables.

2010-10-08  Julien Danjou  <julien@danjou.info>

	* mm-decode.el (mm-text-html-renderer): Add mm-shr in choice list.

2010-10-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-alist-pull): Rename `gnus-pull'.

	* gnus-sum.el (gnus-mark-article-as-unread)
	(gnus-summary-mark-article-as-unread, gnus-summary-remove-bookmark)
	(gnus-summary-set-bookmark): Use it.

	* gnus-msg.el (gnus-setup-message): Use it.

	* gnus-demon.el (gnus-demon-remove-handler): Use it.

	* gnus.el (gnus-group-remove-parameter): Use it.

	* gnus-group.el (gnus-group-make-web-group): Use it.

	* gnus-demon.el (gnus-demon-remove-handler): Use it.

	* nnregistry.el: Update docs to mention manual.

	* gnus-registry.el: Update docs to mention nnregistry.el.
	(gnus-registry-initialize): Don't install nnregistry refer method
	automatically.
	(gnus-registry-install-nnregistry): Remove it.

2010-10-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Don't insert double spaces.

2010-10-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-treat-from-gravatar)
	(gnus-treat-mail-gravatar): Bind gnus-gravatar-too-ugly to nil when
	called interactively.

	* gnus-art.el (gnus-mime-view-part-externally)
	(gnus-mime-view-part-internally): Make predicate function passed to
	gnus-mime-view-part-as-type assume argument is a mime type, not a list
	of a mime type.

	* shr.el (shr-table-widths): Don't use cl function `reduce'.

2010-10-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (require): Require cl when compiling.
	(shr-tag-hr): New function.

	* nnimap.el (nnimap-update-info): Remove double setting of high.
	(nnimap-update-info): Don't ignore groups that have no UIDNEXT.  This
	makes nnimap work properly on Courier again.

	* gnus.el (gnus-carpal): The carpal mode has been removed, but define
	the variable for backwards compatability.

	* mm-decode.el (mm-save-part): If given a non-directory result, expand
	the file name before using to avoid setting mm-default-directory to
	nil.

	* gnus-start.el (gnus-get-unread-articles): Require gnus-agent before
	bidning gnus-agent variables.

	* shr.el (shr-render-td): Use a cache for the table rendering function
	to avoid getting an exponential rendering behaviour in nested tables.
	(shr-insert): Rework the line-breaking algorithm.
	(shr-insert): Don't leave trailing spaces.
	(shr-insert-table): Also insert empty TDs.
	(shr-tag-blockquote): Ensure paragraphs after </ul>.

2010-10-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-number): Rename from `number'.
	(gnus-article-marked-p, gnus-summary-limit-to-display-predicate)
	(gnus-summary-limit-children): Update uses correspondingly.

2010-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-gravatar-too-ugly): New user option.
	(gnus-gravatar-transform-address): Don't show avatars of people of
	which mail addresses match gnus-gravatar-too-ugly.

2010-10-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-widths): Expand TD elements to fill available
	space.

2010-10-07  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-request-rename-group): Add this method.

2010-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-schedule-image-fetching): Remove function
	name from XEmacs' function-arglist.

	* gnus-gravatar.el (gnus-gravatar-insert): Don't add properties to
	gravatar under XEmacs.

2010-10-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Update docs with TODO items.

	* gnus-sync.el: Update docs to explain state and plans.

	* gnus-int.el (gnus-after-set-mark-hook, gnus-before-update-mark-hook):
	Hooks for mark updates.
	(gnus-request-set-mark, gnus-request-update-mark): Use them.

	* gnus-util.el (gnus-run-hooks-with-args): Convenience function to run
	hooks with arguments, which is needed for mark update hooks.

2010-10-06  Julien Danjou  <julien@danjou.info>

	* gnus.el (gnus-expand-group-parameter): Only return and act on what
	was matched.

	* sieve-manage.el: Update example in `Commentary'.

	* sieve.el (sieve-open-server): Use sieve-manage-authenticate.

	* sieve-manage.el (sieve-manage-open): Use sieve-manage-default-port,
	not 2000.
	(sieve-manage-authenticate): Re-add function.

2010-10-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Get 'space transition right.
	(shr-render-td): Only delete space at the end of the TD.

	* nnimap.el (nnimap-open-connection): Prepare to support
	open-gnutls-stream.

	* shr.el: Rearrange function order to be more logical.

2010-10-06  Julien Danjou  <julien@danjou.info>

	* nnrss.el (nnrss-check-group): Remove 404 URL in comment.
	(nnrss-discover-feed): Remove 404 URL in docstring.

	* nnir.el: Fix Swish-E URL.
	Fix Namazu URL.

	* message.el (message-change-subject): Remove 404 URL in a comment.

2010-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-view-part-as-type): Make it work when being
	called interactively.

	* gnus-util.el (gnus-remove-if): Allow hash table.
	(gnus-remove-if-not): New function.

	* gnus-art.el (gnus-mime-view-part-as-type)
	* gnus-score.el (gnus-summary-score-effect)
	* gnus-sum.el (gnus-read-move-group-name):
	Replace remove-if-not with gnus-remove-if-not.

	* gnus-group.el (gnus-group-completing-read):
	Regard collection as a hash table if it is not a list.

2010-10-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-render-td): Allow blank/missing <TD>s.

	* shr.el: Document the table-rendering algorithm.

	* gnus-html.el (gnus-html-schedule-image-fetching): Protect against
	invalid URLs.

	* shr.el (shr-tag-img): Shorten ALT texts and allow them to be
	line-broken.
	(shr-tag-img): Ignore image fetching errors.
	(shr-overlays-in-region): Compute overlay positions correctly.

	* mm-decode.el (mm-shr): Require shr.

	* gnus-art.el (gnus-blocked-images): Move variable here.

	* shr.el (shr-insert-table): Bind free variable.

	* mm-decode.el (mm-shr): Bind shr-content-function.

	* shr.el (shr-content-function): New variable.

	* gnus-sum.el (gnus-article-sort-by-most-recent-date): New function,
	added for symmetry.

	* nnir.el (nnir-retrieve-headers): Don't bug out on invalid data.

	* gnus-group.el (gnus-group-make-group): Doc fix.

	* nnimap.el (nnimap-request-newgroups): Return success.

	* shr.el (shr-find-elements): New function.
	(shr-tag-table): Put all the images after the table.
	(shr-tag-table): Really inhibit images inside the table.
	(shr-collect-overlays): Copy over overlays from the TD elements to the
	main document.

	* mm-decode.el (mm-shr): Bind shr-blocked-images to
	gnus-blocked-images.

2010-10-05  Julien Danjou  <julien@danjou.info>

	* sieve-manage.el (sieve-sasl-auth): Use auth-source to authenticate.

	* gnus-html.el (gnus-html-wash-images): Rescale image from cid too.
	(gnus-html-maximum-image-size): Add this function.
	(gnus-html-put-image): Use gnus-html-maximum-image-size.

	* sieve-manage.el (sieve-manage-capability): Do not bug out when the
	server-value of the capability is nil.

2010-10-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-em): Add <EM> tag.

2010-10-05  Florian Ragwitz  <rafl@debian.org>  (tiny change)

	* sieve-manage.el (sieve-manage-default-stream): Make default stream
	customizable.

	* gnus-html.el (gnus-html-wash-tags): Decode URL entities to avoid
	handing broken links to browse-url.

2010-10-05  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-emacs-completing-read)
	(gnus-iswitchb-completing-read): Use autoload rather than require.

2010-10-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-completing-read-function): Exclude
	gnus-icompleting-read and gnus-ido-completing-read from candidates for
	XEmacs since iswitchb.el is very old and ido.el is unavailable in
	XEmacs.

	* gnus-registry.el (gnus-registry-install-nnregistry): Rewrite so as
	not to use `delete-dups' that is unavailable in XEmacs 21.4.

	* gnus-html.el: Don't require help-fns under XEmacs.
	(gnus-html-schedule-image-fetching): Work for XEmacs.

	* mm-decode.el (mm-shr): Decode contents by charset.

2010-10-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): Give an error if nnimap-stream is
	unknown.

	* shr.el (shr-tag-blockquote): Ensure paragraph after quote, too.
	(shr-get-image-data): Ensure against the cache file missing.

	* nnimap.el (nnimap-finish-retrieve-group-infos): Message while waiting
	for data.

	* spam-report.el (spam-report-url-ping-plain): Don't query about
	killing the process.

	* shr.el (shr-render-td): Protect against too-wide text.

2010-10-04  Julien Danjou  <julien@danjou.info>

	* mml-smime.el (mml-smime-openssl-encrypt-query): Fix choices.
	(mml-smime-openssl-sign-query): Fix gnus-completing-read call.

	* gravatar.el (gravatar-retrieved): Kill buffer when gravatar has been
	retrieved.

2010-10-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (browse-url): Required.
	(shr-ensure-paragraph): Don't insert a new newline after empty-ish
	lines.
	(shr-show-alt-text, shr-browse-image): New commands.
	(shr-browse-url, shr-copy-url): New commands.

	* gnus-sum.el (gnus-widen-article-window): New variable.
	(gnus-summary-select-article-buffer): Use it.

	* message.el (message-idna-to-ascii-rhs-1): Don't bug out on addresses
	without @ signs.

2010-10-04  Michael Welsh Duggan  <md5i@md5i.com>  (tiny change)

	* nnir.el (nnir-run-imap): Remove spurious space in search string.

2010-10-04  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-emacs-completing-read): Mapcar collection to list,
	for XEmacs.

2010-10-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-salt.el: Remove all gnus-carpal stuff -- it's not useful.

	* nnimap.el (nnimap-open-connection): Allow tls as a synonym for ssl.
	(nnimap-close-server): Implement.

	* shr.el (shr-ensure-paragraph): Fix the non-empty line case.
	(shr-insert): Tweak line breaking.
	(shr-insert): Handle <pre> better.
	(shr-tag-li): Get <li> indentation right.
	(shr-tag-li): Get <li> indentation even righter.
	(shr-tag-blockquote): Ensure paragraph start.
	(shr-make-table): Tweak table generation.
	(shr-make-table): Fix typo.

	* shr.el: Implement table rendering.

2010-10-04  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-put-image): Fix resize image code.

2010-10-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Use string anchors instead of line anchors.

2010-10-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el: Add headings.
	(shr-ensure-paragraph): Actually work.
	(shr-tag-li): Make <ul> prettier.
	(shr-insert): Get white space at the beginning/end of elements right.
	(shr-tag-p): Collapse subsequent <p>s.
	(shr-ensure-paragraph): Don't insert double line feeds after blank
	lines.
	(shr-insert): \t is also space.
	(shr-tag-s): Fix "s" tag name function.
	(shr-tag-s): Fix face prop name.

2010-10-03  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-put-image): Use gnus-rescale-image.

	* mm-view.el (gnus-window-inside-pixel-edges): Add autoload for
	gnus-window-inside-pixel-edges.

	* gnus-ems.el (gnus-window-inside-pixel-edges): Move from gnus-html to
	gnus-ems.

	* mm-view.el (mm-inline-image-emacs): Support image resizing.

	* gnus-util.el (gnus-rescale-image): Add generic gnus-rescale-image
	function.

	* mm-decode.el (mm-inline-large-images): Enhance defcustom and add
	resize choice.

2010-10-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-p): Don't insert newlines on empty tags at the
	beginning of the buffer.

	* gnus-sum.el (gnus-summary-select-article-buffer): Really select the
	article buffer again.

	* shr.el (shr-tag-p): Don't insert newlines at the start of the
	buffer.

	* mm-decode.el (mm-shr): Narrow before inserting, so that shr can know
	when it's at the start of the buffer.

	* shr.el (shr-tag-blockquote): Convert name.
	(shr-rescale-image): Use the right image-size variant.

	* gnus-sum.el (gnus-summary-select-article-buffer): If the article
	buffer isn't shown, then select the current article first instead of
	bugging out.
	(gnus-summary-select-article-buffer): Show both the article and summary
	buffers again.

	* shr.el (shr-fontize-cont): Protect against regions with no text.
	Rename tag functions to shr-tag-* for enhanced security.
	(shr-tag-ul, shr-tag-ol, shr-tag-li, shr-tag-br): New functions.

2010-10-03  Chong Yidong  <cyd@stupidchicken.com>

	* shr.el (shr-insert):
	* pop3.el (pop3-movemail):
	* gnus-html.el (gnus-html-wash-tags): Don't use plusp, as cl may not be
	loaded.

2010-10-03  Glenn Morris  <rgm@gnu.org>

	* nnmairix.el (nnmairix-replace-illegal-chars): Drop Emacs 20 code.

	* smime.el (smime-cert-by-ldap-1): Drop Emacs 21 code.

	* gnus-art.el (gnus-next-page-map): Drop Emacs 20 compat cruft.

	* gmm-utils.el (gmm-write-region): Drop Emacs 20 compat cruft.

	* gnus-util.el (gnus-make-local-hook): Simplify.

2010-10-02  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-iswitchb-completing-read): New function.
	(gnus-ido-completing-read): New function.
	(gnus-emacs-completing-read): New function.
	(gnus-completing-read): Use gnus-completing-read-function.
	Add gnus-completing-read-function.

2010-10-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert-document): Autoload.
	(shr-img): Be silent.
	(shr-insert): Add a newline after every picture before text.
	(shr-add-font): Use overlays for combining faces.
	(shr-insert): Pass upwards the text start point.

	* mm-decode.el (mm-text-html-renderer): Default to shr.el rendering, if
	possible.
	(mm-shr): New function.

2010-10-02  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-insert): Adjust character where we
	should go backward.

2010-10-02  Juanma Barranquero  <lekktu@gmail.com>

	* shr.el (shr): Fix typo in provide call.

2010-10-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el: New file.

	* gnus-html.el (gnus-html-schedule-image-fetching): Be silent.

	* gnus-topic.el (gnus-topic-move-group): Fix the syntax of the
	completing read.

2010-10-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-check-bogus-newsgroups): Say how many groups
	we're being queried about.  Suggested by Dan Jacobson.

	* nndoc.el (nndoc-type-alist): Do babyl before mime-parts.  Suggested
	by Jason Eisner.

	* gnus-async.el (gnus-async-delete-prefetched-entry): Remove from hash
	table, too.  Suggested by Stefan Wiens.
	(gnus-async-prefetched-article-entry): Use intern-soft to avoid growing
	the table unnecessary.  Suggested by Stefan Wiens.

	* gnus-sum.el (gnus-summary-clear-local-variables): This is probably no
	longer needed, and probably doesn't work either, as pointed out by
	Stefan Wiens.
	(gnus-summary-exit): Remove call to the clearing function.
	(gnus-summary-exit-no-update): Ditto.

	* gnus-art.el (gnus-summary-save-in-file): Use with-current-buffer
	instead of gnus-eval-in-buffer-window to avoid popping up frames.
	Reported by Stefan Monnier.
	(gnus-summary-save-in-rmail): Ditto.

	* gnus-sum.el (gnus-summary-select-article-buffer): Show only the
	article buffer, instead of both the article buffer and the summary
	buffer.  Sort of suggested by Dan Jacobson.

	* gnus-win.el (gnus-buffer-configuration): Add an only-article spec.

	* nnmbox.el (nnmbox-read-mbox): Mark buffer for deletion on Gnus exit.
	Suggested by Dan Jacobson.

	* mm-encode.el (mm-content-transfer-encoding-defaults): Try to make the
	documentation clearer.

	* message.el (message-shorten-references): Comment on the number "21".
	Suggested by Stefan Monnier.

	* gnus-sum.el (gnus-summary-scroll-up): Add more documentation.
	Suggested by Dan Jacobson.

	* gnus.el (gnus-large-newsgroup): Mention
	gnus-large-ephemeral-newsgroup.  Suggested by Dan Jacobson.

	* gnus-msg.el (gnus-summary-resend-message): When resending, don't
	externalize attachments.  Bug reported by Steve Wen.

	* gnus.el (gnus-continuum-version): Make inactive, since it doesn't
	really message anything to the user.

	* nnmail.el (nnmail-article-group): Allow using the fancy split method
	directly.

	* nnimap.el (nnimap-request-group): Low higher than high to signal no
	messages in empty groups.

2010-10-01  Ted Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-request-group): Don't bug out when there's an empty
	non-UIDNEXT group.

2010-10-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-completing-read): Return the symbol name,
	not the value from the collection.

	* nnimap.el (nnimap-update-info): Ignore groups that have no UIDNEXT
	values.  This sometimes happens on some groups that have no info.
	(nnimap-request-newgroups): New function.

2010-10-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install-nnregistry): Move the feature
	check into `gnus-registry-initialize'.
	(gnus-registry-initialize): Ditto.
	Fix and extend header docs.

2010-10-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-prefetch-images): Adjust regexp to avoid
	regexp backtrace overflows.

	* nnimap.el (nnimap-extend-tls-programs): Only extend those programs
	for starttls that tls.el implements; i.e. openssl.

2010-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gravatar.el: Don't load image.el that XEmacs doesn't provide.
	(gravatar-create-image): New function that's an alias to
	gnus-xmas-create-image, gnus-create-image, or create-image.
	(gravatar-data->image): Use it.

2010-09-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install-nnregistry): New function to
	install the nnregistry refer method.
	(gnus-registry-install-hooks): Use it.
	(gnus-registry-unfollowed-groups): Add nnmairix to the default
	unfollowed groups.

2010-09-30  Jose A. Ortega Ruiz  <jao@gnu.org>  (tiny change)

	* gnus-sum.el (gnus-summary-show-thread): Skip past invisible text when
	expanding threads.

2010-09-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnir.el: Use the server names without suffixes (bug #7009).

	* nnimap.el (nnimap-open-connection): Reinstate the auto-upgrade from
	unencrypted to STARTTLS, if possible.

2010-09-30  Teemu Likonen  <tlikonen@iki.fi>  (tiny change)

	* message.el (message-ignored-supersedes-headers): Strip Injection-*
	headers before superseding.

2010-09-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnrss.el (nnrss-use-local): Add documentation.

	* nnimap.el (nnimap-extend-tls-programs): New function.
	(nnimap-open-connection): Use tls.el exclusively, and not starttls.el.
	(nnimap-wait-for-connection): Accept the greeting from the stupid
	output from openssl s_client -starttls, too.

	* nnimap.el (nnimap-find-article-by-message-id): Really return the
	article number.
	(nnimap-split-fancy): New variable.
	(nnimap-split-incoming-mail): Use it.

	* nntp.el (nntp-server-list-active-group): Document.

	* nnimap.el (nnimap-find-article-by-message-id): Use EXAMINE instead of
	SELECT to get the message-id.

	* mail-source.el (mail-sources): Removed webmail support.
	(defvar): Ditto.
	(mail-source-fetcher-alist): Ditto.
	(mail-source-fetch-webmail): Removed.

	* webmail.el: Removed -- doesn't seem relevant any more.

	* gnus.el: Fix up make-obsolete-variable declarations throughout.

	* nnimap.el (nnimap-request-accept-article): Get the Message-ID without
	the \r.

2010-09-30  Julien Danjou  <julien@danjou.info>

	* gnus-agent.el (gnus-agent-add-group): Fix call to
	gnus-completing-read.

2010-09-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndoc.el (nndoc-retrieve-groups): New function.

	* nnimap.el (nnimap-split-incoming-mail): If nnimap-split-methods is
	`default', use nnmail-split-methods.
	(nnimap-request-article): Downcase the NILs so that they are nil.

	* gnus-sum.el (gnus-valid-move-group-p): Make sure that `group' is a
	symbol.

	* nnimap.el (nnimap-open-connection): Revert the auto-network->starttls
	code, since if the user has requested network, that's what they ought
	to get.
	(nnimap-request-set-mark): Erase the buffer before issuing commands.
	(nnimap-split-rule): Mark as obsolete.

	* pop3.el (pop3-send-streaming-command, pop3-stream-length): New
	variable.

	* nnimap.el (nnimap-insert-partial-structure): Get the type from the
	correct slot, too.

2010-09-29  Julien Danjou  <julien@danjou.info>

	* gnus.el (gnus-local-domain): Declare variable obsolete.

	* gnus-util.el (gnus-icompleting-read): Require iswitchb. Fix history
	computing.
	(gnus-ido-completing-read): Require ido.

2010-09-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-registry.el: Don't prompt on load, which makes it impossible to
	build Gnus.

	* nnimap.el (nnimap-insert-partial-structure): Be way more permissive
	when interpreting the structures.
	(nnimap-request-accept-article): Add \r\n to the lines to make this
	work with Cyrus.

	* nndraft.el (nndraft-request-expire-articles): Use the group name
	instead if "nndraft".  Fix found by Nils Ackermann.

2010-09-29  Ludovic Courtes  <ludo@gnu.org>

	* nnregistry.el: Added.

2010-09-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnmail.el (group, group-art-list, group-art):
	Remove unneeded directives.

2010-09-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-codepage-iso-8859-list, mm-charset-eval-alist)
	(mm-mime-charset)
	* rfc2047.el (rfc2047-syntax-table)
	* utf7.el (utf7-utf-16-coding-system): Comment fix.

	* nnrss.el (nnrss-read-server-data, nnrss-read-group-data): Use `load'
	rather than `insert-file-contents' and `eval-region'.

2010-09-29  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-properties): Add this properties in
	replacement of `gnus-gravatar-relief' to mimic
	`gnus-faces-properties-alist'.
	Add :version property.

2010-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail-source.el (mail-source-report-new-mail)
	* message.el (message-default-mail-headers)
	* mm-decode.el (mm-valid-image-format-p): Comment fix.

	* mml2015.el (mml2015-use): Don't bind recursive-load-depth-limit.

2010-09-28  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-insert): Fix search in case
	mail-address contains the same string as real-name.

	* gnus-ems.el (gnus-put-image): Revert Lars, change and insert
	non-blank in header, otherwise it'll get stripped.

	* gnus-gravatar.el (gnus-gravatar-insert): Search backward for
	real-name, and then for mail address rather than doing : or , search.

2010-09-27  Julien Danjou  <julien@danjou.info>

	* gnus-srvr.el (gnus-server-add-server): Use gnus-completing-read.
	(gnus-server-goto-server): Use gnus-completing-read.

	* mm-view.el (mm-view-pkcs7-decrypt): Use gnus-completing-read.

	* mm-util.el (defalias): Use gnus-completing-read.
	(mm-codepage-setup): Use gnus-completing-read.

	* smime.el (smime-sign-buffer): Use gnus-completing-read.
	(smime-decrypt-buffer): Use gnus-completing-read.

	* mml-smime.el (mml-smime-openssl-sign-query): Use gnus-completing-read.

	* mml.el (mml-minibuffer-read-type): Use gnus-completing-read.
	(mml-minibuffer-read-disposition): Use gnus-completing-read.
	(mml-insert-multipart): Use gnus-completing-read.

	* gnus-msg.el (gnus-summary-yank-message): Use gnus-completing-read.

	* gnus-int.el (gnus-start-news-server): Use gnus-completing-read.

	* mm-decode.el (mm-interactively-view-part): Use gnus-completing-read.

	* gnus-dired.el (gnus-dired-attach): Use gnus-completing-read.

	* gnus.el (gnus-read-method): Use gnus-completing-read.

	* gnus-bookmark.el (gnus-bookmark-jump): Use gnus-completing-read.

	* gnus-art.el (gnus-mime-view-part-as-type): Use gnus-completing-read.
	(gnus-mime-action-on-part): Use gnus-completing-read.
	(gnus-article-encrypt-body): Use gnus-completing-read.

	* gnus-topic.el (gnus-topic-jump-to-topic): Use gnus-completing-read.
	(gnus-topic-move-matching): Use gnus-completing-read.
	(gnus-topic-copy-matching): Use gnus-completing-read.
	(gnus-topic-sort-topics): Use gnus-completing-read.
	(gnus-topic-move): Use gnus-completing-read.

	* gnus-agent.el (gnus-agent-read-group): Remove prompt computing.
	(gnus-agent-add-group): Use gnus-completing-read.

	* nnmairix.el (nnmairix-create-server-and-default-group): Use
	gnus-completing-read.
	(nnmairix-update-groups): Use gnus-completing-read.
	(nnmairix-get-server): Use gnus-completing-read.
	(nnmairix-backend-to-server): Use gnus-completing-read.
	(nnmairix-goto-original-article): Use gnus-completing-read.
	(nnmairix-get-group-from-file-path): Use gnus-completing-read.

	* nnrss.el (nnrss-find-rss-via-syndic8): Use gnus-completing-read.

	* gnus-group.el (gnus-group-completing-read): Use gnus-completing-read.
	(gnus-group-make-useful-group): Use gnus-completing-read.
	(gnus-group-make-web-group): Use gnus-completing-read.
	(gnus-group-add-to-virtual): Use gnus-completing-read.
	(gnus-group-browse-foreign-server): Use gnus-completing-read.

	* gnus-sum.el (gnus-summary-goto-article): Use gnus-completing-read.
	(gnus-summary-limit-to-extra): Use gnus-completing-read.
	(gnus-summary-execute-command): Use gnus-completing-read.
	(gnus-summary-respool-article): Use gnus-completing-read.
	(gnus-read-move-group-name): Use gnus-completing-read.

	* gnus-score.el (gnus-summary-increase-score): Use gnus-completing-read.
	(gnus-summary-score-effect): Use gnus-completing-read.

	* gnus-registry.el (gnus-registry-read-mark): Use gnus-completing-read.

	* gnus-util.el (gnus-completing-read): Use gnus-use-ido to apply the
	right completing-read function.
	(gnus-use-ido): New variable
	(gnus-completing-read-with-default): Remove.

2010-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnimap.el (auth-source-forget-user-or-password)
	(auth-source-user-or-password): Autoload.

	* message.el (message-from-style, message-interactive)
	(message-signature): Remove comment.
	(message-cite-prefix-regexp): Default to mail-citation-prefix-regexp
	always.
	(message-sendmail-envelope-from): Comment fix.
	(message-yank-prefix): Default to mail-yank-prefix always.
	(message-indentation-spaces): Default to mail-indentation-spaces always.
	(message-signature-file): Default to mail-signature-file always.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-read-group-1): Set gnus-newsgroup-highest.
	(gnus-summary-insert-new-articles): Use gnus-newsgroup-highest to get
	new articles.

	* nnimap.el (nnimap-request-article): Don't partial-fetch single-part
	parts.
	(nnimap-request-article): Work with the t setting, too.

	* gnus-sum.el (gnus-summary-exit): Kill the article buffer later, so
	that you don't get flashes of other buffers.
	(gnus-summary-show-complete-article): Intern before setting.

2010-09-27  David Engster  <dengste@eml.cc>

	* nnmairix.el: (nnmairix-replace-group-and-numbers): Deal with NOV as
	well as HEADERS.
	(nnmairix-retrieve-headers): Provide new argument for the above.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-move-article): Don't alter
	gnus-newsgroup-active.  This makes `/ N' work after copying to the same
	group.

	* nnimap.el (nnimap-update-info): Don't destructively alter active.

	* message.el (message-cite-prefix-regexp): Revert my last edit.

	* gnus-sum.el (gnus-summary-show-complete-article): Bind the server
	variable instead of the Gnus variable.

	* nnimap.el (nnimap-find-wanted-parts-1): Use it.

	* gnus-art.el (gnus-fetch-partial-articles): Moved back to nnimap
	again.

	* nnimap.el (nnimap-request-accept-article): Remove the "." at the end,
	since some servers don't like it.
	(nnimap-open-connection): Forget credentials if the server says the
	password was wrong.
	(nnimap-parse-line): Protect against invalid data.

	* gnus-sum.el (gnus-summary-move-article): Add comment.
	(gnus-summary-insert-new-articles): Copy the old-high watermark so that
	nothing alters it while scanning for new messages.

	* nnimap.el (nnimap-request-accept-article): Send a "." at the end,
	which may or may not help.
	(nnimap-open-connection): If we're doing a stream connection, and then
	discover we're on a STARTTLS-capable server, then open a STARTTLS
	connection instead.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (utf7): Required.

	* message.el (message-cite-prefix-regexp): Remove "}" from citation
	prefix.

2010-09-27  Juanma Barranquero  <lekktu@gmail.com>

	* nnmail.el (nnmail-fancy-expiry-targets): Fix typo in docstring.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-accept-article): Message the error on
	error.

2010-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-delete-part): Fix Lisp type of byte(s).

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndoc.el (nndoc-request-list): Return success always.

	* gnus-agent.el (gnus-agent-retrieve-headers): Don't propagate
	`fetch-old' -- we only want to fetch the articles we've requested.  The
	rest are in the agent, probably.
	(gnus-agent-read-servers-validate): Change the level for the "Ignoring
	disappeared server" to something low.  It's not important.

	* nnimap.el (nnimap-get-whole-article): Remove the data that may have
	arrived before the FETCH data.

	* nnmh.el (nnmh-request-expire-articles): Don't try to fetch the expiry
	target here, because we don't know the Gnus name of the group.

	* nndraft.el (nndraft-request-expire-articles): Fetch the expiry target
	for the correct group.

	* gnus-ems.el (gnus-create-image): Ignore all image-creation errors.

	* gnus.el (gnus): Give a final warning after startup.

	* gnus-util.el (gnus-action-message-log): New variable.
	(gnus-message): Use it.
	(gnus-final-warning): New function.

	* nnimap.el (nnimap-open-connection): Record the greeting.
	(nnimap): Add greeting.

2010-09-26  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-show-images): Fix gnus-html-display-image
	arguments.
	(gnus-html-wash-images): Fix spec computing to include start/end.

	* gnus-art.el (gnus-article-treat-body-boundary): Fix length computing.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-expire-articles): Compress ranges before
	deletion.
	(nnimap-retrieve-headers): Don't select the group, because that's
	already done by nnimap-possibly-change-group.

	* gnus-picon.el (gnus-picon-inhibit-top-level-domains): New variable.
	(gnus-picon-transform-address): Use it.

	* mail-source.el (mail-source-value): Revert previous patch.

	* nnimap.el (nnimap-credentials): Allow inhibiting the password query
	on failure.
	(nnimap-open-connection): Look up both virtual and physical server name
	credentials.

	* gnus-win.el: Revert previous patch, since it made Gnus backtrace.

2009-02-08  Dave Love  <fx@gnu.org>

	* gnus-win.el (gnus-window-to-buffer-helper,
	gnus-all-windows-visible-p): Function needn't be a symbol.

	* mail-source.el (mail-source-value): Function needn't be a symbol.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-cite-prefix-regexp): Remove } from the cite
	prefix.

	* gnus-art.el (gnus-treatment-function-alist): Do picons before
	highlight again, so that the highlight is correct.

	* gnus-picon.el (gnus-picon): Remove again.
	(gnus-picon-create-glyph): Set the background XPM colour explicitly.

	* gnus-art.el (gnus-treatment-function-alist): Insert picons after
	doing the header highlightling, so that the background colour of the
	picon is correct.

	* gnus-picon.el (gnus-picon-xbm): Removed obsolete face.
	(gnus-picon): Ditto.
	(gnus-picon): Reinstate.  The background colour for picons is white.
	(gnus-picon-insert-glyph): Make the background white.

	* nnml.el (nnml-open-nov): Don't return dead buffers.

	* auth-source.el (auth-source-create): Query the user for whether to
	store the credentials.

	* auth-source.el (auth-source-user-or-password): Use the existing auth
	sources, if any, for creation.

	* gnus.el (gnus-group-fast-parameter): Return the last matching
	parameter instead of the first matching parameter.

2010-09-26  Julien Danjou  <julien@danjou.info>

	* gnus-sum.el (gnus-auto-center-group): Transform into a defcustom.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mml2015.el (mml2015-use): Remove gpg support.

	* mml1991.el (mml1991-function-alist): Remove gpg function.
	(mml1991-gpg-sign): Removed.

2010-09-26  Andreas Seltenreich  <seltenreich@gmx.de>

	* gnus-srvr.el (gnus-browse-subscribe-newsgroup-method): New variable.
	(gnus-browse-unsubscribe-current-group): Document it.
	(gnus-browse-unsubscribe-group): Use it.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-bug-group): Add the bug email
	address to the To list for easier response.

	* gnus.el (gnus-play-startup-jingle): Removed.
	(gnus-splash): Don't play jingle.
	(gnus): Silence gnus-load message.

	* gnus-art.el (gnus-treat-play-sounds): Removed.

	* gnus.el (gnus-play-jingle): Remove audio support.

	* gnus-cus.el (gnus-score-customize): Remove audio reference.

	* earcon.el: Removed -- no users.

	* gnus-audio.el: Removed -- no users of this package.

	* gnus-sum.el (gnus-summary-limit-children): Remove nocem support.

	* gnus-start.el (gnus-setup-news): Remove nocem support.

	* gnus-group.el (gnus-group-get-new-news): Removed nocem call.

	* gnus.el (gnus-use-nocem): Removed.

	* gnus-demon.el (gnus-demon-add-nocem, gnus-demon-scan-nocem):
	Removed.

	* gnus-nocem.el (gnus-nocem-issuers): Removed file.  Apparently nobody
	uses NoCeM any more.

	* gnus-art.el (gnus-ctan-url): Seems not very useful -- removed.
	(gnus-button-ctan-handler): Ditto.
	(gnus-button-handle-ctan-bogus-regexp): Ditto.
	(gnus-button-ctan-directory-regexp): Ditto.
	(gnus-button-handle-ctan): Ditto.
	(gnus-button-tex-level): Ditto.
	(gnus-button-alist): Removed CTAN stuff.

2010-09-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-response): Reversed logic in the
	nnimap-streaming test.

	* gnus-start.el (gnus-get-unread-articles): Don't try to open failed
	servers twice.

	* nnimap.el (nnimap-open-connection): Add more error reporting when
	nnimap fails early.

	* nnheader.el (nnheader-get-report-string): New function.
	(nnheader-get-report): Use it.

	* gnus-int.el (gnus-check-server): Say what the error was when opening
	failed.

	* nnimap.el (nnimap-wait-for-response): Search further when we're not
	using streaming.

2010-09-25  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-rescale-image): Use our defalias
	gnus-window-inside-pixel-edges.

2010-09-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-srvr.el (gnus-server-copy-server): Add documentation.

	* mm-decode.el (mm-save-part): Allow saving to other directories the
	normal Emacs way.

	* nndoc.el (nndoc-type-alist): Move mime-parts after mbox.  Suggested
	by Jay Berkenbilt.

	* gnus-art.el (gnus-mime-delete-part): Fix plural for "byte" when
	there isn't a single byte.

	* gnus-int.el (gnus-open-server): Don't query whether to go offline --
	just do it.  It doesn't really seem to matter what the user responds
	here, I think, so it's just a confusing question.

	* nnimap.el (nnimap-retrieve-group-data-early): Fix typo in the
	non-streaming case.

	* gnus-art.el (gnus-flush-original-article-buffer): Separated out.
	(gnus-article-encrypt-body): Use it.

	* gnus-sum.el (gnus-summary-show-complete-article): New command and
	keystroke.

	* nnimap.el (nnimap-find-wanted-parts-1): Use
	gnus-fetch-partial-articles.

	* gnus-art.el (gnus-fetch-partial-articles): New variable.

	* nnimap.el (nnimap-insert-partial-structure): New function.
	(nnimap-get-partial-article): New function.
	(nnimap-request-article): Use it.
	(nnimap-wait-for-response): Return whether the wait was successful.
	(nnimap-finish-retrieve-group-infos): Don't do anything if the
	retrieval wasn't successful.
	(nnimap-retrieve-group-data-early): Allow throttling servers.
	(nnimap-streaming): New variable.
	(nnimap-fetch-partial-articles): Removed.

	* mm-decode.el (mm-with-part): Protect against killed buffers.

	* nndraft.el (nndraft-retrieve-headers): Insert Lines and Chars headers
	for prettier summary display.

2010-09-25  Andrew Cohen  <cohen@andy.bu.edu>  (tiny change)

	* nnir.el (nnir-run-imap): Allow sending IMAP search patterns
	directly.

2010-09-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-local-domain): Put gnus-local-domain back again, since
	apparently third-party libraries depend on it.

	* nnimap.el (nnimap-open-connection): Wait for the response to STARTTLS
	before starting negotiation.

	* gnus-art.el (gnus-treat-from-gravatar): Change default to nil for
	privacy reasons.
	(gnus-treat-mail-gravatar): Ditto.

	* gnus-ems.el (gnus-put-image): Don't put any non-blank text into the
	buffer when inserting images.  Inserting text into the headers, for
	instance, can make them invalid.

2010-09-25  Julien Danjou  <julien@danjou.info>

	* rfc1843.el: Remove useless rfc1843-old-gnus-decode-header-function
	variables.

	* nnheader.el: Remove useless variables news-reply-yank-from and
	news-reply-yank-message-id.

	* mml2015.el: Remove useless mc-default-scheme and mc-schemes
	variables.

	* mml1991.el: Remove useless mml1991-verbose.

	* gnus.el: Remove useless variable gnus-use-generic-from.
	Remove obsolete variable gnus-topic-indentation.

	* gnus-uu.el: Remove useless gnus-uu-shar-file-name.

	* gnus-sum.el: Remove useless gnus-newsgroup-none-id.

	* gnus-picon.el: Remove useless gnus-picon-setup-p variable.

	* gnus-group.el: Remove useless gnus-group-icon-cache.
	Remove useless gnus-ephemeral-group-server.

	* gnus-bookmark.el: Remove useless gnus-bookmark-after-jump-hook.

	* mml2015.el: Remove useless mml2015-verbose.

	* mml-smime.el: Remove useless mml-smime-verbose.

	* gnus.el: Remove useless gnus-local-domain.

	* gnus-gravatar.el (gnus-gravatar-transform-address): Use
	gnus-gravatar-size.

	* gnus-art.el: Remove useless gnus-treat-translate.

2010-09-24  Julien Danjou  <julien@danjou.info>

	* gnus-sum.el: Add support for Gravatars.

	* gnus-art.el: Add support for Gravatars.

	* gnus-gravatar.el: Add this file.

	* gravatar.el: Add this file.

2010-09-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-fetch-faq): Removed.

	* gnus-group.el (gnus-group-fetch-faq): Removed.

	* gnus.el (gnus-group-faq-directory): Removed.

	* gnus-group.el (gnus-group-fetch-charter): Removed.

	* gnus.el (gnus-group-charter-alist): Removed.

	* gnus-group.el (gnus-group-archive-directory): Removed.
	(gnus-group-recent-archive-directory): Ditto.
	(gnus-group-make-archive-group): Removed.

	* nnimap.el (nnimap-update-info): Protect against nil uidnexts.

	* gnus-cache.el (gnus-cache-braid-heads): When braiding heads, don't
	use the same article number for all the cached articles.

	* nnimap.el (nnimap-command): Register the last command time so
	that we can use it for idling NOOPs.
	(nnimap-open-connection): Start the keeplive timer.
	(nnimap-make-process-buffer): Store all the process buffers.
	(nnimap-keepalive): New function.

	* starttls.el: (starttls-open-stream): Add autoload cookie.

2010-09-24  Michael Welsh Duggan  <md5i@md5i.com>  (tiny change)

	* nnimap.el (nnimap-split-incoming-mail): Fix paren typo in the 'junk
	handling.

2010-09-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnrss.el (nnrss-retrieve-groups): Change to the group before checking
	its data structures.

	* gnus.el (gnus-sloppily-equal-method-parameters): Use copy-sequence
	instead of the cl.el copy-list.
	(gnus-sloppily-equal-method-parameters): Use equal instead of the cl
	equalp.

2010-09-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-tool-bar-from-list): Always use tool-bar-local-item
	and tool-bar-local-item-from-menu.

	* gnus-agent.el (gnus-agent-make-mode-line-string): Always use
	mode-line-highlight face for Emacs.

	* gnus-art.el (toplevel): Don't bind recursive-load-depth-limit while
	loading gnus-sum.elc; fix comment for canlock-verify.
	(gnus-article-jump-to-part): Use read-number.
	(gnus-insert-mime-button, gnus-insert-mime-security-button): Remove
	Emacs pre-21 compatible code for help-echo.
	(gnus-article-next-page-1): No need to adjust the number of lines.
	(gnus-article-describe-bindings): Always use help-buffer.

	* gnus-audio.el (gnus-audio-inline-sound)
	* gnus-cus.el (gnus-custom-mode)
	* gnus-group.el (gnus-group-update-tool-bar): Comment fix.

	* gnus-sum.el (gnus-remove-overlays): Doc fix.

	* gnus-util.el (gnus-select-frame-set-input-focus): Remove Emacs 21
	compatible code.

2010-09-24  Glenn Morris  <rgm@gnu.org>

	* message.el (message-output): Use gnus-output-to-rmail if a buffer is
	visiting the fcc file in rmail-mode.

2010-09-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnir.el: Silence the byte compiler.

	* gnus-html.el (gnus-html-encode-url-chars): New function, that's an
	alias to browse-url-url-encode-chars if any.
	(gnus-html-encode-url): Use it.

2010-09-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-use-backend-marks): New variable.
	(gnus-get-unread-articles-in-group): Use it.

	* gnus-sum.el (gnus-summary-local-variables): Prepare for list/range
	makeover.

2010-09-23  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-retrieve-headers): Return 'headers.

2010-09-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-fixup-nnimap-unread-after-getting-new-news):
	Removed.
	(gnus-setup-news-hook): Removed
	gnus-fixup-nnimap-unread-after-getting-new-news.

	* gnus-int.el (gnus-request-update-info): Protect against backends not
	having the function.

	* nnimap.el (nnimap-stream): Mention starttls.
	(nnimap-open-connection): Add starttls support.

2010-09-23  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-imap): Fix up nnir to work with the new nnimap.

2010-09-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-transform-headers): Don't bug out on invalid
	BODYSTRUCTUREs.
	(nnimap-transform-headers): Unfold quoted {42} headers.

	* gnus-start.el (gnus-get-unread-articles): Allow backends to update
	the info.
	(gnus-get-unread-articles): Only call updatep on backends that support
	it.

	* nnweb.el (nnweb-request-update-info): NOOP.

	* nnmaildir.el (nnmaildir-request-marks): Renamed from -update-info.

	* nnfolder.el (nnfolder-request-marks): Renamed from -update-info,
	since it only deals with marks.

	* gnus-int.el (gnus-request-marks): Renamed gnus-request-update-info to
	gnus-request-marks, and make a new gnus-request-update-info.

	* nnimap.el (nnimap-update-info): When UIDNEXT is present, use that for
	the active instead of the high number, which is usually too low.

2010-09-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* encrypt.el: Removed.

2010-09-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-info): Sync non-standard flags from the
	server in symbolic form.

	* gnus-html.el (gnus-max-image-proportion): Increase proportion to
	0.9.

2010-09-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-parse-flags): Parse the data in any order.
	(nnimap-update-info): Fix up code slightly.

	* gnus-int.el (gnus-open-server): Add tracing for performance
	debugging.

	* gnus-group.el (gnus-group-highlight-line): Typo fix: beg, not start.
	(gnus-group-insert-group-line): Pass the real group name so that it
	gets the right data.

	* gnus-start.el (gnus-get-unread-articles): Don't have
	`gnus-get-unread-articles-in-group' update info, since that can be
	really slow and doesn't seem to be needed?

2010-09-22  Julien Danjou  <julien@danjou.info>

	* gnus-group.el (gnus-group-insert-group-line): Call
	gnus-group-highlight-line.
	(gnus-group-update-hook): Remove gnus-group-highlight-line from the
	default hook list.
	(gnus-group-update-eval-form): Add new function.
	(gnus-group-highlight-line): Use gnus-group-update-eval-form.
	(gnus-group-get-icon): Use gnus-group-update-eval-form.

2010-09-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-expire-articles): If nnmail-expiry-wait is
	immediate, then expire all articles.
	(nnimap-update-info): Fix off-by-one errors.
	(nnimap-flags-to-marks): Would return no marks lists for group with no
	flags.  Instead return the other data.

2010-09-22  Julien Danjou  <julien@danjou.info>

	* gnus-group.el (gnus-group-get-icon): Renamed gnus-group-add-icon that
	Only return an icon.
	(gnus-group-insert-group-line): Compute icon to return.

	* gnus-html.el (gnus-html-image-automatic-caching): Add custom
	variable.
	(gnus-html-image-fetched): Only cache if
	gnus-html-image-automatic-caching is set.
	(gnus-html-image-fetched): Check for errors.

2010-09-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-for-groups): Only run -request-scan
	once per method on `g'.  This ensures that backends like nnfolder don't
	open all their folders.

	* nnimap.el (nnimap-split-incoming-mail): Delete 'junk.
	(nnimap-request-list): Nix out group in the correct buffer.
	(nnimap-parse-flags): Implement by using `read' instead of
	hand-parsing.
	(nnimap-flags-to-marks): Pass on permanent-flags.
	(nnimap-make-process-buffer): Record the server name.
	(nnimap-parse-flags): Fix typo.
	(nnimap-request-scan): Run split on the server in general, not just a
	single group.

	* nnmail.el (nnmail-split-incoming): Take an optional junk-func
	parameter, and propagate this downwards.

	* nnimap.el (nnimap-request-list): Set the current nnimap group to nil,
	since EXAMINE changes it on the server.

	* gnus-int.el (gnus-request-expire-articles): Inhibit the daemon, since
	this command might take a while.

2010-09-22  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-put-image): Stop using markers. They are
	harmful if you have 2 images side-by-side, they can't be properly
	update on text deletion.  Using text-property is safer here.
	(gnus-html-image-fetched): Search also for \r\n\r\n to get the start of
	data.

2010-09-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-expunge-inbox): Removed.
	(nnimap-mark-and-expunge-incoming): Use nnimap-expunge instead.
	(nnimap-expunge): Flip default to t.

	* gnus.el (gnus-method-to-server): Don't push things to the cache
	unless it's unique.
	(gnus-server-to-method): Ditto.

2010-09-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-delete-article): Tell user if expunge won't happen.

2010-09-22  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-get-image-data): Search also for \r\n\r\n to
	get the start of data.
	(gnus-html-encode-url): Add this function to encode special chars in
	URL.
	(gnus-html-wash-images): Use gnus-html-encode-url to encode URL.
	(gnus-html-prefetch-images): Use gnus-html-encode-url to encode URL.

	* gnus-group.el (gnus-group-update-hook): Call gnus-group-add-icon by
	default.
	(gnus-group-add-icon): Move to gnus-group.el, and rewrite so it works.

	* gnus-html.el (gnus-html-wash-images): Use xml-substitute-special on
	images alt-text.
	(gnus-html-put-image): Put alt-text as help-echo.

2010-09-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mailcap.el (mailcap-parse-mailcap, mailcap-parse-mimetypes)
	* mm-util.el (mm-decompress-buffer)
	* nnir.el (nnir-run-find-grep)
	* pop3.el (pop3-list): Use 3rd arg of split-string.

2010-09-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-update-marks): Add sanity check to not delete marks
	outside the active range.  Suggested by Dan Christensen.

	* gnus-start.el (gnus-get-unread-articles): Get the extended method
	slightly later to avoid double-getting it.

	* nnml.el (nnml-generate-nov-file): Fix variable name clobbering from
	previous patch.

	* gnus-sum.el (gnus-adjust-marked-articles): Fix another typo.

2010-09-21  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-sum.el (gnus-adjust-marked-articles): Fix typo.

2010-09-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-open-server): Give a better error message in the
	"go offline" case.

	* gnus-sum.el (gnus-adjust-marked-articles): Hack to avoid adjusting
	marks for nnimap, which is seldom the right thing to do.

	* gnus.el (gnus-sloppily-equal-method-parameters): Refactor out.
	(gnus-same-method-different-name): New function.

	* nnimap.el (parse-time): Require.

	* gnus-start.el (gnus-get-unread-articles): Fix the prefixed select
	method in the presence of many similar methods.

	* nnmail.el (nnmail-expired-article-p): Fix typo: time-subtract.

	* nnimap.el (nnimap-find-expired-articles): Don't refer to
	nnml-inhibit-expiry.

	* gnus-sum.el (gnus-summary-move-article): Use gnus-server-equal to
	find out whether methods are equal.

	* nnimap.el (nnimap-find-expired-articles): New function.
	(nnimap-process-expiry-targets): New function.
	(nnimap-request-move-article): Request the article before looking at
	what the Message-ID is.  Fix found by Andrew Cohen.
	(nnimap-mark-and-expunge-incoming): Wait for the last sequence.

	* nnmail.el (nnmail-expired-article-p): Allow returning the cutoff time
	for oldness in addition to being a predicate.

	* nnimap.el (nnimap-request-group): When we have zero articles, return
	the right data to Gnus.
	(nnimap-request-expire-articles): Only delete articles immediately if
	the target is 'delete.

	* gnus-sum.el (gnus-summary-move-article): When respooling to the same
	method, this would bug out.

	* gnus-group.el (gnus-group-expunge-group): Renamed from
	gnus-group-nnimap-expunge, and implemented as a normal interface
	function.

	* gnus-int.el (gnus-request-expunge-group): New function.

	* nnimap.el (nnimap-request-create-group): Implement.
	(nnimap-request-expunge-group): New function.

2010-09-21  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-image-cache-ttl): Add new variable.
	(gnus-html-cache-expired): Add new function.
	(gnus-html-wash-images): Use `gnus-html-cache-expired' to check
	wethever we should display image for fetch it.
	Compute alt-text earlier to pass it to the fetching function too.
	(gnus-html-schedule-image-fetching): Change function argument to only
	get one image at a time, not a list.
	(gnus-html-image-fetched): Use `url-store-in-cache' to store image in
	cache.
	(gnus-html-get-image-data): New function to retrieve image data from
	cache.
	(gnus-html-put-image): Change buffer argument to use image data rather
	than file, and place image above region rather than inserting a new
	one. Do not take alt-text as argument, since it's useless now: we place
	the image above alt-text.
	(gnus-html-prune-cache): Remove.
	(gnus-html-show-images): Start to fetch image when we find one, do not
	push into a temporary list.
	(gnus-html-prefetch-images): Only fetch image if they have expired.
	(gnus-html-browse-image): Fix, use 'gnus-image-url.
	(gnus-html-image-map): Add "v" to browse-url on undisplayed image.

2010-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-encode-parameter): Doc fix.

2010-09-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-line-format-alist): Have the ?U (unseen)
	spec inser "*" if the group isn't active instead of 0.

	* nnimap.el (nnimap-request-group): Don't select the imap buffer before
	opening the server.
	(nnimap-request-delete-group): Implement group deletion.
	(nnimap-transform-headers): Return the size of the entire message in
	the Bytes header, not just the size of the first part.
	(nnimap-request-move-article): When moving an article from nnimap,
	request the article first so the accepting form has an article to
	accept.  Reported by Dan Christensen.
	(nnimap-command): Make sure that the error message doesn't error out.

2010-09-20  David Edmondson  <dme@dme.org>  (tiny change)

	* nnimap.el (nnimap-request-set-mark): Don't wait for a response when
	we haven't requested anything.

2010-09-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-fetch-inbox): Use "[]" as the parameter instead of
	"".  Fix found by Andrew Cohen.

	* mail-parse.el (mail-header-encode-parameter): Use -encode-parameter
	instead of -encode-string.

2010-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-image-fetched): Pass arg to kill-buffer.

	* gnus-sum.el (gnus-summary-update-mark): Replace subst-char-in-string
	by mm-subst-char-in-string.

2010-09-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-connection): Avoid a race condition while
	waiting for the connection string.

	* gnus-html.el (gnus-html-image-fetched): Protect against the data not
	arriving.

	* gnus-start.el (gnus-ignored-newsgroups): Remove [] from the list of
	bogus characters.  This allows selecting certain Gmail groups.

	* nnimap.el (nnimap-find-wanted-parts-1): New function.
	(nnimap-fetch-partial-articles): New variable.
	(nnimap-open-connection): When looking for credentials, also use the
	nnimap-server-port.
	(nnimap-request-article): Return the group/article number, so that Gnus
	`^' works as expected.
	(nnimap-find-wanted-parts-1): Return the MIME parts as IMAP wants
	them.

	* gnus.el (gnus-similar-server-opened): Refactor a bit and add
	comments.
	(gnus-methods-sloppily-equal): New function.
	(gnus): When using the development version of Gnus, load the gnus-load
	file.

	* gnus-start.el (gnus-get-unread-articles): Make sure that we call
	`gnus-open-server' on each method before trying to scan them etc.  This
	ensures that all the backend parameters are set correctly.

	* nnimap.el (nnimap-authenticator): New variable.
	(nnimap-open-connection): Allow anonymous login.
	(nnimap-transform-headers): The chars header is called Chars not
	Bytes.
	(nnimap-wait-for-response): Don't infloop if the IMAP connection
	drops.

	* gnus-art.el (gnus-article-describe-briefly): Fix up typo in last
	patch, found by Knut Anders Hatlen.

2010-09-19  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-agent.el (gnus-agent-batch-confirmation)
	(gnus-agent-expire-group, gnus-agent-expire): Pass proper format string
	to gnus-message.
	* gnus-art.el (gnus-article-describe-briefly): Likewise.
	* gnus-group.el (gnus-group-list-groups, gnus-group-describe-group)
	(gnus-group-edit-global-kill, gnus-group-describe-briefly): Likewise.
	* gnus-int.el (gnus-open-server): Likewise.
	* gnus-score.el (gnus-score-edit-current-scores, gnus-score-edit-file)
	(gnus-score-check-syntax): Likewise.
	* gnus-srvr.el (gnus-browse-describe-briefly): Likewise.
	* gnus-start.el (gnus-read-active-file-1, gnus-read-active-file-1):
	Likewise.
	* gnus-sum.el (gnus-summary-describe-briefly): Likewise.

2010-09-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-prefetch-images): Fix up the url-retrieve
	calling conventions so that prefetch doesn't bug out.

2010-09-19  Julien Danjou  <julien@danjou.info>

	* gnus-sum.el (gnus-summary-update-mark): Use `subst-char-in-string'
	rather than `subst-char-in-region' in order to be able to replace ASCII
	char by UTF-8 ones.

	* gnus-html.el (gnus-html-prefetch-images): Use `url-retrieve' rather
	than curl.
	(gnus-html-image-fetched): Fix `gnus-html-put-image' call not setting
	the right URL and ALT text on images.
	(gnus-html-wash-tags): Fix tag case.
	Add support for `s' and `ins' tags.  Use gnus-emphasis-* faces.
	(gnus-article-html): Add -o display_ins_del=2 option.
	(gnus-html-wash-tags): Add better support for <ul> tags symbols.

2010-09-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnheader.el (nnheader-insert-nov): Protect against junk appearing in
	the extra mail headers, which sometimes seem to happen for unknown
	reasons.

	* mail-parse.el (mail-header-encode-parameter): Define as
	rfc2045-encode-string instead of as rfc2231-encode-string, since some
	(or most, perhaps?) mail readers don't understand the latter, but do
	understand the former.

	* gnus-agent.el (gnus-agent-auto-agentize-methods): Switch the default
	to nil, so that no methods are automatically agentized.  I think this
	is probably what most users want.

	* gnus-html.el (gnus-html-schedule-image-fetching): Ignore all errors
	from url-retrieve, for instance about invalid URLs.

	* nnimap.el (nnimap-finish-retrieve-group-infos): Protect against
	groups that have no articles.
	(nnimap-request-article): Check that we really got an article when we
	requested one.

	* gnus-agent.el (gnus-agent-load-alist): Nix out the alist if the file
	doesn't exist.

	* nnimap.el (nnimap-finish-retrieve-group-infos): Return data in the
	nntp buffer so the agent can save it.
	(nnimap-open-shell-stream): Bind `process-connection-type' to nil, so
	that CRLF doesn't get translated to \n.
	(nnimap-open-connection): Don't make 'shell commands only send \n.

2010-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnml.el (nnml-files): Add prefix to dynamic var `files'.
	(nnml-generate-nov-databases-directory, nnml-generate-active-info):
	Update var name.
	(nnml-generate-nov-file): Use dolist.
	(nnml-directory-articles, nnml-current-group-article-to-file-alist):
	Use with-current-buffer.

2010-09-18  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-schedule-image-fetching): Fetch all images in
	parallel.

2010-09-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-info): When doing partial marks update, get
	the range update right.
	(nnimap-request-group): Don't make `M-g' bug out on group with no
	marks.
	(nnoo): Required, so that other packages can require nnimap.
	(nnimap-wait-for-response): Be a bit more lax in finding the end of the
	command we're looking for.  This helps when the server sends more
	responses after we've gotten everything we expected.
	(nnimap): Add a `newlinep' field to keep track of end-of-line
	conventions.
	Don't send CRLF to things that don't want it.
	(nnimap-request-accept-article): Ditto.

2010-09-18  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-schedule-image-fetching): Use `url' rather
	than curl to retrieve images.

2010-09-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-info): Extend the info so that we can set
	the marks.
	(nnimap-open-connection): Fix typo -- should be 'shell, not 'stream.
	(nnimap-wait-for-connection): New function.
	(nnimap-open-connection): If we have PREAUTH, don't query for login
	credentials.
	(nnimap-update-info): Fix off-by-one error when concatenating ranges
	when doing a partial update.

2010-09-18  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-wash-tags): Add support for i, b and u HTML
	tags.

2010-09-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-credentials): New function.
	(nnimap-open-connection): Use the new function to look for credentials
	also on the numeric equivalents of "imap" and "imaps".

	* gnus-start.el (gnus-activate-group): Send the info to
	gnus-request-group.

	* nnimap.el (nnimap-request-group): Have the "check" version of the
	function parse flags and update the info, so that a `M-g' get a total
	resync of all flags from the group.

	* gnus-int.el (gnus-request-group): Take an optional `info' parameter
	to allow backends to alter the info on group selection.  Also alter all
	the backend -request-group functions to take the parameter.

	* nnimap.el (nnimap-store-info): New function.
	(nnimap-update-info): Store the info for later usage.
	(nnimap-request-group): Use the stored info for the dont-check case, so
	that we don't retrieve all marks when we enter a group.

	* nnimap.el: Use deffoo instead of defun for interface functions.

	* gnus-start.el (gnus-get-unread-articles): Allow the backends to
	update the group info.  This makes the nndraft groups, for instance, go
	back to their old behaviour.

	* gnus-sum.el (gnus-select-newsgroup): Indent.

	* nnimap.el (nnimap-possibly-change-group): Return nil if we can't log
	in.
	(nnimap-finish-retrieve-group-infos): Make sure we're not waiting for
	nothing.

	* gnus-start.el (gnus-get-unread-articles): Don't try to scan groups
	from methods that are denied.

	* gnus-int.el (gnus-method-denied-p): New function.

	* nnimap.el (nnimap-open-connection): Use auth-sources to query and
	store the password instead of netrc.
	(nnimap-open-connection): Don't error out when we can't make a
	connections.

	* auth-source.el (auth-source-create): In the password prompt, say what
	we're querying for.  Also prompt for user name if that hasn't been
	given.

	* nnimap.el (nnimap-with-process-buffer): Removed.

2010-09-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-for-groups): Don't use the "finish"
	method when we're reading from the agent.

	* nnagent.el (nnagent-retrieve-group-data-early): New dummy method.

	* auth-source.el (auth-sources): Add ~/.authinfo to the default, since
	that's probably most useful for users.

	* gnus-int.el (gnus-check-server): Save result so that it doesn't say
	"failed" all the time.

	* gnus.el: Throughout all files, replace (save-excursion (set-buffer
	...)) with (with-current-buffer ... ).

	* nntp.el (nntp-open-server): Return whether the open was successful or
	not.

	* gnus-sum.el (gnus-summary-first-subject): Have `unseen-or-unread'
	select an unread unseen article first.

	* nnimap.el (nnimap-open-connection): If the user doesn't have a
	/etc/services, supply some sensible port defaults.

2010-09-17  Julien Danjou  <julien@danjou.info>

	* mm-decode.el (mm-text-html-renderer): Document gnus-article-html.

2010-09-17  Knut Anders Hatlen  <kahatlen@gmail.com>  (tiny change)

	* nnimap.el (nnimap-get-groups): Don't bug out if the LIST command
	doesn't have any parameters.

2010-09-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): Upcase all capabilities, and use
	only upcased checks.

	* nnmail.el (nnmail-article-group): Fix typo in "bogus" section.

	* nnimap.el (nnimap-open-shell-stream): New function.
	(nnimap-open-connection): Use it.
	(nnimap-transform-headers): Get the number of lines in each message.
	(nnimap-retrieve-headers): Query for BODYSTRUCTURE so that we get the
	number of lines.
	(nnimap-request-list): Not all servers return UIDNEXT.  Work past this
	problem.

	* utf7.el (utf7-encode): Autoload.

	* nnmail.el (nnmail-inhibit-default-split-group): New internal variable
	to allow the mail splitting to not return a default group.  This is
	useful for nnimap, which will leave unmatched mail in the inbox.

	* nnimap.el: Rewritten.

	* gnus.el (gnus-article-special-mark-lists): Add uid/active tuples, for
	nnimap usage.

	* gnus-sum.el (gnus-summary-move-article): Pass the move-to group name
	if the move is internal, so that nnimap can do fast internal moves.

	* gnus-start.el (gnus-get-unread-articles): Support early retrieval of
	data.
	(gnus-read-active-for-groups): Support finishing the early retrieval of
	data.

	* gnus-range.el (gnus-range-nconcat): New function.

	* gnus-int.el (gnus-finish-retrieve-group-infos)
	(gnus-retrieve-group-data-early): New functions.

2010-09-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnrss.el (nnrss-retrieve-headers, nnrss-request-list-newsgroups)
	(nnrss-retrieve-groups):
	* pop3.el (pop3-open-server, pop3-read-response, pop3-list, pop3-retr)
	(pop3-quit): Use with-current-buffer.

2010-09-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* pop3.el (pop3-wait-for-messages): Use pop3-accept-process-output
	instead of nnheader-accept-process-output.

	* gnus-html.el (gnus-html-schedule-image-fetching)
	(gnus-html-prefetch-images): Replace process-kill-without-query by
	gnus-set-process-query-on-exit-flag.

2010-09-16  Romain Francoise  <romain@orebokech.com>

	* gnus-html.el: Require gnus-art for `gnus-with-article-buffer'.

2010-09-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-registry.el (gnus-registry-install-shortcuts): The second
	parameter to unintern is mandatory-ish in Emacs 24.

	* gnus-html.el (gnus-html-schedule-image-fetching)
	(gnus-html-prefetch-images): Check for curl before using it.

	* mm-decode.el (mm-text-html-renderer): Don't have gnus-article-html
	depend on curl, which isn't essential.

	* imap.el: Revert back to version
	cb950ed8ff3e0f40dac437a51b269166f9ffb60d, since some of the changes
	seem problematic.

2010-09-14  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-registry.el (gnus-registry-install-shortcuts):
	Explicitly pass `obarray' to `unintern' to avoid a warning.

2010-09-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-for-groups): Reverted the previous
	change.

	* nnrss.el (nnrss-request-list): Removed this function and related
	functions, including the moreover stuff.

2010-09-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnrss.el (nnrss-retrieve-groups): New function.

2010-09-14  Juanma Barranquero  <lekktu@gmail.com>

	* .dir-locals.el: Add no-byte-compile cookie.

2010-09-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-read-active-for-groups): Run gnus-activate-group
	for back end that doesn't support request-scan.

2010-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-file-1): If gnus-agent isn't set,
	then do request scans from the backends.

	* gnus-sum.el (gnus-summary-update-hook): Change default to nil, to
	avoid running a hook per line, since this takes a lot of time,
	profiling shows.
	(gnus-summary-prepare-threads): Call `gnus-summary-highlight-line'
	directly if gnus-visual-p is true.

2010-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-read-active-for-groups): Check only subscribed
	groups; replace mapcar with dolist which is a bit faster; pass groups
	info to gnus-read-active-file-1.
	(gnus-read-active-file-1): Scan only specified groups if the new
	optional arg `infos' is given.

2010-09-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch-pop): Use pop3-movemail again.

	* pop3.el (pop3-movemail): Removed.
	(pop3-streaming-movemail): Renamed to pop3-movemail.

	* gnus-html.el (gnus-html-wash-tags): Refactor out the image bit, and
	don't restrict end-tag searches to the end of the line.

2010-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-get-unread-articles): Set the number of unread
	articles of every unchecked group to t, which means unknown since the
	server has never been opened.

2010-09-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-show-alt-text): New command.
	(gnus-html-browse-image): Ditto.
	(gnus-html-wash-tags): Add the data to allow showing the ALT text and
	to browse the image directly.
	(gnus-html-wash-tags): Search for images first, so that <a><img> works
	better.

	* gnus-async.el (gnus-async-article-callback): Call
	`gnus-html-prefetch-images' unconditionally.

	* gnus-html.el (gnus-html-schedule-image-fetching): Decode entities
	before feeding URLs to curl.

2010-09-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-wash-tags, gnus-html-put-image): Mark cid and
	internal images as deletable by `W D D'.

	* gnus-async.el (gnus-html-prefetch-images): Autoload it when compiling.
	(gnus-async-article-callback): Fix typo.

2010-09-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-wash-tags): Limit end-tag matching to the
	current line to work around bugs in the output from w3m.

	* gnus-async.el (gnus-async-article-callback): Always prefetch images
	for groups that want that.

	* nntp.el (nntp-wait-for-string): Supply a timeout for
	accept-process-output to ensure progress.

	* gnus-start.el (gnus-get-unread-articles): If being given an explicit
	level to get unread articles from, then use that for foreign groups,
	too.

	* gnus-html.el (gnus-html-wash-tags): Remove <a name...> tags, which
	confuses the rest of the function.

	* gnus-start.el (gnus-read-active-for-groups): Do a `gnus-request-scan'
	for the methods that support -retrieve-groups, too.

	* nnml.el (nnml-save-nov): Remove some debugging-related messages.

2010-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* pop3.el: Require cl when compiling.
	(pop3-number-of-responses): Search for "+OK", not "+OK ".

2010-09-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Don't bother with groups
	that aren't going to be activated.
	(gnus-get-unread-articles): Fix up the last commit.

	* gnus-html.el (gnus-article-html): Allow calling without specifying
	the handle.  In that case, dissect the buffer first.

	* gnus-sum.el (gnus-set-mode-line): Don't pad the mode line string.

	* nnimap.el (nnimap-open-connection): Revert the change that would look
	into authinfo for imaps instead of imap.

	* gnus-start.el (gnus-activate-group): Take an optional parameter to
	say that you don't want to call gnus-request-group with don-check, but
	do check the reponse.  This is for virtual groups only.
	(gnus-get-unread-articles): Count the archive groups as secondary, so
	that they're activated the same way as before.

	* nnimap.el (nnimap-request-list): Servers may return \NoSelect
	case-insensitively.
	(nnimap-debug): Removed.

	* mail-source.el (mail-source-fetch): Don't message if we're fetching
	mail from a file, and the file doesn't exist.

	* pop3.el (pop3-streaming-movemail): Return t for success.

	* nnimap.el (nnimap-open-connection): Look for the "imaps" entry in the
	.authinfo if we're using ssl connection.

	* nnvirtual.el (nnvirtual-create-mapping): Use the active info we
	already have if we're in a main Gnus `g' run.

	* gnus-start.el (gnus-method-rank): Get info for virtual groups last.

2010-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-method-rank): Replace equalp with equal.

	* nnmh.el (nnmh-request-list-1): Bind `file'.

	* pop3.el (pop3-set-process-query-on-exit-flag): New function that's an
	alias to set-process-query-on-exit-flag or process-kill-without-query.
	(pop3-open-server): Use it.

2010-09-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-delete-crash-box): Always move the crash
	box to the Incoming file.  Fixes mistake in previous checkin.

	* pop3.el (pop3-send-streaming-command): Off-by-one error on the
	request loop (for debugging purposes) removed.

	* nnml.el (nnml-save-nov): Message around nnml-save-nov so that the
	culprit is more visible.
	(nnml-save-incremental-nov, nnml-open-incremental-nov)
	(nnml-add-incremental-nov): New functions to do "incremental" nov
	updates, where we just append to the end of the existing nov files
	without reading/writing them in full.

	* mail-source.el (mail-source-delete-crash-box): Really only check the
	incoming files once in a while.

	* pop3.el (pop3-streaming-movemail): Always close the pop3 connection.

	* mail-source.el (mail-source-delete-crash-box): Only check the
	incoming files for deletion once per day to save a lot of file
	accesses.

	* pop3.el (pop3-logon): Fix up unbound variable typo.

	* mail-source.el (pop3-streaming-movemail): Autoload.

	* pop3.el (pop3-streaming-movemail): Respect
	pop3-leave-mail-on-server.

	* mail-source.el (mail-source-fetch-pop): Use streaming pop3
	retrieval.

	* pop3.el (pop3-process-filter): Removed unused function.
	(pop3-streaming-movemail, pop3-send-streaming-command)
	(pop3-wait-for-messages, pop3-write-to-file)
	(pop3-number-of-responses): New functions for streaming pop3
	retrieval.

	* gnus-start.el (gnus-get-unread-articles): Protect against groups that
	come from no known methods.
	(gnus-make-hashtable-from-newsrc-alist): Remove duplicates from .newsrc
	list.

	* pop3.el (pop3-display-message-size-flag): Removed -- everybody wants
	message sizes.
	(pop3-movemail): Use erase-buffer instead of looping and deleting
	regions, which seems rather odd.

	* gnus-agent.el (gnus-agent-load-local): Only read the agent.lib/local
	file once per `g' run.

	* nnmh.el (nnmh-request-list-1): Output active lines also for empty
	directories.  This makes the draft queue directory work.

	* gnus-start.el (gnus-get-unread-articles): Rewrite the way we request
	data from the backends, so that we only request the list of groups from
	each method once.  This should speed things up considerably.

	* nnvirtual.el (nnvirtual-request-list): Remove function so that we can
	detect that it's not implemented.

	* nnmh.el (nnmh-request-list-1): Fix up the recursion behavior so that
	we actually do recurse down into the tree, but don't stat all leaf
	nodes.

	* gnus-html.el (gnus-html-show-images): If there are no images to show,
	then say so instead of bugging out.

	* gnus-agent.el (gnus-agent-load-alist): Check whether the agentview
	files exist before trying to read them.

	* gnus-html.el (gnus-html-wash-tags): Remove even more white space
	around <pre_int>.

	* gnus-art.el (gnus-article-copy-string): Say what data we copied.

	* nnmh.el (nnmh-request-list-1): Optimize for speed.

2010-09-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-util.el (mm-image-load-path): Just return the image directories,
	not all directories in the path in addition to the image directories.
	(mm-image-load-path): Maintain a cache of the image directories so that
	the `g' command in Gnus doesn't have to stat dozens of directories each
	time.

	* gnus-html.el (gnus-html-put-image): Allow images to be removed.
	(gnus-html-wash-tags): Add a new `i' command to insert images.
	(gnus-html-insert-image): New command and keystroke.
	(gnus-html-redisplay-with-images): New command and keystroke.
	(gnus-html-show-images): Renamed command.
	(gnus-html-wash-tags): Remove more white space before <pre_int> image
	spacers.
	(gnus-html-wash-tags): Decode entities at the end, so that entities
	inside the tags don't mess up the rest of the "parsing".

	* gnus-agent.el (gnus-agent-auto-agentize-methods): Change the default
	so that nnimap methods aren't agentized by default.  There's apparently
	many problems related to agent/imap behaviour.

	* gnus-art.el (gnus-article-copy-string): New command and key binding.

	* gnus-html.el: Doc fix.

2010-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-put-image): Use gnus-graphic-display-p,
	glyph-width and glyph-height instead of display-graphic-p and
	image-size; make avoidance of displaying small images work for XEmacs.

	* gnus-util.el (gnus-graphic-display-p): Use device-on-window-system-p
	for XEmacs.

	* gnus-ems.el (gnus-set-process-plist, gnus-process-plist): Change name
	of symbol that holds plist data.
	(gnus-process-plist): Remove plist of process after getting it.

2010-09-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-generate-hashcash): Change default to
	'opportunistic if hashcash is installed.

	* gnus-html.el (gnus-html-rescale-image): Fix up typo in rescaling.
	(gnus-html-put-image): Only call image-size once, since it's somewhat
	time-consuming on remote X servers.

2010-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-article-html): Make work buffer multibyte for
	decoded contents.
	(gnus-html-put-image, gnus-html-rescale-image): Pass `file' argument.

2010-09-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-line-format): Remove %O (moderated) from
	group line format, since it isn't very interesting.

	* gnus-agent.el (gnus-agent-short-article),
	(gnus-agent-long-article): Increase values for these two variables,
	since most people are likely to have more network connection and
	storage than before.

	* gnus.el (gnus-refer-article-method): Change default to 'current.
	When referring an article, the common behaviour is to refer it from the
	current select method, not the native select method.  The chances of
	the native select method having the message in question is rather slim
	these days.

	* gnus-sum.el (gnus-auto-select-subject): Change default to
	`unseen-or-unread'.  I think it's likely that most people want to
	select an unseen article over a previously seen, but unread one.

	* gnus.el (gnus-mode-non-string-length): Change default to 30.  nil
	means that in the article buffer none of the minor mode elements will
	be shown, usually, and this is not desirable in most cases.

	* gnus-sum.el (gnus-summary-goto-unread): Change default to nil, so
	that commands like `d' (and the like) go to the next line in the
	buffer, instead of the next unread article.  I think this is the
	behaviour that is most natural for most users.
	(gnus-single-article-buffer): Change default to nil, so that people can
	have as many article buffers open as they have summary buffer.  I think
	this is the most natural way for the groups to behave.

	* message.el (message-generate-new-buffers): Change default to
	`unsent', so that all new message buffers start their names with the
	string "*unsent", and it's easier to find the buffers if you move from
	them.

2010-09-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-wash-tags): Don't show images that are really
	small.  They're probably tracking images.
	(gnus-html-wash-tags): Remove all <pre_int> place holders.
	(gnus-html-rescale-image): Yet another try at getting the image sizing
	right.

	* nntp.el (nntp-request-set-mark): Refuse to do marks if
	nntp-marks-file-name is nil.

2010-09-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-html.el (gnus-html-wash-tags)
	(gnus-html-schedule-image-fetching, gnus-html-image-url-blocked-p):
	Better logging.

2010-09-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndoc.el (nndoc-type-alist): Added a new type for Google digests.

	* gnus-html.el (gnus-html-wash-tags): Check the value of
	gnus-blocked-images in the summary buffer.

2010-09-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-html.el (gnus-html-image-url-blocked-p): Doc fix.

2010-09-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-wash-tags): "A" is also used for links, just
	like "a", it seems like.
	(gnus-html-image-url-blocked-p): Take a parameter for blocked-images
	since it needs to be picked from the correct buffer.

	* nnwfm.el: Removed.

	* nnlistserv.el: Removed.

2010-09-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-html.el (gnus-html-image-url-blocked-p): New function.
	(gnus-html-prefetch-images, gnus-html-wash-tags): Use it.

2010-09-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnkiboze.el: Removed.

	* nndb.el: Removed.

	* gnus-html.el (gnus-html-put-image): Use the deleted text as the image
	alt text.
	(gnus-html-rescale-image): Try to get the rescaling logic right for
	images that are just wide and not tall.

	* gnus.el (gnus-string-or): Fix the syntax to not use eval or
	overshadow variable bindings.

2010-09-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-html.el (gnus-html-wash-tags)
	(gnus-html-schedule-image-fetching, gnus-html-prefetch-images): Add
	extra logging.

2010-09-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-wash-tags): Delete the IMG_ALT region.
	(gnus-max-image-proportion): New variable.
	(gnus-html-rescale-image): New function.
	(gnus-html-put-image): Rescale images.

2010-09-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix up some byte-compiler warnings.
	* gnus.el (gnus-group-find-parameter, gnus-kill-save-kill-buffer):
	* gnus-cite.el (gnus-article-highlight-citation, gnus-dissect-cited-text)
	(gnus-article-fill-cited-article, gnus-article-hide-citation)
	(gnus-article-hide-citation-in-followups, gnus-cite-toggle):
	* gnus-group.el (gnus-group-set-mode-line, gnus-group-quit)
	(gnus-group-set-info, gnus-add-mark): Use with-current-buffer.
	(gnus-group-update-group): Use save-excursion and with-current-buffer.

2010-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-article-html): Decode contents by charset.

2010-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-cache-directory, gnus-html-cache-size)
	(gnus-html-frame-width, gnus-blocked-images)
	* message.el (message-prune-recipient-rules): Add custom version.
	* gnus-sum.el (gnus-auto-expirable-marks): Bump custom version.

	* gnus-ems.el (gnus-process-get, gnus-process-put): New compatibility
	functions.

	* gnus-html.el (gnus-html-curl-sentinel): Replace process-get with
	gnus-process-get.

2010-08-31  Julien Danjou  <julien@danjou.info>  (tiny change)

	* nnimap.el (nnimap-request-newgroups): Use nnimap-request-list-method
	instead of lsub directly.

2010-08-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnwarchive.el: Removed.

	* gnus-soup.el: Removed.

	* nnsoup.el: Removed.

	* nnultimate.el: Removed.

	* gnus-html.el (gnus-blocked-images): New variable.

	* message.el (message-prune-recipients): New function.
	(message-prune-recipient-rules): New variable.

	* gnus-cite.el (gnus-article-natural-long-line-p): New function to
	guess whether a long line is natural text or not.

	* gnus-html.el (gnus-html-schedule-image-fetching): Use
	gnus-process-plist and friends for compatibility.

2010-08-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-html.el: Require packages that define macros used in this file.
	(gnus-article-mouse-face): Declare to silence byte-compiler.
	(gnus-html-curl-sentinel): Use with-current-buffer, inhibit-read-only, and
	process-get.
	(gnus-html-put-image): Use plist-get to avoid getf.
	(gnus-html-prefetch-images): Use with-current-buffer.

2010-08-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el: Provide compatibility functions for
	gnus-set-process-plist.

	* gnus-sum.el (gnus-summary-stop-at-end-of-message)
	* gnus.el (gnus-valid-select-methods)
	* message.el (message-send-mail-partially-limit)
	* mm-decode.el (mm-text-html-renderer)
	* mml.el (mml-insert-mime-headers-always)
	* smiley.el (smiley-regexp-alist): Bump custom version.

2010-08-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el: require mm-url.
	(gnus-html-wash-tags): Clarify the code a bit by renaming the variable
	with the url to `url'.
	(gnus-html-wash-tags): Support cid: URLs/images.

2010-08-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el: As per discussion 3 years, 8 weeks, 3 days, 9 hours, 57
	minutes, 56 seconds ago on the ding list, remove the `w' and `i'
	bindings, as they aren't useful at all.  `w' is moved to `W w'.

	* gnus-move.el: Removed file, since it doesn't really work.

	* gnus-html.el (gnus-article-html): Tell w3m that the input is
	UTF-8.  This seems to fix problems with some German web feeds.

	* gnus.el (gnus-group-startup-message): Put the xpm version of the logo
	at the top so that the proper colours are applied.

	* gnus-art.el (gnus-article-view-part): Doc fix.

	* gnus-html.el (gnus-html-put-image): Use gnus-create-image to be
	XEmacs-compatible.
	(gnus-html-put-image): Don't do images on non-graphic displays.

	* nnslashdot.el: Removed this unused backend.

	* gnus-undo.el (gnus-undo-register-1): Limit the undo actions to 100
	actions.
	(gnus-undo-register-1): Revert last change.

	* gnus-group.el (gnus-group-completing-read): Protect against not
	having completion-styles bound.

	* mml.el (mml-insert-mime-headers-always): Change the default to t, to
	make broken recipients happier.

	* gnus-html.el (gnus-html-put-image): Use gnus-put-image.

	* gnus-ems.el (gnus-put-image): Have gnus-put-image take an optional
	point parameter.

	* gnus-group.el (gnus-group-completing-read): Add 'substring to
	completion-styles for group selection.

2009-02-04  Andreas Schwab  <schwab@suse.de>

	* gnus-score.el (gnus-score-string): Fix regex for matching extra
	headers and regexp-quote the match if necessary.

2009-03-24  Miles Bader  <miles@gnu.org>

	* smiley.el (smiley-regexp-alist): Don't delete the semicolon before
	the blinking smiley.

2009-03-24  Simon Josefsson  <simon@josefsson.org>

	* smiley.el (smiley-regexp-alist): Disallow ;;) from being treated as a
	blink smiley.

2010-08-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-dribble-read-file): Ensure that the directory
	where the dribbel file lives exists.

	* message.el (message-send-mail-partially-limit): Change the default to
	nil, since most people don't want this.

	* mm-url.el (mm-url-decode-entities): Also decode entities like
	&#x3212.

2009-07-16  Kevin Ryde  <user42@zip.com.au>  (tiny change)

	* gnus-sum.el (gnus-summary-idna-message):
	* nnrss.el (nnrss-normalize-date, nnrss-discover-feed):
	Hyperlink urls in docstrings with URL `...'.

2010-08-29  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-html.el (gnus-html-put-image): Use XEmacs-compatible image
	functions.

2010-08-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-add-button): Take an optional parameter to
	say what the mouseover text should be.

	* gnus-html.el (gnus-html-prefetch-images): Use the summary-local
	version of the mm-w3m-safe-url-regexp variable to only download images
	in the groups where we want that to happen.

	* gnus-sum.el (gnus-summary-stop-at-end-of-message): New variable.

	* gnus-art.el (gnus-article-beginning-of-window): Make into defun for
	easier debugging.
	(gnus-article-beginning-of-window): Add kludge to allow spacing past
	big pictures in the article buffer.

	* mm-decode.el (mm-text-html-renderer): Default the html renderer to
	gnus-article-html.
	(mm-text-html-renderer): gnus-article-html needs curl in addition to
	w3m.

	* gnus-html.el: Start a new super-simple HTML renderer based on w3m.

2010-08-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-valid-select-methods): Remove reference to nngoogle,
	which doesn't exist.

	* message.el (message-inhibit-ecomplete): New variable to allow some
	function to inhibit ecomplete address storage.
	(message-resend): Disable ecomplete message storage when resending
	messages.

	* nntp.el (nntp-async-kluge): Remove the Emacs 20.3-related kluge.

2010-08-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article, gnus-summary-delete-article):
	Save excursion while copying, moving, and deleting articles in order to
	prevent the cursor from jumping to unforeseen place.

2010-08-17  Glenn Morris  <rgm@gnu.org>

	* gnus-sync.el: Require gnus components whose functions are used.

	* gnus-art.el (bookmark-make-record-function):
	* gnus-sum.el (bookmark-yank-point, bookmark-current-bookmark):
	Declare for compiler.

	* mm-url.el (mml-compute-boundary): Autoload.

2010-08-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-start-draft-setup): Move doc string forward.

2010-08-14  Teodor Zlatanov  <tzz@lifelogs.com>

	Typo fix "hoo4a" -> "hook".

	* gnus-sync.el (gnus-sync-install-hooks): Typo fix.

2010-08-14  Glenn Morris  <rgm@gnu.org>

	* gnus-sync.el (gnus-sync): Fix defgroup version.

2010-08-13  Teodor Zlatanov  <tzz@lifelogs.com>

	Doc fixes and keep unknown groups (ammended for nunion bug fix).

	* gnus-sync.el: Fix docs.
	(gnus-sync-save): Keep unknown groups in `gnus-sync-newsrc-loader'.
	(gnus-sync-read): Don't wipe `gnus-sync-newsrc-loader' after reading.

2010-08-12  Teodor Zlatanov  <tzz@lifelogs.com>

	Optimizations for gnus-sync.el.

	* gnus-sync.el: Add docs about gnus-sync-backend
	possibilities.
	(gnus-sync-save): Remove unnecessary message.
	(gnus-sync-read): Optimize and show what groups were skipped.

2010-08-12  Teodor Zlatanov  <tzz@lifelogs.com>

	Minor bug fixes for gnus-sync.el.

	* gnus-sync.el (gnus-sync-unload-hook, gnus-sync-install-hooks): Don't
	read the sync on get-new-news.

	* gnus-sync.el (gnus-sync-save): Define `variable' so the compiler is
	quiet.

	* gnus-sync.el (gnus-sync-read): Use `gnus-sync-newsrc-offsets' (fix typo).

2010-07-30  Lawrence Mitchell  <wence@gmx.li>

	Make saving and restoring of hidden threads work with overlays.
	Patch applied by Ted Zlatanov.

	* gnus-sum.el (gnus-hidden-threads-configuration)
	(gnus-restore-hidden-threads-configuration): Update to deal with text
	properties, rather than searching for a magic character.

2010-08-12  Teodor Zlatanov  <tzz@lifelogs.com>

	New gnus-sync.el library for synchronization of marks.

	* gnus-sync.el: New library for synchronization of marks.

	* gnus-util.el (gnus-grep-in-list): Moved from gnus-registry.el and
	renamed from `gnus-registry-grep-in-list'.

	* gnus-registry.el (gnus-registry-follow-group-p): Use `gnus-grep-in-list'.

	* gnus-start.el (gnus-start-draft-setup): Make it interactive.

2010-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-encode): Use utf-8 as a last resort if
	determining charset of text fails.

2010-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-get-new-mail-1): Revert.

	* nnml.el (nnml-active-number): Make sure names of newly created groups
	in nnml-group-alist are encoded.

2010-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-get-new-mail-1): Encode group names possibly
	containing non-ASCII characters in active file for nnml back end.

2010-07-24  David Engster  <dengste@eml.cc>

	* mml-smime.el (mml-smime-epg-verify): Also accept the older
	x-pkcs7-signature MIME type as signature (RFC 2311, C.1).

2010-07-21  Daiki Ueno  <ueno@unixuser.org>

	* mml.el (mml-parse-1): Collect "certfile" attributes in "<#secure>"
	tag (Bug#6654).

2010-07-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-bookmark-make-record): Bookmark position in
	the article buffer, not the summary buffer.

2010-07-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-bookmark-make-record): Make it work for
	Emacs 23 as well.

2010-07-13  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	Allow C-w when setting a bookmark in a Gnus Article buffer (Bug#5975).
	Patch applied by Karl Fogel.

	* gnus-sum.el (gnus-summary-bookmark-make-record): Set
	`bookmark-yank-point' and `bookmark-current-buffer' to allow C-w.

2010-07-13  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	Allow bookmarks to be set from Gnus Article buffers (Bug #5975).
	Patch applied (with minor tweaks) by Karl Fogel.  Note this leaves
	C-w still not working correctly from Article buffers; Thierry's
	patch to fix that will be applied after this.

	* gnus-art.el (bookmark-make-record-function): New local variable.

	* gnus-sum.el (gnus-summary-bookmark-make-record): Allow setting from
	article buffer.
	(gnus-summary-bookmark-jump): Maybe jump to article buffer.

2010-07-13  Karl Fogel  <kfogel@red-bean.com>

	* gnus-sum.el (bookmark-make-record-default): Adjust declaration, based
	on changes in bookmark.el.

2010-06-22  Mark A. Hershberger  <mah@everybody.org>

	* mm-url.el (mm-url-encode-multipart-form-data): New function to handle
	the *other* type of HTML form submission.

2010-06-15  Michael Albinus  <michael.albinus@gmx.de>

	* auth-source.el (auth-source-pick): If choice does not contain a
	questioned keyword, set the check to t.

2010-06-12  Romain Francoise  <romain@orebokech.com>

	* gnus-util.el (gnus-date-get-time): Move up before first use.

2010-06-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-buttonized-part-id): New internal variable.
	(gnus-article-edit-part): Bind it to make last part that is substituted
	or deleted visible.
	(gnus-mime-display-single): Buttonize part of which id equals to
	gnus-mime-buttonized-part-id.

2010-06-10  Dan Christensen  <jdc@uwo.ca>

	* gnus-util.el (gnus-user-date): Use gnus-date-get-time.
	(gnus-dd-mmm): Use gnus-date-get-time.
	* gnus-sum.el (gnus-thread-latest-date): Use gnus-date-get-time and
	simplify logic.
	(gnus-summary-limit-to-age): Use gnus-date-get-time.
	(gnus-sort-threads): emit message if gnus-sort-threads-loop used.

2010-06-08  Michael Albinus  <michael.albinus@gmx.de>

	* auth-source.el (top): Autoload `secrets-list-collections',
	`secrets-create-item', `secrets-delete-item'.
	(auth-sources): Fix tag string.
	(auth-get-source, auth-source-retrieve, auth-source-create)
	(auth-source-delete): New defuns.
	(auth-source-pick): Rewrite in order to avoid 2 passes.
	(auth-source-forget-user-or-password): New parameter USERNAME.
	(auth-source-user-or-password): New parameters CREATE-MISSING and
	DELETE-EXISTING.  Retrieve password interactively, if needed.

2010-06-07  Teemu Likonen  <tlikonen@iki.fi>  (tiny change)

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs): Don't ask about
	deleting unused directories when gnus-expert-user is t.

2010-06-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-delete-temp-files): Don't make query
	for each temp file when gnus-article-browse-delete-temp is ask.

2010-05-20  Kevin Ryde  <user42@zip.com.au>

	* gnus-start.el (gnus-level-unsubscribed): Doc fix.  (Bug#6206)

2010-05-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-save-article): Don't bother to re-fetch
	article unless decoding article to be saved.

2010-05-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml1991.el (mml1991-mailcrypt-encrypt, mml1991-gpg-encrypt)
	* mml2015.el (mml2015-gpg-encrypt): Disable multibyte in buffers
	generated within the mm-with-unibyte-current-buffer macro.

2010-05-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-bind-safe-url-regexp): Bind mm-w3m-safe-url-regexp
	to nil when we're in a mml-preview buffer and no group is selected.

2010-05-12  Andreas Seltenreich  <seltenreich@gmx.de>

	* gnus-sum.el (gnus-summary-read-group-1): Don't jump to next group
	when catching the `C-g'.  Reported by "Leo".

2010-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-forward-make-body-plain)
	(message-forward-make-body-mml): Use mm-multibyte-string-p instead of
	multibyte-string-p.

2010-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-forward-make-body-mml): Assume original message
	is multibyte string; error on unibyte.
	(message-forward-make-body-plain): Ditto; don't add excessive newline
	in body end.

2010-05-11  Andreas Seltenreich  <seltenreich@gmx.de>

	* gnus-sum.el (gnus-summary-kill-thread): Use gnus-summary-mark-article
	instead of g-s-m-a-as-unread to set the expirable mark.  (Bug#5284)

2010-05-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-extern.el (mm-extern-url): Don't use
	mm-with-unibyte-current-buffer.
	(mm-extern-cache-contents): Use with-current-buffer instead of
	save-excursion + set-buffer.

2010-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-emacs-mule): Remove.

2010-05-10  Andreas Seltenreich  <seltenreich@gmx.de>

	* gnus-sum.el (gnus-summary-mode): Don't make minor-mode-alist
	buffer-local as it's incompatible with Stefan Monnier's 2010-05-03
	change.

2010-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-with-unibyte-current-buffer): Redefine it so as not to
	bind the default value of enable-multibyte-characters to nil.

2010-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-forward-make-body-plain)
	(message-forward-make-body-mml):
	Don't use mm-with-unibyte-current-buffer.

2010-05-07  Christian von Roques  <roques@mti.ag>  (tiny change)

	* mml2015.el (mml2015-epg-find-usable-key): Skip disabled key
	(Bug#5592).

2010-05-07  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (gnus-mime-pipe-part): Add optional argument `cmd'; pass
	it to mm-pipe-part.

	* mm-decode.el (mm-pipe-part): Add optional argument `cmd'; use it if
	it is given.

2010-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnweb.el (nnweb-gmane-search)
	* yenc.el (yenc-decode-region): Don't run set-buffer-multibyte for
	XEmacs.

	* gnus-art.el (gnus-article-browse-html-parts)
	* gnus-group.el (gnus-read-ephemeral-gmane-group)
	(gnus-read-ephemeral-bug-grou): Use mm-make-temp-file instead of
	make-temp-file.

	* gnus-dired.el (gnus-dired-mode): Bind gnus-dired-mode-hook,
	gnus-dired-mode-on-hook and gnus-dired-mode-off-hook for XEmacs when
	compiling.

	* gnus-ml.el (gnus-mailing-list-mode): Bind gnus-mailing-list-mode-hook,
	gnus-mailing-list-mode-on-hook and gnus-mailing-list-mode-off-hook for
	XEmacs when compiling.

	* gnus-salt.el (gnus-pick-mode): Bind gnus-pick-mode-on-hook and
	gnus-pick-mode-off-hook for XEmacs when compiling.
	(gnus-binary-mode): Bind gnus-binary-mode-on-hook and
	gnus-binary-mode-off-hook for XEmacs when compiling.

	* gnus-sum.el (gnus-summary-limit-strange-charsets-predicate): Return
	nil if char-charset is not available.

	* sieve-manage.el (sieve-manage-disable-multibyte): Redefine it as a
	macro.

	* mm-url.el (mm-url-form-encode-xwfu): Use mm-encode-coding-string
	instead of encode-coding-string.

	* mm-util.el (mm-enable-multibyte, mm-disable-multibyte): Use (featurep
	'xemacs) instead of mm-emacs-mule to switch function definitions.
	(mm-with-unibyte-current-buffer): Make it a progn macro for XEmacs.

2010-05-06  Tommi Vainikainen  <thv@iki.fi>  (tiny change)

	* mml-sec.el (mml-secure-message-sign): Fix cut and paste error.

2010-05-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-dired.el, gnus-draft.el, gnus-ml.el, gnus-salt.el, gnus-sum.el,
	gnus-undo.el, mml.el: Require easy-mmode for XEmacs when compiling.

2010-05-03  Juanma Barranquero  <lekktu@gmail.com>

	* mm-util.el (mm-decompress-buffer): Use `delete-file';
	alias `jka-compr-delete-temp-file' no longer exists.

2010-05-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use define-minor-mode in Gnus where applicable.
	* mml.el (mml-mode): Use define-minor-mode.
	* gnus-undo.el (gnus-undo-mode-map): Initialize in declaration.
	(gnus-undo-mode): Use define-minor-mode.
	* gnus-sum.el (gnus-dead-summary-mode-map): Initialize in declaration.
	(gnus-dead-summary-mode): Use define-minor-mode.
	* gnus-salt.el (gnus-pick-mode-map, gnus-binary-mode-map):
	Initialize in declaration.
	(gnus-pick-mode, gnus-binary-mode): Use define-minor-mode.
	* gnus-ml.el (gnus-mailing-list-mode-map): Initialize in declaration.
	(gnus-mailing-list-mode): Use define-minor-mode.
	* gnus-draft.el (gnus-draft-mode-map): Initialize in declaration.
	(gnus-draft-mode): Use define-minor-mode.
	* gnus-dired.el (gnus-dired-mode-map): Initialize in declaration.
	(gnus-dired-mode): Use define-minor-mode.

2010-05-01  Andreas Seltenreich  <seltenreich@gmx.de>

	* mml.el (mml-generate-mime-1,mml-compute-boundary-1): Update 'mml
	handles on recursive mml-to-mime translation and check them for
	boundary delimiter collisions.  Reported by Greg Troxel.

2010-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el: Don't load tm and apel XEmacs packages when compiling.

2010-04-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-find-buffer-file-coding-system):
	* yenc.el (yenc-decode-region): Don't let-bind a read-only variable.

2010-04-22  Andreas Seltenreich  <seltenreich@gmx.de>

	* message.el (message-generate-headers): Record insertion of optional
	headers as well.  Otherwise the check to prevent repeated insertion of
	optional headers is a no-op.

2010-04-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* smime.el: Don't mention CVS.

	* nnrss.el (nnrss-fetch): Don't mention CVS.

	* nnir.el: Don't mention CVS.

2010-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-bookmark-make-record):
	Add `location' field.

2010-04-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el: Add bookmark declarations to silence the compiler.
	(gnus-mark-xrefs-as-read, gnus-summary-limit-to-bodies):
	Use with-current-buffer to silence the byte-compiler.
	(gnus-summary-bookmark-make-record): Use derived-mode-p and don't
	bother to require `gnus'.
	(gnus-summary-bookmark-jump): Don't forget to autoload.  Simplify.

2010-04-12  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* gnus-sum.el (gnus-summary-bookmark-make-record)
	(gnus-summary-bookmark-jump): New functions.
	(gnus-summary-mode): Setup bookmark support.

2010-04-01  Andreas Schwab  <schwab@linux-m68k.org>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Use buffer-file-coding-system
	if set.

2010-03-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-save-cid-content): Rename from
	gnus-article-browse-html-save-cid-image; make it work recursively for
	forwarded messages as well.
	(gnus-article-browse-html-parts): Work when prefix arg is given.
	(gnus-article-browse-html-article): Doc fix.

2010-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-default-mail-headers):
	(message-default-headers): Carry the value mail-default-headers over
	into message-default-mail-headers, rather than message-default-headers.

2010-03-30  Martin Stjernholm  <mast@lysator.liu.se>

	* mm-decode.el (mm-add-meta-html-tag): Add option to override the
	charset.

	* gnus-art.el (gnus-article-browse-html-parts): Force the correct
	charset into the <meta> tag when the article is encoded to utf-8.

2010-03-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-delete-temp-files):
	Delete directories as well.
	(gnus-article-browse-html-parts): Work for images that do not specify
	file names; delete temp directory when quitting; insert header at the
	right place; use file: scheme for image files.

2010-03-30  Eric Schulte  <schulte.eric@gmail.com>

	* gnus-art.el (gnus-article-browse-html-save-cid-image): New function.
	(gnus-article-browse-html-parts): Use it to make temporary cid image
	files in addition to html file so that browser may display them.

2010-03-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-add-meta-html-tag): Fix regexp matching meta tag.

2010-03-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-pick): Fix for non-secrets specifier.

2010-03-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-sources): Change default to be simpler.
	Explain about Secret Service API sources.  Improve Customize options.
	(auth-source-pick): Change to accept any number of search parameters.
	Implement fallbacks iteratively, not recursively.  Add scoring on the
	second pass and sort by score.  Call Secret Service API when needed.
	(auth-source-user-or-password): Use it.  Call Secret Service API
	directly when needed to get the user name and the password.

2010-03-24  Juanma Barranquero  <lekktu@gmail.com>

	* message.el (message-interactive): Doc fix.
	(message-qmail-inject-args): Reflow.
	(message-kill-to-signature): Fix typo in docstring.

	* smiley.el (smiley-buffer): Fix typo in docstring.

2010-03-24  Glenn Morris  <rgm@gnu.org>

	* mail-source.el (gnus-message): Declare.
	(mail-source-delete-old-incoming): Require gnus-util.

2010-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (canlock-verify): Autoload it for Emacs 21.

	* message.el (ecomplete-setup): Autoload it for Emacs <23.

	* mml-sec.el (mml-secure-cache-passphrase): Default to t that is
	password-cache's default if it is not bound.
	(mml-secure-passphrase-cache-expiry): Default to 16 that is
	password-cache-expiry's default if it is not bound.

	* pop3.el (pop3-list): Don't use 3rd arg of `split-string' which is not
	available in Emacs 21.

2010-03-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-sources): Fix up definition so extra parameters
	are always inline.

2010-03-22  Martin Stjernholm  <mast@lysator.liu.se>

	* nnimap.el (nnimap-verify-uidvalidity): Fixed bug where uidvalidity
	wasn't updated after mismatch.  Clear cached mailbox info correctly
	when uidvalidity changes.
	(nnimap-group-prefixed-name): New function to avoid some code
	duplication.
	(nnimap-verify-uidvalidity, nnimap-group-overview-filename)
	(nnimap-request-group): Use it.
	(nnimap-retrieve-groups, nnimap-verify-uidvalidity)
	(nnimap-update-unseen): Significantly improved speed of Gnus startup
	with many imap folders.  This is done by caching the group status from
	the imap server persistently in a group parameter `imap-status'.  (This
	was cached before too if `nnimap-retrieve-groups-asynchronous' was set,
	but not persistently, so every Gnus startup was still very slow.)

2010-03-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Set up autoloads.  Bump to 23.2 because of the
	secrets.el dependency.
	(auth-sources): Add optional user name.  Add secrets.el configuration
	choice (unused right now).

2010-03-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-make-menu-bar): Let
	`gnus-registry-install-shortcuts' fill in the functions.

	* gnus-registry.el (gnus-summary-misc-menu): Declare to avoid
	warnings.
	(gnus-registry-misc-menus): Variable to hold registry mark menus.
	(gnus-registry-install-shortcuts): Populate and use it in a
	`gnus-summary-menu-hook' lambda, under "Gnus"->"Registry Marks".

2010-03-20  Martin Stjernholm  <mast@lysator.liu.se>

	* nnimap.el (nnimap-decode-group-name, nnimap-encode-group-name):
	In-place substitutions for the group name encoding/decoding.
	(nnimap-find-minmax-uid, nnimap-possibly-change-group)
	(nnimap-retrieve-headers-progress, nnimap-possibly-change-group)
	(nnimap-retrieve-headers-progress, nnimap-request-article-part)
	(nnimap-update-unseen, nnimap-request-list)
	(nnimap-retrieve-groups, nnimap-request-update-info-internal)
	(nnimap-request-set-mark, nnimap-split-to-groups)
	(nnimap-split-articles, nnimap-request-newgroups)
	(nnimap-request-create-group, nnimap-request-accept-article)
	(nnimap-request-delete-group, nnimap-request-rename-group)
	(nnimap-acl-get, nnimap-acl-edit): Use them.  Replace `mbx' with
	`encoded-mbx' for consistency.
	(nnimap-close-group): Call `imap-current-mailbox' instead of using the
	variable `imap-current-mailbox'.

	* gnus-agent.el (gnus-agent-fetch-articles, gnus-agent-fetch-headers)
	(gnus-agent-regenerate-group): Use `gnus-agent-decoded-group-name'.

2010-03-20  Bojan Petrovic  <bpetrovi@f.bg.ac.rs>

	* pop3.el (pop3-display-message-size-flag): Display message size byte
	counts during POP3 download.
	(pop3-movemail): Use it.
	(pop3-list): Implement listing of available messages.

2010-03-20  Mark Triggs  <mst@dishevelled.net>  (tiny change)

	* nnir.el (nnir-get-article-nov-override-function): New function to
	override the normal NOV retrieval.
	(nnir-retrieve-headers): Use it.

2010-03-19  Michael Albinus  <michael.albinus@gmx.de>

	* auth-source.el (netrc-machine-user-or-password): Autoload.

2010-03-19  Glenn Morris  <rgm@gnu.org>

	Stop message.el from loading about 40 libraries it doesn't always need.
	The general approach is to autoload rather than require, and to
	require in the specific functions rather than the file.  (Bug#5642)

	* gmm-utils.el: Don't require wid-edit.
	(widget-create-child-value, widget-convert, widget-default-get):
	Autoload.

	* gnus-util.el: Don't require time-date, netrc.
	(message-fetch-field, gnus-group-name-decode): Declare rather than
	autoloading.
	(gnus-fetch-field): Require message.
	(gnus-decode-newsgroups): Require gnus-group.

	* ietf-drums.el: Don't require time-date.

	* message.el: Don't require hashcash, canlock, ecomplete.
	Do require mail-utils.  Require nnheader only when compiling.
	(smtpmail-default-smtp-server): Remove declaration.
	(message-send-mail-function): Check smtpmail-default-smtp-server
	is bound rather than requiring smtpmail.
	(message-auto-save-directory, message-insert-signature): Use
	expand-file-name rather than nnheader-concat.
	(nnheader-insert-file-contents): Autoload.
	(hashcash-wait-async): Declare.
	(message-send-mail): Only call gnus-setup-posting-charset if
	gnus-group-posting-charset-alist is bound.  Require hashcash if needed.
	(message-send-mail-with-sendmail): Require sendmail.
	(canlock-password, canlock-password-for-verify): Declare.
	(message-canlock-password): Require canlock.
	(nnheader-get-report): Autoload.
	(gnus-setup-posting-charset): Declare.
	(message-send-news): Require gnus-msg.
	(message-make-references, message-make-in-reply-to): Use mail-header-id
	rather than the alias mail-header-message-id.
	(ecomplete-add-item, ecomplete-save): Declare.
	(message-put-addresses-in-ecomplete): Require ecomplete.
	(ecomplete-display-matches): Autoload.

	* mm-decode.el: Don't require mailcap, gnus-util.
	(gnus-map-function, gnus-replace-in-string, gnus-read-shell-command)
	(message-fetch-field, mailcap-parse-mailcaps, mailcap-mime-info):
	Autoload.
	(mailcap-mime-extensions): Declare.

	* mm-encode.el: Don't require mailcap.
	(mailcap-extension-to-mime): Autoload.

	* mml-sec.el: Don't require password-cache.

	* mml.el (gnus-setup-posting-charset): Declare rather than autoload.
	(mailcap-parse-mimetypes, mailcap-mime-types): Declare.
	(mml-minibuffer-read-type): Require mailcap.
	(mml-preview): Require gnus-msg.

	* mml1991.el: Require password-cache.
	(password-cache-expiry): Remove declaration.

	* mml2015.el: Require password-cache.
	(password-cache-expiry): Remove declaration.

	* nneething.el (mailcap): Require mailcap.

	* nnheader.el (declare-function): Add compatibility stub.
	(message-remove-header): Declare rather than autoload.
	(nnheader-replace-header): Require message.

	* nnimap.el (declare-function): Add compatibility stub.
	(netrc-parse, netrc-machine-user-or-password): Declare.
	(nnimap-open-connection): Require netrc.

	* nntp.el (declare-function): Add compatibility stub.
	(netrc-parse, netrc-machine, netrc-get): Declare.
	(nntp-send-authinfo): Require netrc.

	* rfc2047.el: Don't require qp.
	(quoted-printable-encode-region, quoted-printable-decode-string):
	Autoload.

	* sieve-mode.el: Don't require easymenu.
	(easy-menu-add-item): Autoload it.

	* spam-stat.el (time-to-number-of-days): Autoload it.

2010-03-17  Kevin Ryde  <user42@zip.com.au>

	* mml.el (mml-read-tag): Unquote values with `read' to reverse
	prin1 in mml-insert-tag (just stripping the quotes gave wrong
	value if any backslash escapes).

2010-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-charset-to-coding-system): Use coding-system-from-name
	if it is available.  (bug#5647)

2010-02-26  Glenn Morris  <rgm@gnu.org>

	* message.el (message-send-mail-function): Change the default, so that
	it inherits from a customized send-mail-function.  (Bug#5643)

2010-02-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-treat-display-x-face): Don't burp if
	shell-command-to-string signals an error (bug#5299).

2010-02-24  Glenn Morris  <rgm@gnu.org>

	* message.el (message-smtpmail-send-it)
	(message-send-mail-with-mailclient): Doc fixes.

2010-02-16  Glenn Morris  <rgm@gnu.org>

	* message.el (message-default-mail-headers): Change the default value
	to ease the transition from mail-mode to message-mode.  (Bug#5555)

2010-01-17  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-mail): Just pass yank-action on to message-setup.
	(message-setup): Handle (FUN . ARGS) form of yank-action.
	(message-with-reply-buffer, message-widen-reply)
	(message-yank-original): Handle non-buffer values of
	message-reply-buffer (Bug#4080).
	(message-setup-1): Prefer to save message-reply-buffer as a buffer.

2010-01-17  Juanma Barranquero  <lekktu@gmail.com>

	* nnmairix.el (nnmairix-group-delete-recreate-this-group):
	Fix typo in docstring.

2010-01-08  Jason Rumney  <jasonr@gnu.org>

	* sieve-manage.el (sieve-manage-parse-capability-1): Loosely match OK
	response.

2010-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Work for prefix keys.

	* message.el (message-check-news-header-syntax): Protect against a
	string that `rfc822-addresses' returns when parsing fails.

2010-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-invisible-p, gnus-next-char-property-change)
	(gnus-previous-char-property-change): New functions.

	* gnus-sum.el (gnus-forward-line-ignore-invisible): Use them.

2010-01-05  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-sum.el (gnus-forward-line-ignore-invisible): New function.
	(gnus-summary-recenter): Use it instead of forward-line.  (Bug#5257)

2010-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-exchange-point-and-mark): Rework last change to
	avoid using optional arg of exchange-point-and-mark, for backward
	compatibility.

2010-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-exchange-point-and-mark): Call
	exchange-point-and-mark with an argument rather than setting
	mark-active by hand (Bug#5175).

2009-12-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-service-to-port): Work for service expressed with
	numeric string; replace [:digit:] with [0-9] for XEmacs.

2009-12-17  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-bug-group-download-format-alist):
	Change emacs entry to debbugs.gnu.org.  Bump :version.

2009-12-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-encode.el (mm-sign-option, mm-encrypt-option): Add :version tag.

2009-12-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-info): Explain why we use `Info-goto-node'.

2009-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-completion-in-region): New compatibility function.
	(message-expand-group): Use it.

2009-12-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-prepare-flat): Check also whether groups
	with no unread article should be listed if the 2nd arg `predicate' is
	given.

2009-11-29  Juri Linkov  <juri@jurta.org>

	* gnus-sum.el (gnus-recenter): Use `recenter-top-bottom'
	when it is fboundp in GNU Emacs 23.1.  Put `isearch-scroll' property
	on `gnus-recenter'.  (Bug#4698, Bug#4981)

2009-11-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-from-style, message-interactive)
	(message-signature): Always set default values from the corresponding
	mail-* variables.
	(message-cite-prefix-regexp, message-sendmail-envelope-from)
	(message-yank-prefix, message-indentation-spaces)
	(message-signature-file, message-default-headers): Use boundp rather
	than (featurep 'xemacs) to check if the corresponding mail-* variables
	exist.

2009-11-20  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-send-mail-with-sendmail): Revert last change.

2009-11-19  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-from-style, message-interactive)
	(message-cite-prefix-regexp, message-sendmail-envelope-from)
	(message-yank-prefix, message-indentation-spaces, message-signature)
	(message-signature-file, message-default-headers): For GNU Emacs, set
	default values from the corresponding mail-* variables.
	(message-send-mail-with-sendmail): Use envelope-from only if
	mail-specify-envelope-from is non-nil.

2009-11-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-decode-region): Don't quote decoded words
	containing tspecial characters if they have been already quoted.

2009-10-24  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (help-xref-stack-item): Define for compiler.

2009-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-remove-overlays): eval-and-compile.

2009-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-show-thread): Remove useless goto-char.
	(gnus-summary-show-thread, gnus-summary-hide-thread): Indent.

2009-10-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-overlay-get): New alias to overlay-get.
	(gnus-overlays-in): New alias to overlays-in.

	* gnus-sum.el (gnus-remove-overlays): Use gnus-overlays-in,
	gnus-overlay-get, and gnus-delete-overlay.
	(gnus-summary-show-thread): Make it work as well for systems in which
	next-single-char-property-change is not available.
	(gnus-summary-hide-thread): Use gnus-make-overlay and gnus-overlay-put.

2009-10-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-remove-overlays): Add doc string and alias.

2009-10-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* gnus-sum.el (gnus-remove-overlays): Compatibility code for Emacs 21
	and XEmacs that don't have `remove-overlays'.

2009-10-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-mode, gnus-summary-show-all-threads)
	(gnus-summary-show-thread, gnus-summary-hide-thread): Get rid of
	selective display.  Use overlays instead.

2009-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* spam-stat.el (spam-stat-strip-xref): Fix typo in docstring.

2009-09-29  Juanma Barranquero  <lekktu@gmail.com>

	* spam-stat.el (spam-stat-load): Fix typo in message.

2009-09-23  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-encrypt-body):
	* message.el (message-check-recipients):
	* mm-util.el (mm-codepage-setup):
	* nnir.el (gnus-summary-nnir-goto-thread, nnir-run-waissearch)
	(nnir-run-swish++, nnir-run-swish-e): Fix typos in error messages.

2009-09-22  Daiki Ueno  <ueno@unixuser.org>

	* mm-encode.el (mm-sign-option, mm-encrypt-option): New user option.
	* mml2015.el (mml2015-epg-sign, mml2015-epg-encrypt): Let users select
	keys from the menu if mm-{sign,encrypt}-option is 'guided.
	* mml-smime.el (mml-smime-epg-sign, mml-smime-epg-encrypt): Ditto.
	* mml1991.el (mml1991-epg-sign, mml1991-epg-encrypt): Ditto.

2009-09-18  Glenn Morris  <rgm@gnu.org>

	* gnus-diary.el (gnus-diary-check-message):
	* message.el (message-insert-formatted-citation-line):
	* nnbabyl.el (top-level):
	* nndiary.el (nndiary-schedule):
	Fix typos in condition-case handlers.

2009-09-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-part): Work for the buffer
	configuration that provides the sole article window in a frame;
	position point correctly after deleting a part.

2009-09-14  Adam Sjøgren  <asjo@koldfront.dk>

	* spam.el (spam-unregister-on-reregister): Add boolean variable.
	(spam-resolve-registrations-routine): Use it to unregister articles
	that change status.

2009-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Remove binding of
	default-enable-multibyte-characters that has gotten needless by
	the 2007-07-13 change in rfc2047-encode-message-header.

	* mml.el (mml-insert-multipart): Error on the message header.
	(mml-insert-part): Error on the message header; position point at
	the end of a MIME tag.

2009-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (with-no-warnings): Define it for old Emacsen.
	(gnus-float-time): Alias to float-time if it exists.

	* ecomplete.el (with-no-warnings): Define it for old Emacsen.
	(ecomplete-add-item): Don't use (featurep 'xemacs) to check if
	float-time is available; suppress compile warning for time-to-seconds.

2009-09-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-encode.el (mm-encode-buffer): Don't force 7bit encoding since MTA
	may break data.  Suggested by Dmitri Paduchikh <dpaduch@k66.ru>.
	Add the optional argument `encoding' that overrides the default.

	* mml.el (mml-generate-mime-1): Pass encoding defined by a user to
	mm-encode-buffer.

2009-09-04  Glenn Morris  <rgm@gnu.org>

	* qp.el (quoted-printable-encode-string): Use mm-enable-multibyte, or
	mm-disable-multibyte, rather than default-enable-multibyte-characters.
	* utf7.el (utf7-encode, utf7-decode): Use mm-with-multibyte-buffer, or
	mm-with-unibyte-buffer, rather than default-enable-multibyte-characters.
	* mm-util.el (mm-with-unibyte-current-buffer)
	(mm-find-buffer-file-coding-system):
	* yenc.el (yenc-decode-region): Use default-value rather than
	default-enable-multibyte-characters.

2009-09-03  Glenn Morris  <rgm@gnu.org>

	* mm-util.el (mm-emacs-mule, mm-default-multibyte-p):
	* rfc2047.el (rfc2047-encode-message-header): Use default-value rather
	than default-enable-multibyte-characters.

2009-09-02  Karl Kleinpaste  <karl@kleinpaste.org>

	* gnus-art.el (gnus-article-read-summary-keys):
	Fix gnus-buffer-configuration's value temporarily used.

2009-09-02  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (gnus-float-time): New function.
	* gnus-delay.el (gnus-delay-article):
	* gnus-sum.el (gnus-thread-latest-date):
	* gnus-util.el (gnus-user-date): Use gnus-float-time.
	* nnspool.el (nnspool-request-newgroups):
	Use gnus-float-time rather than time-to-seconds.
	* ecomplete.el (ecomplete-add-item): In Emacs, use float-time.

	* gnus-art.el (gnus-signature-face, gnus-header-from-face)
	(gnus-header-subject-face, gnus-header-newsgroups-face)
	(gnus-header-name-face, gnus-header-content-face):
	* gnus-cite.el (gnus-cite-attribution-face, gnus-cite-face-1)
	(gnus-cite-face-2, gnus-cite-face-3, gnus-cite-face-4)
	(gnus-cite-face-5, gnus-cite-face-6, gnus-cite-face-7)
	(gnus-cite-face-8, gnus-cite-face-9, gnus-cite-face-10)
	(gnus-cite-face-11):
	* gnus-picon.el (gnus-picon-xbm-face, gnus-picon-face):
	* gnus-srvr.el (gnus-server-agent-face, gnus-server-opened-face)
	(gnus-server-closed-face, gnus-server-denied-face)
	(gnus-server-offline-face):
	* gnus.el (gnus-group-news-1-face, gnus-group-news-1-empty-face)
	(gnus-group-news-2-face, gnus-group-news-2-empty-face)
	(gnus-group-news-3-face, gnus-group-news-3-empty-face)
	(gnus-group-news-4-face, gnus-group-news-4-empty-face)
	(gnus-group-news-5-face, gnus-group-news-5-empty-face)
	(gnus-group-news-6-face, gnus-group-news-6-empty-face)
	(gnus-group-news-low-face, gnus-group-news-low-empty-face)
	(gnus-group-mail-1-face, gnus-group-mail-1-empty-face)
	(gnus-group-mail-2-face, gnus-group-mail-2-empty-face)
	(gnus-group-mail-3-face, gnus-group-mail-3-empty-face)
	(gnus-group-mail-low-face, gnus-group-mail-low-empty-face)
	(gnus-summary-selected-face, gnus-summary-cancelled-face)
	(gnus-summary-high-ticked-face, gnus-summary-low-ticked-face)
	(gnus-summary-normal-ticked-face, gnus-summary-high-ancient-face)
	(gnus-summary-low-ancient-face, gnus-summary-normal-ancient-face)
	(gnus-summary-high-undownloaded-face)
	(gnus-summary-low-undownloaded-face)
	(gnus-summary-normal-undownloaded-face)
	(gnus-summary-high-unread-face, gnus-summary-low-unread-face)
	(gnus-summary-normal-unread-face, gnus-summary-high-read-face)
	(gnus-summary-low-read-face, gnus-summary-normal-read-face)
	(gnus-splash-face):
	* message.el (message-header-to-face, message-header-cc-face)
	(message-header-subject-face, message-header-newsgroups-face)
	(message-header-other-face, message-header-name-face)
	(message-header-xheader-face, message-separator-face)
	(message-cited-text-face, message-mml-face):
	* sieve-mode.el (sieve-control-commands-face)
	(sieve-action-commands-face, sieve-test-commands-face)
	(sieve-tagged-arguments-face):
	* spam.el (spam-face):
	Mark face aliases with "-face" in the name as obsolete.

2009-09-01  Glenn Morris  <rgm@gnu.org>

	* gnus-salt.el (gnus-pick-mouse-pick-region): Use forward-line rather
	than goto-line.

2009-08-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-attach-file, mml-attach-buffer, mml-attach-external):
	Don't move point if the command is invoked inside the message header.

2009-08-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* spam.el (spam-ifile-path, spam-bogofilter-path, spam-sa-learn-path)
	(spam-ifile-database-path, spam-bsfilter-path, spam-spamassassin-path):
	* nnmail.el (nnmail-spool-file, nnmail-fix-eudora-headers):
	* nnir.el (nnir-swish-e-index-file):
	* gnus-sum.el (gnus-summary-delete-marked-as-read)
	(gnus-summary-delete-marked-with, gnus-summary-mark-as-unread-forward)
	(gnus-summary-mark-as-unread-backward, gnus-summary-mark-as-unread):
	* gnus-msg.el (gnus-inews-mark-gcc-as-read):
	* gnus-art.el (gnus-article-hide-pgp-hook, gnus-treat-strip-pgp)
	(gnus-treat-display-xface): Add Emacs version of obsolescence.

2009-08-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-attach-file, mml-attach-buffer, mml-attach-external):
	Don't save excursion.

2009-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnheader.el (nnheader-find-file-noselect):
	* mm-util.el (mm-insert-file-contents):
	Use (default-value 'major-mode) instead of default-major-mode.

2009-08-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnrss.el (nnrss-request-article): Avoid default-fill-column.

2009-08-25  Glenn Morris  <rgm@gnu.org>

	* nnir.el (top-level): Don't require cl at run-time.
	(nnir-run-waissearch, nnir-run-swish-e, nnir-run-hyrex):
	Replace cl-function substitute with gnus-replace-in-string.
	(nnir-run-waissearch, nnir-run-swish++, nnir-run-swish-e)
	(nnir-run-hyrex, nnir-run-namazu): Replace cl-function sort* with sort.
	(nnir-run-find-grep): Replace cl-functions find-if and subseq with
	simplified expansions.

2009-08-22  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (gnus-button-patch): Use forward-line rather than
	goto-line.

2009-08-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-safe-html-newsgroups): New user option.

	* gnus-art.el (gnus-bind-safe-url-regexp): New macro.
	(gnus-mime-view-all-parts, gnus-mime-view-part-internally)
	(gnus-mm-display-part, gnus-mime-display-single)
	(gnus-mime-display-alternative): Use gnus-bind-safe-url-regexp to
	override mm-w3m-safe-url-regexp according to gnus-safe-html-newsgroups.

	* gnus-sum.el
	(gnus-mark-copied-or-moved-articles-as-expirable): New user option.
	(gnus-summary-move-article): Add expirable mark to articles copied or
	moved to group that has auto-expire turned on if the option is non-nil.

2009-07-24  Glenn Morris  <rgm@gnu.org>

	* gnus-demon.el (gnus-demon-add-nntp-close-connection):
	Fix typo.  (Bug#3903)

2009-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-mode-map): Bind the "e" key to
	gnus-article-read-summary-keys rather than gnus-summary-edit-article
	that should not be used for draft articles.
	(gnus-article-read-summary-keys): Use key-binding instead of lookup-key
	that has no concern in minor mode keys.
	(gnus-article-summary-command, gnus-article-summary-command-nosave):
	Abolish.

2009-07-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-request-article): Allow mml-to-mime to generate MIME
	article without making inquiry to a user for unknown encoding.

	* nnmaildir.el (nnmaildir--group-maxnum, nnmaildir--new-number)
	(nnmaildir--scan): Assume i-node and device number that file-attributes
	returns might be cons-cell.

2009-07-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Remove docs now in auth.texi.  Don't use
	`gnus-message' for logging.  Add new variables `auth-source-debug' and
	`auth-source-hide-passwords' and use them.

2009-07-15  Glenn Morris  <rgm@gnu.org>

	* gnus-spec.el (gnus-make-format-preserve-properties): Doc fix.

2009-07-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-rss-group): Strip newlines and
	excessive whitespace from the default values of title and description.

2009-06-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-dissect-buffer): Use message-fetch-field instead of
	mail-fetch-field to fetch Content-Description header in order to
	exclude newlines.

2009-06-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-delete-part): Specify gnus-decoded as charset
	to deleted part.

2009-05-30  David Engster  <dengste@eml.cc>

	* nnmairix.el: Remove old documentation in the commentary block.
	(nnmairix-request-group): Do not update active file for nnml back ends.
	(nnmairix-retrieve-headers): Set gnus-nov-is-evil to t for nnimap back
	end so that overview files are ignored.
	(nnmairix-update-groups): Make updating the groups more robust by using
	marks.
	(nnmairix-determine-original-group-from-path): Circumvent mairix bug
	with dollar characters in message-id.

2009-04-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el: Use dns-query instead of query-dns.  Was renamed on
	2008-12-25 in dns.el.

2009-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* rfc2047.el (rfc2047-decode-region): Don't skip past `start', which
	could happen if the text is only composed of spaces and/or tabs.

2009-03-03  Brian Sniffen  <bts@evenmere.org>  (tiny change)

	* gnus-draft.el (gnus-draft-send): Bind gnus-message-setup-hook to nil
	when sending a queued message to avoid extra mml tags.

2009-03-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-insert-mime): Don't break parts that mm-uu dissected.

2009-02-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-dired.el: Remove autoload for gnus-setup-message.
	(gnus-dired-attach): Fake this-command value to prevent Gnus from
	displaying Gnus logo; always use compose-mail.

2009-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-dired.el: Tell autoload that gnus-setup-message is a macro.

2009-02-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-nocem.el (gnus-nocem-groups): Remove invalid NoCeM groups.
	(gnus-nocem-issuers): List currently active issuers; fix custom type.
	(gnus-nocem-verifyer): Default to gnus-nocem-epg-verify if EasyPG is
	available.
	(gnus-nocem-epg-verify): New function.

2009-02-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-alist): Recognize Konqueror info links.

2009-02-15  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (rmail-insert-rmail-file-header)
	(rmail-count-new-messages, rmail-show-message): Remove unnecessary
	autoloads.
	(rmail-default-rmail-file): Remove unnecessary declaration.
	(gnus-output-to-rmail): Handle mbox Rmail as well as Babyl Rmail.

2009-02-14  Glenn Morris  <rgm@gnu.org>

	* gnus.el (rmail-default-rmail-file): Remove declaration of deleted
	variable (only used in gnus-util, which declares it anyway).
	(rmail-output-to-rmail-file): Remove autoload of deleted function,
	which was only needed by gnus-art (changed to not use it any more).
	(rmail-insert-rmail-file-header): Remove autoload of deleted function,
	only used in gnus-util, which autoloads it itself.
	(rmail-update-summary): Fix autoload.

	* gnus-art.el (gnus-summary-save-in-mail): Use gnus-output-to-rmail
	rather than rmail-output-to-rmail-file.

2009-02-07  Glenn Morris  <rgm@gnu.org>

	* message.el (rmail-msg-restore-non-pruned-header): Remove unneeded
	autoload of function that no longer exists.
	(rmail-toggle-header): Declare.
	(message-forward-rmail-make-body): Handle mbox Rmail.

2009-01-31  Glenn Morris  <rgm@gnu.org>

	* gnus-sum.el (gnus-summary-next-article): XEmacs-friendly version of
	2009-01-09 change.

2009-01-26  Teodor Zlatanov  <tzlatanov@jumptrading.com>

	* auth-source.el (auth-source-forget-user-or-password): Clarify docs.
	(auth-source-forget-all-cached): New convenience function.
	(auth-source-user-or-password): Accept list of modes or a single mode.

	* mail-source.el (mail-source-bind, mail-source-set-1): Use list of
	auth-source modes.

	* nnimap.el (nnimap-open-connection): Use list of
	auth-source modes.

	* nntp.el (nntp-send-authinfo): Use list of
	auth-source modes.

2009-01-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Update docs to reflect epa-file-enable is to be used
	now.

2009-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-pathname-coding-system): Default to the `file-name'
	coding system in XEmacs; add a workaround for XEmacs.

2009-01-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-coding-system-priorities): Protect against nil value
	of current-language-environment.

2009-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnfolder.el (nnfolder-read-folder): Check if most-positive-fixnum is
	available at runtime.

2009-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-date-ut): Fix end point of narrowing.

2009-01-11  Aidan Kehoe  <kehoea@parhasard.net>

	* nnfolder.el (nnfolder-read-folder): The (lsh -1 -1) trick to generate
	the greatest positive fixnum value doesn't work under an XEmacs with
	bignum support; use the most-positive-fixnum constant instead,
	available since Emacs 21.1 with cl and XEmacs 21.1.

2009-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-next-article): Revert last change by which
	XEmacs gets not to work.

2009-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-coding-system-priorities): Allow the value like
	"Japanese (UTF-8)" of current-language-environment.

2009-01-09  Glenn Morris  <rgm@gnu.org>

	* gnus-sum.el (gnus-summary-next-article): Replace last-command-char
	with last-command-event.

2009-01-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-fix-before-sending): Amend comment.

2009-01-07  David Engster  <dengste@eml.cc>

	* gnus-msg.el (gnus-inews-do-gcc): Fix last patch to deal with
	simplified server definitions by converting it via
	gnus-server-to-method.

2009-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-set-local-parameters): Always evaluate
	parameter's operands.

2009-01-06  David Engster  <dengste@eml.cc>

	* gnus-msg.el (gnus-inews-do-gcc): Reduce to short group name when on
	primary select method (for gnus-group-mark-article-as-read).

2009-01-06  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-art.el (gnus-treat-display-face): Fix docstring link to point to
	`(gnus)Face', not `(gnus)X-Face'.

2009-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-ucs-to-char): New function.

	* mm-url.el (mm-url-decode-entities): Use it.

2009-01-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-fix-before-sending): Add `eight-bit' to
	illegible-text check.

2009-01-03  Michael Olson  <mwolson@gnu.org>

	* nnimap.el (nnimap-retrieve-headers-progress): Handle edge case where
	`headers' is nil.  This can occur if the IMAP server does not have
	permissions to read messages from a folder, but can write new messages
	to the folder.
	(nnimap-request-article-part): Do not insert `data' if it is nil.

2009-01-01  Dave Love  <fx@gnu.org>

	* nnimap.el (nnimap-find-minmax-uid): Use imap-fetch-safe.

	* nnimap.el: Fix author email.
	(nnimap-split-rule): Add FIXME comment.
	(nnimap-debug): Fix doc string.

2008-12-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-set-article-display-arrow): Make
	overlay-arrow-position and overlay-arrow-string buffer-local; no need
	to check if those variables exist (first appeared in Emacs 18.50).

2008-12-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-line-number-at-pos): New function.

	* spam-report.el (spam-report-process-queue): Use it.

2008-12-24  David Engster  <dengste@eml.cc>

	* gnus-sum.el (gnus-summary-set-local-parameters): Don't bind
	parameters that haven't existed as variables as buffer-local variables.

2008-12-23  Dave Love  <fx@gnu.org>

	* legacy-gnus-agent.el (gnus-agent-unlist-expire-days): Don't use
	cadar.

	* sieve-manage.el (sieve-manage-starttls-p): Renamed from
	imap-starttls-p.
	(sieve-manage-starttls-open): Renamed from imap-starttls-open.

2008-12-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam-report.el (spam-report-gmane-max-requests): New constant.
	(spam-report-gmane-wait): New variable.
	(spam-report-gmane-ham, spam-report-gmane-spam)
	(spam-report-url-ping-plain, spam-report-process-queue): Wait only if
	spam-report-gmane-wait is non-nil should be sufficient to avoid DOS-ing
	the server.

	* nnheader.el (nnheader-read-timeout, nnheader-accept-process-output):
	Add explanations.

	* pop3.el (pop3-accept-process-output, pop3-read-timeout): Use
	nnheader-accept-process-output and nnheader-read-timeout if available.
	(pop3-movemail): Use it.

	* message.el (message-check-news-body-syntax): Fix signature check if
	there's an attachment.

2008-12-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el: Add comments to the mm- emulating functions.

2008-12-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-before-startup-hook): Fix doc string.  Reported
	by Stephen Berman <stephen.berman@gmx.net>.

2008-12-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-substring-no-properties): New function.
	(mm-read-charset, mm-subst-char-in-string, mm-replace-in-string)
	(mm-special-display-p): Enable those lambda forms to be byte compiled.
	(mm-string-to-multibyte): Doc fix.

	* mml.el (mml-attach-file): Use mm-substring-no-properties.

2008-12-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-attach-file): Strip text properties from file name.
	(Bug#1574)

2008-12-16  Glenn Morris  <rgm@gnu.org>

	* mm-util.el (mm-charset-override-alist): Declare for compiler.

2008-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-generate-mime-1): Prefer the MIME charset that Emacs
	knows since the charset specified might be a bogus alias that
	mm-charset-synonym-alist provides.

2008-12-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist): Add bogus names "UTF8" and
	"ISO_8859-1".

	* gnus-start.el (gnus-backup-startup-file): Improve doc string.

2008-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-charset-eval-alist):
	Define it before mm-charset-to-coding-system.
	(mm-charset-to-coding-system): Add optional argument `silent';
	define it before mm-charset-override-alist.
	(mm-charset-override-alist): Add `(gb2312 . gbk)' to the
	default value if it can be used in Emacs currently running;
	silence mm-charset-to-coding-system.

2008-12-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-charset-to-coding-system): Add new argument
	`allow-override' which says whether to use `mm-charset-override-alist'.
	(rfc2047-decode-encoded-words): Use it.

	* mm-util.el (mm-charset-override-alist): Fix custom type;
	add `(gb2312 . gbk)' to choices.

2008-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-text-html-render-with-w3m): Make it simple and
	fast.

	* gnus-art.el (gnus-article-wash-html-with-w3m): Ditto.

2008-12-04  Naohiro Aota  <nao.aota@gmail.com>

	* mm-view.el (mm-inline-text-html-render-with-w3m): Put special keymap
	on links.

	* gnus-art.el (gnus-article-wash-html-with-w3m): Ditto.

2008-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-idna-to-ascii-rhs-1): Protect against local
	users' addresses that don't have domain parts.
	(message-idna-to-ascii-rhs): Use message-narrow-to-headers-or-head
	rather than message-narrow-to-head since there will be the message
	header separator.

2008-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-retrieve-headers-progress): Don't use nnimap-demule
	since the result is inserted in a unibyte buffer anyway.
	(nnimap-demule-use-string-to-multibyte): Remove.
	(nnimap-demule): Alias it to mm-string-to-multibyte.

2008-11-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnimap.el (nnimap-demule-use-string-to-multibyte): New temporary
	variable for debugging bug#464 and bug#1174.
	(nnimap-demule): Use it.

2008-11-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-find-trace): Handle default score in total
	score calculation correctly.

2008-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-send-mail): Just set the buffer to unibyte
	rather than use mm-with-unibyte-current-buffer which does a lot more.
	(message-send-mail-partially): Don't bother with
	mm-with-unibyte-current-buffer since it's already been made unibyte by
	message-send-mail.

2008-11-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnrss.el (nnrss-make-hash-index): Debug message of full item.

2008-11-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* netrc.el (netrc-parse): If a list is passed in as FILE, return it.

2008-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* starttls.el (starttls-any-program-available): Rewritten so it doesn't
	require itself and to remove `with-no-warnings'.

2008-11-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* starttls.el (starttls-any-program-available): Get the name of the
	available TLS layer program.
	(starttls-open-steam-gnutls, starttls-open-stream): Put port number as
	well as the host name in the "opening" message.

	* auth-source.el (auth-source-cache, auth-source-do-cache)
	(auth-source-user-or-password): Cache passwords and logins by default,
	allow override with `auth-source-do-cache'.
	(auth-source-forget-user-or-password): Allow users to remove cache
	entries if needed.

2008-10-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* ietf-drums.el (ietf-drums-remove-comments): Localize second
	condition-case to only the forward-sexp call.

2008-10-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* ietf-drums.el (ietf-drums-remove-comments): Fix bug with single
	quotes contained.  Make it more robust regardless by an extra
	condition-case wrapper.

2008-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnml.el (nnml-request-expire-articles): Check if the function set to
	`nnmail-expiry-target' returns the symbol `delete'.

	* nnfolder.el (nnfolder-request-expire-articles): Ditto.

	* nnmail.el (nnmail-expiry-target): Fix custom type.

2008-10-02  Glenn Morris  <rgm@gnu.org>

	* mm-util.el (mm-codepage-setup): Tweak codepage error.
	Silence compiler warning.

2008-09-30  Chong Yidong  <cyd@stupidchicken.com>

	* mml.el (mml-menu): Don't assume mml2015 is bound.

2008-09-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-read-summary-keys): Check if summary window
	exists.

2008-09-27  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (mail-header-remove-comments): Autoload it.

2008-09-27  Andreas Schwab  <schwab@suse.de>

	* gnus-util.el (gnus-split-references): Strip comments.
	(gnus-parent-id): Likewise.

2008-09-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-confirm-send): Fix version.

2008-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-idna-to-ascii-rhs-1): Use
	mail-extract-address-components rather than mail-header-parse-addresses
	that is an alias by default to ietf-drums-parse-addresses that does not
	support non-ASCII names in headers' contents.

2008-09-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-confirm-send): Fixed variable documentation to
	avoid the "y/n" wording.

2008-09-25  Francis Litterio  <flitterio@gmail.com>  (tiny change)

	* message.el (message-set-auto-save-file-name): Save to a different
	filename so multiple messages (especially drafts) can be recovered.

2008-09-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-confirm-send): Add appropriate version.

2008-09-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* mm-view.el (mm-pkcs7-enveloped-magic): Fix extra parenthesis in
	defvar.

2008-09-22  Daiki Ueno  <ueno@unixuser.org>

	* mm-view.el (mm-pkcs7-signed-magic): Use literals.
	(mm-pkcs7-enveloped-magic): Ditto.

2008-09-17  Simon Josefsson  <simon@josefsson.org>

	* sieve-manage.el (sieve-manage-is-string): Accept literals too.
	Reported by Arnt Gulbrandsen <arnt@oryx.com>.

2008-09-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-use-long-group-names): Make t the
	default, it's better.

2008-09-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-insert-line): Trap errors on setting the
	summary line gnus-number property and ignore them (with a warning
	message).

2008-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-make-useful-group): Don't use the compiler
	macro caddr in the interactive form since it won't be expanded.

2008-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-set-charset-parameters): Add new argument
	`charset'; fix name of function called recursively.
	(gnus-mime-view-part-as-charset): Don't bind gnus-newsgroup-charset.

2008-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-strip-charset-parameters): Remove.
	(gnus-mime-set-charset-parameters): New function.
	(gnus-mime-view-part-as-charset): Use it to correctly display part
	specifying wrong charset.

2008-09-08  David Engster  <dengste@eml.cc>

	* nnmairix.el (nnmairix-create-server-and-default-group): Require match
	in completing-read for back end server.

2008-09-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-confirm-send): New variable to confirm sending a
	message.
	(message-send): Use it.

2008-08-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-spec.el (gnus-parse-simple-format): Revert last patch.

2008-08-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-spec.el (gnus-parse-simple-format): Remove trailing whitespace.

2008-08-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-max-track-groups): New variable to
	prevent tracking too many groups.
	(gnus-registry-split-fancy-with-parent, gnus-registry-fetch-groups):
	Use it.

2008-08-11  Ralf Angeli  <angeli@caeruleus.net>

	* gnus-art.el (gnus-article-next-page): Respect `scroll-margin' when
	moving point to the bottom of the window in order to avoid recentering.

2008-08-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page, gnus-article-prev-page)
	(gnus-article-next-page-1): Use compiler directive (featurep 'xemacs).
	(gnus-article-beginning-of-window): Fix calculation.

2008-08-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-supersede-article)
	(gnus-summary-resend-message-edit): Bind mail-parse-charset to the
	value of gnus-newsgroup-charset to decode non-MIME encoded text in
	message header.

2008-07-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* message.el:
	* gnus-start.el:
	* gnus-registry.el: Remove VMS support.

2008-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2104.el (rfc2104-string-make-unibyte): Define it as a compiler
	macro.
	(rfc2104-hash): Use it.

2008-07-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-sort-by-most-recent-number)
	(gnus-summary-sort-by-most-recent-date): New commands.
	(gnus-summary-mode-map, gnus-summary-make-menu-bar): Add key bindings
	and menu entries.

2008-07-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-summary-save-in-pipe): Generate work buffer always;
	don't redisplay article for raw contents; remove plural articles stuff.

	* gnus-sum.el (gnus-summary-pipe-output): Pipe raw articles by symbolic
	prefix `r'; use gnus-summary-save-in-pipe directly instead of relying
	on gnus-summary-save-article; display results properly.

2008-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-summary-save-in-pipe): Add optional argument `raw'.

2008-07-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-summary-save-in-pipe): Consider
	gnus-save-all-headers.

2008-07-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* gnus-util.el (ns-focus-frame): Remove declaration.
	(gnus-select-frame-set-input-focus): Undo previous change.  Treat ns
	like x.

2008-07-21  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* rfc2104.el (rfc2104-zero): Delete defconst.
	(rfc2104-hex-alist): Likewise.
	(rfc2104-hex-to-int): Delete func.
	(rfc2104-hexstring-to-bitstring): Likewise.
	(rfc2104-nybbles): New defconst.
	(rfc2104-hash): Rewrite for speed.

2008-07-16  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (ns-focus-frame): Declare for compiler.

2008-07-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-save): Ignore gnus-visible-headers that is
	set as a group parameter.
	(gnus-summary-save-in-pipe): Work when it is called independently.
	(gnus-summary-pipe-to-muttprint): Don't modify
	gnus-summary-pipe-output-default-command.

2008-07-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-send-mail-with-sendmail):
	Display the error message.

2008-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-default-article-saver):
	Add gnus-summary-save-in-pipe to choices.
	(gnus-summary-save-in-pipe): Add :decode and :headers properties; use
	gnus-summary-pipe-output-default-command as the default command.
	(gnus-summary-pipe-to-muttprint): Update gnus-summary-muttprint-program
	instead of gnus-last-shell-command.

	* gnus-sum.el (gnus-summary-pipe-output-default-command):
	New user option.
	(gnus-summary-muttprint-program): Mention the value will be changed.
	(gnus-summary-save-article): Force showing of all headers.
	(gnus-summary-pipe-output): Work with the 2nd argument HEADERS.

2008-07-01  Rupert Swarbrick  <rswarbrick@googlemail.com>  (tiny change)

	* gnus-score.el (gnus-score-find-trace): Add "Total score" line.

2008-07-02  Juanma Barranquero  <lekktu@gmail.com>

	* nnimap.el (nnimap-id):
	* sieve-manage.el (sieve-manage-open): Doc fixes.

2008-07-02  Francesc Rocher  <rocher@member.fsf.org>

	* gnus.el (gnus-group-startup-message): Prefer SVG or PNG image,
	if available.

2008-06-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-with-multibyte, mm-with-unibyte): Remove.

	* nnkiboze.el (nnkiboze-generate-group):
	Use explicit mm-disable-multibyte rather than mm-with-unibyte.

	* nnmairix.el: Require CL.

2008-06-15  David Engster  <dengste@eml.cc>

	* nnimap.el (nnimap-request-delete-group): Unselect group if necessary.

2008-06-14  Aidan Kehoe  <kehoea@parhasard.net>

	* gnus-util.el (gnus-put-display-table, gnus-get-display-table):
	New macros that expand to an `aset'/`aref' call under Emacs, and to a
	runtime choice under XEmacs.

	* gnus-sum.el (gnus-summary-set-display-table):
	Use `gnus-put-display-table', `gnus-get-display-table',
	`gnus-set-display-table' for the display table, instead of `aset'.

2008-06-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmairix.el: Add autoloads.

2008-06-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmairix.el (nnmairix-delete-recreate-group)
	(nnmairix-update-and-clear-marks): Fix error messages.

2008-06-14  David Engster  <dengste@eml.cc>

	* nnmairix.el: Upgrade to version 0.6.
	(nnmairix-group-toggle-propmarks-this-group)
	(nnmairix-group-toggle-readmarks-this-group)
	(nnmairix-group-delete-recreate-this-group)
	(nnmairix-group-toggle-allowfast-this-group, nnmairix-propagate-marks)
	(nnmairix-remove-tick-mark-original-article): New commands.
	(nnmairix-mairix-search-options, nnmairix-propagate-marks-upon-close)
	(nnmairix-propagate-marks-to-nnmairix-groups)
	(nnmairix-only-use-registry, nnmairix-allowfast-default)
	(nnmairix-marks-cache, nnmairix-version-output): New variables.
	(nnmairix-request-set-mark, nnmairix-request-update-info): New back end
	functions needed for marks propagation and manipulation of read marks.
	(nnmairix-update-groups): New function.
	(nnmairix-get-groups-from-server, nnmairix-delete-recreate-group)
	(nnmairix-determine-original-group-from-registry)
	(nnmairix-determine-original-group-from-path)
	(nnmairix-get-group-from-file-path, nnmairix-map-range)
	(nnmairix-check-mairix-version, nnmairix-group-toggle-parameter):
	New helper functions.
	(nnmairix-group-mode-hook, nnmairix-summary-mode-hook): Insert new
	keystrokes for new commands.
	(nnmairix-delete-and-create-on-change): Doc string cleanup.
	(nnmairix-request-group): Check allow-fast group parameter.
	(nnmairix-request-create-group): Set allow-fast group parameter if
	nnmairix-allowfast-default is set.
	(nnmairix-close-group): Propagate marks upon closing if needed.
	(nnmairix-group-toggle-threads-this-group): Use new.
	nnmairix-group-toggle-parameter helper function.
	(nnmairix-search): Better check for empty search result.
	(nnmairix-goto-original-article): Use new helper functions for
	determining original article.
	(nnmairix-show-original-article): Make sure message-id is in brackets.
	(nnmairix-call-mairix-binary): Change variable name.
	(nnmairix-update-and-clear-marks): Use nnmairix-delete-recreate-group
	helper function.
	(nnmairix-widget-toggle-activate): Fix doc string.

2008-06-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnir.el: Require edmacro when compiling with XEmacs.
	(nnir-run-find-grep): Don't use 3rd arg of `split-string' which is not
	available in Emacs 21.

2008-06-11  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (x-focus-frame):
	* gnus.el (image-size):
	* mm-decode.el (image-size): Declare.

	* gnus-picon.el (declare-function): Add compat definition.
	(image-size): Declare.

	* gnus-group.el (tool-bar-map):
	* gnus-sum.el (tool-bar-map): Define for compiler.

	* gnus-ems.el (gnus-x-splash): Check tool-bar-mode is bound.

	* nnfolder.el (gnus-intersection): Remove unnecessary autoload.

	* gnus-agent.el, gnus-cache.el, gnus-ems.el, gnus-group.el:
	* gnus-logic.el, gnus-msg.el, gnus-util.el, gnus.el, mail-source.el:
	* message.el, mm-decode.el, mm-encode.el, mm-view.el, mml.el:
	* mml1991.el, mml2015.el, nnfolder.el, nnheader.el, nnimap.el:
	* nnmail.el, nnml.el, nnrss.el, nntp.el, nnvirtual.el:
	* sieve-manage.el, spam-report.el, spam.el:
	Remove unnecessary eval-and-compile of autoloads.

2008-06-08  Michael Albinus  <michael.albinus@gmx.de>

	* auth-source.el: Precise Tramp doc.

2008-06-07  Glenn Morris  <rgm@gnu.org>

	* nnmairix.el: Remove unnecessary eval-when-compile.

2008-06-06  Kai Großjohann  <grossjohann@ls6.cs.uni-dortmund.de>

	* nnir.el: New file.

2008-06-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-util.el (gnus-read-shell-command): New function.
	* mm-decode.el (mm-pipe-part):
	* gnus-art.el (gnus-summary-save-in-pipe): Use it.

2008-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-disassociate-draft): Revert 2008-03-18 change.

2008-06-03  Glenn Morris  <rgm@gnu.org>

	* pop3.el (nnheader-accept-process-output): Autoload it.

2008-05-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2231.el (rfc2231-decode-encoded-string): Don't decode things that
	are not 2-digit hexadecimal characters that follow `%'s.

2008-05-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-bogus-recipient-p): Fix type in doc string.
	Reported by Stephen Eglen <S.J.Eglen@damtp.cam.ac.uk>.
	(message-bogus-addresses): Rename from message-bogus-address-regexp.
	Improve custom options.
	(message-bogus-recipient-p): Adjust accordingly.

2008-05-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmairix.el: Require edmacro when compiling with XEmacs.

2008-05-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-initial-limit): Use unless instead of if.
	(gnus-fetch-old-headers): Warn about setting it to t for Gmane groups.

2008-05-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Add more docs.

2008-05-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnheader.el (nnheader-read-timeout): Change the default timeout from
	0.1 seconds to 0.01 seconds.  This will make nntp and pop3 article
	retrieval faster in some cases, but might make CPU usage larger.  If
	this has any bad side effects, we might revert this change.

	* pop3.el (pop3-movemail): Change the sit-for from 0.1 to 0.01, which
	seems to make mail retrieval much, much faster.
	(pop3-movemail): Use nnheader-accept-process-output instead of sleeping
	unconditionally.

	* gnus-draft.el (gnus-group-send-queue): Bind
	message-send-mail-partially-limit to nil to avoid being prompted.

2008-05-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-attach-buffer): Prompt for `disposition'.

	* message.el (message-bogus-address-regexp): Fix and improve custom
	type.
	(message-setup-hook): Add message-check-recipients as custom option.

2008-05-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cite-function): Remove bogus autoload which crept
	in during merge from v5-10.

2008-05-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-open-connection): Fix login/password bug.

	* nnrss.el (nnrss-normalize-date): Accept Unix-style epoch timestamps.

	* auth-source.el: Preliminary Tramp docs.
	(auth-sources): Change the default auth-sources to use
	EPA .gpg files.

2008-05-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* nntp.el: Autoload `auth-source-user-or-password'.
	(nntp-send-authinfo): Use it.

	* nnimap.el: Autoload `auth-source-user-or-password'.
	(nnimap-open-connection): Use it.

	* auth-source.el: Added docs on using with url-auth.  Import gnus-util
	for the gnus-message function.
	(auth-source-user-or-password): Use it.

2008-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* rfc2104.el (rfc2104-hexstring-to-bitstring): Rename it back from
	rfc2104-hexstring-to-byte-list.  Return a unibyte string.
	(rfc2104-hash): Use it.

2008-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-toggle-truncate-lines):
	Don't use `iff' in docstring.

2008-05-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Adjusted copyright dates and added a keyword.

	* gnus-util.el (gnus-extract-address-component-name)
	(gnus-extract-address-component-email): Convenience functions around
	`gnus-extract-address-components'.

	* gnus-registry.el (gnus-registry-split-fancy-with-parent):
	Use `gnus-extract-address-component-email' to fix bug of comparing full
	sender name to `user-mail-address'.

2008-05-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-grep-in-list): Fix logic, use
	catch/throw to optimize.
	(gnus-registry-find-keywords): Just use member to find a keyword.

2008-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-srvr.el (gnus-enter-server-buffer): Make sure the server-buffer
	is current before calling gnus-server-prepare.
	(gnus-server-setup-buffer, gnus-server-update-server)
	(gnus-server-read-server, gnus-browse-exit): Use with-current-buffer.

2008-05-04  Juri Linkov  <juri@jurta.org>

	* mailcap.el (mailcap-replace-in-string): New compatibility alias.
	(mailcap-file-default-commands): Use mailcap-replace-in-string
	instead of replace-regexp-in-string, and mailcap-delete-duplicates
	instead of delete-dups.  Use [ \t\n]* for whitespace in regexp.

2008-05-03  Reiner Steib  <reiner.steib@gmx.de>

	* gnus-sum.el (gnus-propagate-marks): Fix custom version.

2008-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-save-parts): Inhibit even more treatment
	hooks.
	(gnus-update-read-articles): Speed up non-marks-using users.
	(gnus-use-marks): Define gnus-use-marks.
	(gnus-propagate-marks): Rename variable to something more sensible.

2008-05-02  Juanma Barranquero  <lekktu@gmail.com>

	* gmm-utils.el (gmm, gmm-verbose, gmm-lazy, gmm-customize-mode)
	(gmm-image-load-path-for-library): Fix typos in docstrings.
	(gmm-message): Reflow docstring.

2008-04-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail-source.el (mail-source-set-1, mail-source-bind):
	Move auth-source code out of the macro to clean it up and fix bugs.

2008-04-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): Don't split
	by sender if it's equal to user-mail-address, it's likely to be
	useless.

	* mail-source.el (mail-source-bind): Don't use user or password if they
	are not bound.  Unintern them if they are nil.  Don't use server unless
	it's bound, and default it to empty string otherwise.

2008-04-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail-source.el: Load auth-source.el.
	(mail-source-bind): Add comments.  Call auth-source-user-or-password to
	get user name or password, if auth-sources is set up.

	* gnus-registry.el (gnus-registry-split-strategy): New variable for
	strategy of splitting with parent.
	(gnus-registry-split-fancy-with-parent)
	(gnus-registry-post-process-groups): Use it and fix prior
	bug (returning a list as the split result).

	* auth-source.el (auth-sources): Remove server parameter.
	(auth-source-pick, auth-source-user-or-password)
	(auth-source-user-or-password-imap)
	(auth-source-user-or-password-pop3, auth-source-user-or-password-ssh)
	(auth-source-user-or-password-sftp)
	(auth-source-user-or-password-smtp): Remove server parameter.

2008-04-25  Juanma Barranquero  <lekktu@gmail.com>

	* smime.el (smime-sign-region, smime-encrypt-region)
	(smime-decrypt-region):
	Remove redundant calls to `generate-new-buffer-name'.

2008-04-24  Luca Capello  <luca@pca.it>  (tiny change)

	* mm-encode.el (mm-safer-encoding): Add optional argument `type'.
	Don't use QP for message/rfc822.
	(mm-content-transfer-encoding): Pass `type' to mm-safer-encoding.

2008-04-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sieve-manage.el (sieve-string-bytes): Remove.
	(sieve-manage-putscript): Use length instead: `string-bytes' gives the
	correct byte-length only if the process's coding-system is the same as
	the one used internally by Emacs to represent strings.

2008-04-22  Juri Linkov  <juri@jurta.org>

	* mailcap.el (mailcap-file-default-commands): New function.

2008-04-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-signature-separator, message-cite-function):
	Change custom version.

2008-04-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-decode.el (mm-display-external): Make temp file read-only.

2008-04-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-diary.el (gnus-article-edit-mode-map, message-mode-map): Remove
	binding for `gnus-diary-version'.  Bind `gnus-diary-check-message' to
	`C-c C-f d'.

2008-04-12  Adrian Aichner  <adrian@xemacs.org>

	* gnus-sum.el (gnus-summary-goto-subject): Typo fix.

2008-04-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Added docs.
	(auth-sources): Modify format to support server.
	(auth-source-pick, auth-source-user-or-password)
	(auth-source-user-or-password-imap)
	(auth-source-user-or-password-pop3, auth-source-user-or-password-ssh)
	(auth-source-user-or-password-sftp)
	(auth-source-user-or-password-smtp): Add server parameter.

2008-04-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Initialize the registry when gnus-registry-install
	is t.

2008-04-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface): Make buffer unibyte.

2008-04-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail-source.el (mail-source-value):
	Prefer fboundp to functionp so it works with macros as well.

2008-04-05  Glenn Morris  <rgm@gnu.org>

	* gnus-ems.el (mm-disable-multibyte): Autoload it.

2008-04-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-with-unibyte-buffer, mm-with-multibyte-buffer):
	Prefer mm-(en|dis)able-multibyte to default-enable-multibyte-characters.

	* nnheader.el (nnheader-init-server-buffer): Change buffer's
	multibyteness after rather than before erasing it.

	* gnus-art.el (gnus-mime-replace-part): Remove unnecessary use of
	mm-with-multibyte.
	(gnus-request-article-this-buffer): Make sure the proper decoding is
	used if gnus-original-article-buffer happens to be unibyte.

	* gnus-ems.el (gnus-x-splash): Prefer mm-disable-multibyte to
	default-enable-multibyte-characters.

	* gnus-fun.el (gnus-display-x-face-in-from): Remove unnecessary use of
	default-enable-multibyte-characters.

	* mm-decode.el (mm-inline-media-tests): Add entry for x-diff.

	* nnweb.el (nnweb-init): Avoid nn-with-unibyte.

2008-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-win.el (gnus-configure-frame, gnus-all-windows-visible-p):
	Fix last change in case the element is not even a symbol.

2008-04-02  Simon Josefsson  <simon@josefsson.org>

	* nnimap.el (nnimap-enable-minmax-bug-workaround): Remove, replaced by
	imap-enable-exchange-bug-workaround.
	(nnimap-find-minmax-uid): Use imap-enable-exchange-bug-workaround.

2008-04-01  Simon Josefsson  <simon@josefsson.org>

	* nnimap.el (nnimap-find-minmax-uid): Revert last fix, the "fix" turns
	a 100 byte status-checks into a 2-3MB transfer for each group.
	(nnimap-enable-minmax-bug-workaround): New variable to toggle whether
	to enable bug workaround or not.
	(nnimap-find-minmax-uid): Only enable workaround conditionally.

2008-03-31  Glenn Morris  <rgm@gnu.org>

	* message.el (mml2015-use): Declare for compiler.
	(message-info): Require mml2015 when appropriate.

2008-03-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el (nntp-netcat-command): Rename from nntp-via-netcat-command.
	(nntp-netcat-switches): Rename from nntp-via-netcat-switches.
	(nntp-open-telnet, nntp-open-rlogin): Use with-current-buffer.
	(nntp-service-to-port): New function.
	(nntp-open-via-rlogin-and-netcat, nntp-open-via-telnet-and-telnet)
	(nntp-open-telnet-stream, nntp-open-via-rlogin-and-telnet): Use it.
	(nntp-open-netcat-stream): New function.
	(nntp-open-via-rlogin-and-netcat): Don't use a pty.

2008-03-29  Sven Joachim  <svenjoac@gmx.de>

	* gnus-sum.el (gnus-summary-make-menu-bar): Add missing dots.

2008-03-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-make-in-reply-to): Use mm-with-multibyte-buffer.

2008-03-28  Michael Harnois  <mdharnois@gmail.com>  (tiny change)

	* nnimap.el (nnimap-find-minmax-uid): Fix Exchange 2007 IMAP problem.

2008-03-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-signature-separator): Change default.
	Improve custom type.
	(message-cite-function): Change default to
	message-cite-original-without-signature.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add message-cite-function
	toggle.

	* message.el (message-check-news-body-syntax): Fix signature check.
	(message-setup-1): Mark buffer as unmodified _after_ running
	message-setup-hook and handling message-alternative-emails.
	(message-shorten-references): Be more strict when building list of
	valid references to comply with GNKSA.

	* gnus-group.el (gnus-read-ephemeral-bug-group)
	(gnus-read-ephemeral-debian-bug-group)
	(gnus-read-ephemeral-emacs-bug-group): Use the correct variable.

	* message.el (message-info): Don't use booleanp which isn't supported
	in Emacs 21 and XEmacs.

2008-03-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-gmane-group-download-format): Rename from
	gnus-group-gmane-group-download-format.
	(gnus-group-read-ephemeral-gmane-group): Rename from
	gnus-group-read-ephemeral-gmane-group.
	(gnus-read-ephemeral-gmane-group-url): Rename from
	gnus-group-read-ephemeral-gmane-group-url.
	(gnus-bug-group-download-format-alist): New variable.
	(gnus-read-ephemeral-bug-group, gnus-read-ephemeral-debian-bug-group)
	(gnus-read-ephemeral-emacs-bug-group): New commands.

2008-03-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-browse-html-article): Fix documentation.
	(gnus-visible-headers): Improve custom type.

2008-03-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-menu): Add workarounds for XEmacs.

	* gnus-art.el (gnus-article-browse-html-article): Inhibit display of
	X-Boundary header.

	* message.el (message-simplify-recipients): Fix previous commit.

2008-03-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-set-buffer-multibyte): New function.
	* mm-decode.el (mm-copy-to-buffer): Use it.

	* gnus-win.el (gnus-configure-frame, gnus-all-windows-visible-p):
	Prefer fboundp to functionp so it works with macros as well.

2008-03-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-alter-recipients-discard-bogus-full-name):
	New function.
	(message-alter-recipients-function): New variable.
	(message-get-reply-headers): Use it.
	(message-replace-header): New helper function.
	(message-recipients-without-full-name): New variable.
	(message-simplify-recipients): New command.

	* mml.el (mml-menu): Add toggle for gnus-gcc-externalize-attachments.

	* message.el (message-info): Handle EasyPG manual.

	* mml.el (mml-menu): Add entry for EasyPG.

2008-03-18  Nils Ackermann  <nils@ackermath.info>  (tiny change)

	* nnmh.el (nnmh-request-expire-articles): Prefer expiry-target group
	parameter.

	* message.el (message-disassociate-draft): Specify drafts group name
	fully.

2008-03-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): Eliminate
	unnecessary duplicates from the match list.

2008-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-button-handle-info-keystrokes): Don't use optional
	args of `how-many' of which the XEmacs version doesn't take; declare
	Info-index-next as function.

2008-03-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-headers): Fix handling of
	gnus-inhibit-slow-scoring.

	* gnus-art.el (gnus-article-browse-html-article): Fix type in doc
	string.
	(gnus-button-url-regexp): Improve handling of parenthesis.
	(gnus-button-alist): Extend gnus-button-handle-info-keystrokes entry.
	(gnus-button-handle-info-keystrokes): Handle index entries.

2008-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail-source.el (mail-source-delete-old-incoming) Fix regexp to find
	Incoming* files.

2008-03-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-sources): Renamed from auth-source-choices.
	(auth-source-pick): Use it.

2008-03-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-protocols)
	(auth-source-protocols-customize, auth-source-choices): Added and
	modified variable customizations and defaults.
	(auth-source-pick, auth-source-user-or-password)
	(auth-source-protocol-defaults, auth-source-user-or-password-imap)
	(auth-source-user-or-password-pop3, auth-source-user-or-password-ssh)
	(auth-source-user-or-password-sftp)
	(auth-source-user-or-password-smtp): Use new variables and provide an
	interface to netrc.el.

2008-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-open-telnet-stream, nntp-open-via-rlogin-and-telnet)
	(nntp-open-via-rlogin-and-netcat, nntp-open-via-telnet-and-telnet):
	Make sure the nntp port to specify is a string.

2008-03-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el: Use with-current-buffer.
	(nntp-send-buffer): Just set the buffer to unibyte rather than use the
	dubious mm-with-unibyte-current-buffer.
	(nntp-with-open-group-function): New function extracted from
	nntp-with-open-group macro.
	(nntp-with-open-group): Use the function, so it's easier to debug.
	Add indentation and debugging info.
	(nntp-open-telnet-stream, nntp-open-via-rlogin-and-telnet): Recommend
	the use of the netcat alternatives.

	* rfc2047.el (rfc2047-decode-string): Don't use `m'.
	Avoid mm-string-as-multibyte as well.

	* nnweb.el (nnweb-insert-html):
	Remove use of nnheader-string-as-multibyte.

	* nnheader.el (nnheader-init-server-buffer): Use with-current-buffer.
	(nnheader-string-as-multibyte): Remove.

	* mm-view.el: Use inhibit-read-only.
	(mm-inline-text-html-render-with-w3, mm-inline-message): Use dolist.
	(mm-pkcs7-signed-magic, mm-pkcs7-enveloped-magic): Use just string
	or unibyte-string.

	* mm-uu.el (mm-uu-copy-to-buffer): Preserve (uni/multi)byteness.
	(mm-uu-yenc-extract): Use with-current-buffer.

	* gnus-soup.el (gnus-soup-send-packet): Don't use
	mm-with-unibyte-current-buffer since the buffer is unibyte anyway.

	* nnmh.el: Use with-current-buffer.
	(nnmh-request-list-1): Use mm-string-to-multibyte rather than
	mm-string-as-multibyte on the output of mm-encode-coding-string.

	* nnimap.el (nnimap-retrieve-headers-progress): Use a unibyte buffer.
	(nnimap-request-move-article): Use with-current-buffer.

	* mm-decode.el (mm-with-part): Set the buffer to unibyte before
	inserting the handle-buffer's text, so the implicit multibyte->unibyte
	conversion uses string-make-unibyte rather than string-as-unibyte.

	* gnus-msg.el: Use with-current-buffer.

	* message.el (message-ignored-resent-headers): Add "Delivered-To".

2008-03-10  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-passphrase-callback): Type cast KEY-ID to a
	string for caching if it is 'PIN.

2008-03-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-old-incoming-confirm):
	Change default to nil.
	(mail-source-delete-old-incoming): Make confirmation prompt more clear.

2008-03-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-narrow-to-page): Position point properly.
	(gnus-article-goto-prev-page): Work for articles having ^L's.

	* gnus-sum.el (gnus-summary-end-of-article): Remove needless narrowing.

	* mm-view.el (mm-w3m-standalone-supports-m17n-p): Fix typo.

2008-03-07  Karl Fogel  <kfogel@red-bean.com>

	* gnus-bookmark.el: Adjust for renames in bookmark.el.
	(gnus-bookmark-make-record): Was `gnus-bookmark-make-cell'.
	(gnus-bookmark-jump): Adjust some variable names.

2008-03-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: New package.
	(auth-source-choices): Add customization entry point variable.

	* gnus-registry.el (gnus-registry-user-format-function-M): Fix concat
	bug.

2008-03-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install): Allow 'ask as an option.
	(gnus-registry-initialize, gnus-registry-install-p): Use it.
	(gnus-registry-install-shortcuts): Rename from
	gnus-registry-install-shortcuts-and-menus.  Installs the shortcuts in
	the `gnus-registry-mark-map' keymap dynamically from
	`gnus-registry-marks'.  The generated functions update the summary line
	when a registry mark is added or deleted, and will call
	`gnus-registry-install-p' (see the comments in the code).
	(gnus-registry-user-format-function-M): Use concat intelligently.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add menu entries for all
	the registry mark functions.

2008-03-05  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (gnus-article-mode-line-format-alist): Move to gnus-sum.
	* gnus-sum.el (gnus-article-mode-line-format-alist): Move here from
	gnus-art.
	(top-level): No need to load own source when compiling.

2008-03-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-print-buffer): Honor ps-print-color-p.
	Suggested by <chris.anderton@zetnet.co.uk>.

2008-03-04  Glenn Morris  <rgm@gnu.org>

	* gnus-sum.el (top-level): No need to require gnus when compiling,
	since unconditionally required near start of file.
	(gnus-summary-display-while-building): Move definition before use.

2008-03-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-user-format-function-M): Add
	formatting function.

2008-03-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-marks): Changed format to be nicer
	with plists.
	(gnus-registry-do-marks, gnus-registry-install-shortcuts-and-menus):
	Use new format.

2008-03-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Work for the version of
	`where-is-internal' that returns a range of key sequences.

2008-03-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-bodies.el (mm-decode-content-transfer-encoding): Simplify.

	* gnus-sum.el: Use inhibit-read-only and with-current-buffer.
	(gnus-summary-jump-to-group): Consider windows on other displayed
	frames as well.  Similar changes might be needed elsewhere, but that's
	the one I've bumped into during my use.

	* nndoc.el (nndoc-oe-dbx-type-p):
	* gnus-msg.el (gnus-debug):
	* gnus-group.el (gnus-update-group-mark-positions):
	Use mm-string-to-multibyte.

2008-03-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml2015.el (mml2015-extract-cleartext-signature): Explain that it
	doesn't handle NotDashEscaped.

	* mml.el (mml-menu): Improve help entries.  Move Sign/Encrypt Part.
	(mml-dnd-attach-options): Fix typo in custom choice.

	* gnus-group.el (gnus-group-read-ephemeral-gmane-group): Change
	nndoc-article-type to mbox.
	(gnus-group-read-ephemeral-gmane-group-url): Support permalink.

	* mm-decode.el (mm-text-html-renderer): Prefer w3m over w3.  Fall back
	to nil, instead of html2text.

	* imap.el (imap-debug): Add `imap-ping-server'.

	* gnus-bookmark.el: Add FIXMEs.

	* message.el (message-form-letter-separator)
	(message-send-form-letter-delay): New variables.
	(message-send-form-letter): Use them.  New command to send form
	letters.  Requested by Uwe Siart.
	(message-send-mail-function): Doc fix.  Add "Other" custom option.

2008-02-29  Andreas Seltenreich  <andreas@gate450.dyndns.org>

	* nnweb.el (nnweb-google-parse-1): Fix date parsing on articles with
	empty author.

2008-02-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-marks): Add variable for
	customization of marks and their appearance.
	(gnus-registry-read-mark): Use it.
	(gnus-registry-do-marks): Add utility function to loop through
	`gnus-registry-marks'.
	(gnus-registry-install-shortcuts-and-menus): Add function to install
	shortcuts and menus.
	(gnus-registry-initialize): Use it.
	(gnus-registry-default-mark): Clarify documentation.

2008-02-29  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el, gnus-bookmark.el, gnus-dired.el, gnus-draft.el:
	* gnus-group.el, gnus-msg.el, gnus-score.el, gnus-sum.el, gnus-util.el:
	* gnus.el, mail-source.el, message.el, mm-decode.el, mm-uu.el, mml.el:
	* nnmail.el, pop3.el, smiley.el, smime.el, spam-report.el:
	Change defcustom :version from 23.0 to 23.1.

2008-02-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-follow-group-p)
	(gnus-registry-post-process-groups): Add functions to aid registry
	splitting and improve logging.  Clarify behavior in function
	documentation.
	(gnus-registry-split-fancy-with-parent): Use them.

2008-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el: Use with-current-buffer.

2008-02-27  David Engster  <dengste@eml.cc>

	* nnmairix.el (nnmairix-request-group-with-article-number-correction):
	Express real group name in the response.

2008-02-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmairix.el (nnmairix-group-regexp, nnmairix-valid-backends)
	(nnmairix-last-server, nnmairix-current-server): Defvar them.
	(nnmairix-goto-original-article): Defvar gnus-registry-install and
	autoload gnus-registry-fetch-group when compiling.
	(nnmairix-request-group-with-article-number-correction): Remove
	unreferenced argument passed to nnmairix-call-backend.

2008-02-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Fix message-marks non-hide arguments.
	(mm-uu-extract): Improve face for low color ttys.  Reported by Sascha
	Wilde.

2008-02-27  Glenn Morris  <rgm@gnu.org>

	* nnmairix.el: Change defcustom :version from 23.0 to 23.1.
	(nnmairix-group-regexp, nnmairix-valid-backends): Convert from free
	variables to defconsts.  Convert comments to doc-strings.
	(nnmairix-last-server, nnmairix-current-server): Convert from free
	variables to defvars.  Convert comments to doc-strings.
	(gnus-registry-fetch-group): Autoload.
	(nnmairix-replace-group-and-numbers): Use mapc rather than mapcar.
	(nnmairix-widget-get-values, nnmairix-widget-make-query-from-widgets)
	(nnmairix-widget-build-editable-fields): Use car cddr rather than
	caddr.
	(nnmairix-request-group): Bind nnmairix-fast and nnmairix-group around
	nnmairix-request-group-with-article-number-correction call.
	(nnmairix-fast, nnmairix-group): New, less general names, for free
	variables passed from nnmairix-request-group to
	nnmairix-request-group-with-article-number-correction.  Declare.
	(nnmairix-request-group-with-article-number-correction):
	Use nnmairix-fast, nnmairix-group rather than fast, group.

2008-02-26  David Engster  <dengste@eml.cc>

	* nnmairix.el: New file.  Mairix back end for Gnus.  Initial import of
	version 0.5.

2008-02-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-register-message-ids): Use `id'
	instead of making an extra function call.  Don't add the current group
	to articles only when they have the group.  Use
	`gnus-registry-fetch-groups' instead of `gnus-registry-fetch-group'.
	Reported by David <de_bb@arcor.de>.

2008-02-24  Miles Bader  <miles@gnu.org>

	* mm-util.el (mm-hack-charsets, mm-iso-8859-15-compatible)
	(mm-iso-8859-x-to-15-table, mm-iso-8859-x-to-15-region)
	(mm-find-mime-charset-region):
	* mm-bodies.el (mm-encode-body):
	* mml.el (mml-parse-1): Revert removal of `mm-hack-charsets'.

2008-02-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-incoming): Change default.
	Supplement doc string.

	* gnus-util.el (gnus-y-or-n-p, gnus-y-or-n-p): Update comments.

2008-02-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmail.el (nnmail-message-id-cache-file): Derive from
	`gnus-home-directory'.

2008-02-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-topic.el (gnus-topic-select-group, gnus-topic-read-group):
	Document negative prefix.

	* gnus-group.el (gnus-group-read-group): Document negative prefix.

2008-02-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-unsent-separator): Add the Exim bounce
	separator.

2008-02-10  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign): Remove skipped signers from the signer
	list.
	(mml2015-epg-encrypt): Remove skipped recipients/signers from the
	recipient/signer list.

2008-02-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-codepage-setup): If cp-supported-codepages isn't
	fbound (Emacs 23 unicode), signal an error.

2008-02-08  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (pgg-display-output-buffer): Declare as function.

2008-02-07  Tassilo Horn  <tassilo@member.fsf.org>

	* nnimap.el (nnimap-open-connection): Add "143" and "993" as default
	ports to the calls to `netrc-machine-user-or-password' in addition to
	"imap" and "imaps".

2008-02-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-group-startup-message): Add `find-image' call before
	image-load-path is let-bound.  Reported by Harald Hanche-Olsen
	<hanche@math.ntnu.no>.

2008-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Work for draft group.

2008-02-01  Zhang Wei  <id.brep@gmail.com>

	* rfc2047.el (rfc2047-charset-encoding-alist): Add gbk and GB18030.

	* mm-util.el (mm-mime-mule-charset-alist): Add gbk and GB18030.

2008-02-01  Miles Bader  <miles@gnu.org>

	* mml.el (mml-parse-1): Remove apparently vestigial use of
	`mm-hack-charsets'.
	* mm-bodies.el (mm-encode-body): Likewise.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* rfc2104.el (rfc2104-hexstring-to-byte-list): Rename from
	rfc2104-hexstring-to-bitstring and changed to return a byte list.
	(rfc2104-hash): Convert the result of concat to unibyte string.

2008-02-01  Dave Love  <fx@gnu.org>

	* gnus-start.el (gnus-read-newsrc-el-file): Don't bind
	coding-system-for-read.
	(gnus-gnus-to-quick-newsrc-format): Insert coding cookie.

	* mm-util.el (mm-hack-charsets, mm-iso-8859-15-compatible)
	(mm-iso-8859-x-to-15-table, mm-iso-8859-x-to-15-region): Delete.
	(mm-find-mime-charset-region): Remove hack-charsets stuff.

2008-01-24  Michael Sperber  <sperber@deinprogramm.de>

	* mail-source.el (mail-sources): Add `group' choice.

	* nnmail.el (nnmail-get-new-mail-1): Abstract this out to add another
	parameter `in-group' to control into which group the articles go.
	Add treatment of `group' mail-source.

2008-01-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* sieve.el (sieve-make-overlay, sieve-overlay-put, sieve-overlays-at):
	* message.el (message-beginning-of-line): Use featurep instead of bound
	tests in order to resolve conditionals at compile time.

2008-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-insert-mime-button): Don't decode description.

	* mm-decode.el (mm-dissect-buffer): Decode description.

	* mml.el (mml-to-mime): Encode message header first.

2008-01-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Make it possible to use
	xrefs, i.e. [back] and [forward] buttons, in *Help* buffer.

2008-01-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-trim): Use append, not concat.

2008-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-read-summary-keys): Work for some `A'
	prefix keys.
	(gnus-article-read-summary-send-keys): Use gnus-character-to-event.
	(gnus-article-describe-bindings): Simplify; move XEmacs stuff to
	gnus-xmas.el.

2008-01-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-marks, gnus-registry-default-mark):
	Add new variables for article mark management.
	(gnus-registry-extra-entries-precious, gnus-registry-trim): Define a
	list of extra data entries which, when present, will indicate that the
	article ID should not be trimmed from the registry.
	(gnus-registry-mark-article, gnus-registry-article-marks): Remove these
	functions.
	(gnus-registry-read-mark): New function to read a mark name from the
	user.
	(gnus-registry-set-article-mark, gnus-registry-remove-article-mark)
	(gnus-registry-set-article-mark-internal): New functions to add and
	remove marks.
	(gnus-registry-get-article-marks): New function to show the marks for
	an article, or retrieve them for further use.

2008-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Show all `S' prefix
	keys when no argument is given.

2008-01-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-article-sort-by-random)
	(gnus-thread-sort-by-random): Fix doc strings.  Reported by
	jidanni@jidanni.org.

2008-01-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): New function.
	(gnus-article-read-summary-keys): Use it.
	(gnus-article-mode-map): Bind `C-h b' to it.

2008-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-read-summary-keys): Work for `C-h' on
	XEmacs.
	(gnus-article-describe-key, gnus-article-describe-key-briefly): Protect
	against non-character events.

2008-01-09  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-read-ephemeral-gmane-group-url): New
	command.
	(gnus-group-read-ephemeral-gmane-group): Use optional argument RANGE
	instead of END.  Change name of the temp file.
	(gnus-group-gmane-group-download-format): Add doc string.  Make it
	customizable.

2008-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-send-map): New keymap for `S' prefix keys;
	bind `S W' to gnus-article-wide-reply-with-original; set default
	binding to gnus-article-read-summary-send-keys.
	(gnus-article-read-summary-keys): Fix the order of keys; display
	continuation keys correctly in the echo area; describe bindings
	correctly when keys end with `C-h'.
	(gnus-article-read-summary-send-keys): New function.
	(gnus-article-describe-key, gnus-article-describe-key-briefly): Work
	for gnus-article-read-summary-send-keys; display continuation keys
	correctly in the echo area.
	(gnus-article-reply-with-original): Ignore prefix argument.
	(gnus-article-wide-reply-with-original): New function.

2008-01-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-bookmark.el (gnus-bookmark-mouse-available-p): Don't test for
	display-color-p.  Reported by Reiner Steib <Reiner.Steib@gmx.de>.

2008-01-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-gmane-group-download-format): New variable.
	(gnus-group-read-ephemeral-gmane-group): New command.

2008-01-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* gnus.el (gnus-use-long-file-name): Remove reference to xenix.

2007-12-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-send-mail-function): Increase custom version.

	* mml-sec.el, sieve-manage.el, smime.el: Simplify loading of
	password-cache or password.  Suggested by Glenn Morris <rgm@gnu.org>.

2007-12-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Work for two or more
	html parts correctly; support forwarded messages.
	(gnus-article-browse-html-article): Remove work buffers.

	* netrc.el: Bind encrypt-file-alist for Emacs 21 and XEmacs when
	compiling.
	(netrc-bound-and-true-p): New macro.
	(netrc-parse): Use it instead of bound-and-true-p that is not available
	in XEmacs 21.4.

2007-12-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-mark-article)
	(gnus-registry-article-marks): Add functionality to mark articles
	through the Gnus registry.

	* netrc.el: Autoload encrypt when encrypt-file-alist is set.
	(netrc-parse): Use encrypt-file-alist to determine if
	encrypt-find-model or encrypt-insert-file-contents should be used.

2007-12-19  Glenn Morris  <rgm@gnu.org>

	* mml.el (message-options-set, message-narrow-to-head)
	(message-in-body-p, message-mail-p, message-encode-message-body):
	Autoload.
	(message-remove-header, message-narrow-to-headers-or-head)
	(message-subscribed-p, message-make-mail-followup-to)
	(message-position-on-field, message-news-p)
	(message-options-set-recipient, message-generate-headers)
	(message-sort-headers): Declare as functions.

2007-12-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-draft.el (gnus-draft-send-message): Mention process/prefix
	convention in doc string.

2007-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Add message header and
	title to html parts.
	(gnus-article-browse-html-article): Pass message header to it.

	* mm-decode.el (mm-display-external): Use mm-add-meta-html-tag.

2007-12-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml-sec.el, sieve-manage.el, smime.el: Make loading of password-cache
	or password compatible with XEmacs.

2007-12-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-verify-x-pgp-sig): Add reference to X-PGP-Sig
	format document.
	(gnus-mime-delete-part): Don't write description line if empty.
	(gnus-article-encrypt-body): Add confirmation for gnus-novice-user.

2007-12-14  Johan Bockgård  <bojohan@gnu.org>

	* gnus-sum.el (gnus-summary-mark-unread-as-read)
	(gnus-summary-mark-read-and-unread-as-read)
	(gnus-summary-mark-current-read-and-unread-as-read)
	(gnus-summary-mark-unread-as-ticked): Doc fix.
	`gnus-mark-article-hook', not `gnus-summary-mark-article-hook'.

2007-12-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-prev-article): Fix doc string.  Reported by
	Christoph Conrad <christoph.conrad@gmx.de>.

2007-12-14  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-y-or-n-p, gnus-yes-or-no-p): Alias to y-or-n-p and
	yes-or-no-p.

2007-12-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-add-meta-html-tag): New function.
	(mm-save-part-to-file, mm-pipe-part): Use it.

	* gnus-art.el (gnus-article-browse-delete-temp-files): Use
	gnus-y-or-n-p instead of y-or-n-p.
	(gnus-article-browse-html-parts): Work with message/external-body; use
	mm-add-meta-html-tag.

2007-12-11  Glenn Morris  <rgm@gnu.org>

	* gnus-cache.el: Require gnus-sum not just when compiling.

	* gnus-fun.el (gnus-display-x-face-in-from): Require gnus-art.

	* gnus-int.el (gnus-server-opened, gnus-status-message): Move
	definitions before use.

	* mm-decode.el: Require gnus-util.
	(mm-remove-part): Only call delete-annotation on XEmacs.

	* mm-uu.el (gnus-original-article-buffer): Define for compiler.

	* nnmail.el: Require gnus-int.

	* spam.el: Move `require's before `eval-when-compile's.

	* gnus-ems.el (gnus-alive-p):
	* gnus-fun.el (message-goto-eoh):
	* gnus-util.el (gnus-group-name-decode):
	* mail-source.el (gnus-compress-sequence):
	* message.el (Info-goto-node, format-spec):
	* mm-bodies.el (message-options-get):
	* mm-decode.el (mm-view-pkcs7):
	* mm-util.el (gmm-write-region):
	* mml-smime.el (mml-compute-boundary)
	(gnus-completing-read-with-default):
	* mml.el (widget-button-press, gnus-make-hashtable):
	* mml1991.el (mm-decode-content-transfer-encoding)
	(mm-encode-content-transfer-encoding)
	(message-options-get, message-options-set):
	* mml2015.el (gnus-buffer-live-p, gnus-get-buffer-create):
	* nnfolder.el (gnus-request-group):
	* nnheader.el (ietf-drums-unfold-fws):
	* rfc1843.el (mail-header-parse-content-type, message-narrow-to-head):
	* smime.el (gnus-run-mode-hooks):
	* spam-stat.el (gnus-message): Autoload.

	* gnus-cache.el, gnus-fun.el, gnus-group.el, gnus.el, mail-source.el:
	* mm-bodies.el, mm-decode.el, mm-extern.el, mm-util.el:
	* mml-smime.el, mml.el, mml1991.el, mml2015.el, nndb.el, nnfolder.el:
	* nnmail.el, nnmaildir.el, nnrss.el, rfc1843.el, spam.el:
	Add declare-function compatibility definition.

	* gnus-cache.el (nnvirtual-find-group-art):
	* gnus-fun.el (article-narrow-to-head, gnus-article-goto-header)
	(gnus-add-image, gnus-add-wash-type):
	* gnus-group.el (nnkiboze-score-file):
	* gnus-sum.el (turn-on-gnus-mailing-list-mode)
	(gnus-cache-write-active, mm-uu-dissect, idna-to-unicode):
	* gnus-util.el (gnus-find-method-for-group, gnus-group-name-charset)
	(message-tokenize-header, gnus-get-buffer-create)
	(mm-enable-multibyte, gnus-put-text-property, gnus-overlay-put)
	(gnus-make-overlay, mm-disable-multibyte, gnus-add-text-properties):
	* gnus.el (gnus-group-decoded-name):
	* mail-source.el (imap-capability):
	* mm-bodies.el (message-options-set):
	* mm-decode.el (gnus-configure-windows):
	* mm-extern.el (message-goto-body):
	* mm-util.el (mm-delete-duplicates, mm-detect-coding-region):
	* mml-smime.el (epg-key-sub-key-list, epg-sub-key-capability)
	(epg-sub-key-validity, message-options-set):
	* mml.el (widget-event-point, gnus-configure-windows):
	* mml1991.el (mc-encrypt-generic, gpg-sign-encrypt, gpg-encrypt):
	* mml2015.el (epg-check-configuration, epg-configuration)
	(message-options-set):
	* nndb.el (nndb-request-article):
	* nnfolder.el (gnus-request-create-group):
	* nnmail.el (gnus-activate-group, gnus-group-mark-article-read):
	* nnmaildir.el (gnus-group-mark-article-read):
	* nnrss.el (w3-parse-buffer, gnus-group-make-rss-group):
	* rfc1843.el (message-fetch-field):
	* spam.el (gnus-extract-address-components):
	Declare as functions.

2007-12-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Decode CTE.

2007-12-09  Glenn Morris  <rgm@gnu.org>

	* gnus-uu.el (gnus-uu-yenc-article): Use insert-buffer-substring.

	* gnus-art.el, gnus-spec.el, gnus-sum.el, gnus-util.el:
	* message.el, mm-view.el, sieve-manage.el, smime.el:
	Add declare-function compatibility definition.

	* gnus-art.el (w3-region, w3m-region, Info-menu):
	* gnus-spec.el (gnus-summary-from-or-to-or-newsgroups):
	* gnus-sum.el (gnus-get-predicate):
	* gnus-util.el (mm-append-to-file, w32-focus-frame):
	* message.el (mail-abbrev-in-expansion-header-p):
	* mm-view.el (w3-do-setup, w3-region, w3-prepare-buffer)
	(w3m-detect-meta-charset, w3m-region):
	* sieve-manage.el (password-read, password-cache-add)
	(password-cache-remove):
	* smime.el (password-read-and-add): Declare as functions.

2007-12-08  David Kastrup  <dak@gnu.org>

	* gnus-sum.el (gnus-summary-simplify-subject-query):
	* ecomplete.el (ecomplete-display-matches): Fix buggy call to
	`message'.

2007-12-07  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (article-make-date-line): Revert previous change.

2007-12-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-load): Rename local variable to avoid confusion.

2007-12-06  Christian Plate  <cplate@web.de>  (tiny change)

	* nnmaildir.el (nnmaildir-request-update-info): Improved performance.
	Call gnus-add-to-range ranges only once with a prepared article-list.

2007-12-06  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-list, nnmaildir-retrieve-groups)
	(nnmaildir-request-group, nnmaildir-retrieve-headers): Escape spaces in
	group names with backslashes.  Reported by Tassilo Horn
	<tassilo@member.fsf.org>.

2007-12-06  Deepak Goel  <deego3@gmail.com>

	* gnus-art.el (article-make-date-line):
	* gnus-start.el (gnus-load):
	* pop3.el (pop3-read-response): Fix buggy call to `error'.

2007-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-use-idna)
	* gnus-start.el (gnus-site-init-file)
	* message.el (message-use-idna)
	* mm-uu.el (mm-uu-hide-markers)
	* smiley.el (smiley-style): Revert changes that suppress warnings.

2007-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Add meta html tag to
	specify charset to html source.  Reported by Christoph Conrad
	<christoph.conrad@gmx.de>.

2007-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-use-idna): Don't directly refer to the value of
	idna-program in order to suppress byte compile warning issued by XEmacs
	that came to byte compile the default value section of defcustom forms
	recently.

	* gnus-start.el (gnus-site-init-file): Don't directly refer to the
	value of installation-directory.

	* message.el (message-use-idna): Don't directly refer to the value of
	idna-program.

	* mm-uu.el (mm-uu-hide-markers): Don't directly call defined-colors.

	* smiley.el (smiley-style): Don't directly call face-attribute.

2007-12-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-group-highlight-line): Add FIXME.

	* gnus-dired.el: Reduce Gnus dependencies.
	(gnus-ems, gnus-msg, gnus-util, message, mm-decode, mml): Don't
	require.  Use autoloads instead.
	(mml-attach-file, mm-default-file-encoding, mailcap-extension-to-mime)
	(mailcap-mime-info, mm-mailcap-command, ps-print-preprint)
	(message-buffers, gnus-setup-message, gnus-print-buffer): Autoload.
	(gnus-dired-mode): Adjust doc string.
	(gnus-dired-mail-mode): New variable.
	(gnus-dired-mode-map): Avoid using `gnus-define-keys'.
	(gnus-dired-mode): Avoid using `gnus-run-hooks'.
	(gnus-dired-mail-buffers): New function.  Return mail or message
	composition buffers.
	(gnus-dired-attach): Use it.
	(gnus-dired-find-file-mailcap): Call `mailcap-mime-info' with
	NO-DECODE.
	(gnus-dired-print): Use `gnus-print-buffer' depending on
	`gnus-dired-mail-mode'.

2007-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-encoded-word-regexp)
	(rfc2047-encoded-word-regexp-loose): Move forward; add comments
	explaining what regexp patterns are for.

2007-12-04  Glenn Morris  <rgm@gnu.org>

	* password.el: Move to ../password-cache.el.

	* mml1991.el (password-read, password-cache-add, password-cache-remove):
	* mml2015.el (password-read, password-cache-add, password-cache-remove):
	* mml-smime.el (password-read, password-cache-add)
	(password-cache-remove):
	No need to autoload, since mml-sec requires password.

	* gnus.el (gnus-spam-resend-to, gnus-ham-resend-to):
	* message.el (gnus-extract-address-components):
	* mml-smime.el (gnus-extract-address-components): Define for compiler.

	* mml-sec.el, sieve-manage.el, smime.el: Require password-cache or
	password.

2007-12-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* mailcap.el: Reduce dependencies.
	(mail-header-parse-content-type): Autoload.
	(mailcap-delete-duplicates): New alias.
	(mailcap-mime-info): Add optional argument NO-DECODE.
	(mailcap-mime-types): Use mailcap-delete-duplicates.

	* message.el (message-ignored-supersedes-headers): Add "X-ID".

2007-12-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-uu-extract-map): Add a command for the yenc
	function.

	* gnus-uu.el (gnus-uu-decode-yenc): New command.
	(gnus-uu-yenc-article): New function.

	* yenc.el (yenc-first-part-p, yenc-last-part-p): New functions.

	* mm-uu.el (mm-uu-yenc-extract): Get the data from the original
	buffer.

2007-12-02  Glenn Morris  <rgm@gnu.org>

	* sasl-cram.el, sasl-digest.el, sasl-ntlm.el, sasl.el:
	Move to ../net.

	* binhex.el, uudecode.el: Move to ../mail.

	* encrypt.el: Remove file.

2007-12-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cite-prefix-regexp): Remove `-' and `+' to avoid
	matches on patches.

	* gnus-art.el (gnus-article-browse-html-article): Mention
	`mm-text-html-renderer' in the doc string.

	* rfc2047.el (rfc2047-encode-max-chars): Refer to RFC 2047 in doc
	string.  Add comments.

	* message.el (message-idna-to-ascii-rhs-1): Don't call `idna-to-ascii'
	if rhs is ASCII.

2007-12-01  Glenn Morris  <rgm@gnu.org>

	* dig.el, dns.el: Move to ../net.
	* format-spec.el, hex-util.el, sha1.el: Move to ../.

	* mail-source.el (top-level): Require format-spec before
	eval-when-compile.

2007-11-30  Glenn Morris  <rgm@gnu.org>

	* encrypt.el: Require password, rather than autoloading password-read.

2007-11-28  Elias Oltmanns  <eo@nebensachen.de>

	* gnus.el (gnus-method-to-server): Add an optional parameter so the
	caller can indicate whether the cache should be disregarded for this
	call.  This way the result of the call is reproducible at all times and
	can be considered a canonical server name for the supplied method.
	(gnus-agent-method-p): Canonicalize server names by pushing their
	method through `gnus-method-to-server' using the no-cache argument.

	* gnus-srvr.el (gnus-server-insert-server-line): Call
	`gnus-method-to-server' with `no-cache' argument.

	* gnus-agent.el (gnus-agent-toggle-plugged): Don't call
	gnus-agent-possibly-synchronize-flags as this should be called when the
	server is actually being opened.
	(gnus-agent-possibly-synchronize-flags)
	(gnus-agent-possibly-synchronize-flags-server): Move check for the
	flags file of an agentized server to the latter function.

	* gnus-int.el (gnus-agent-possibly-synchronize-flags-server): Autoload.
	(gnus-open-server): Call gnus-agent-possibly-synchronize-flags-server
	after a connection has been established successfully.

2007-11-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-face): Force to display face if called
	interactively; check if gnus-article-x-face-too-ugly matches author.
	(article-display-x-face): Display face even if From header is missing
	as article-display-face does.

2007-11-28  Richard Stallman  <rms@gnu.org>

	* md4.el: Move to ../.
	* hmac-def.el, hmac-md5.el, ntlm.el: Move to ../net.

2007-11-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-sources): Default to fetch from file for
	compatibility with default of nnmail-spool-file.

2007-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-allow-irregular-q-encoded-words): New variable.
	(rfc2047-encodable-p): Use rfc2047-encoded-word-regexp instead of "=?"
	to look for encoded word that should be encoded again.
	(rfc2047-encoded-word-regexp): Make B encoding pattern strict.
	(rfc2047-encoded-word-regexp-loose): New constant that has loose Q
	encoding pattern.
	(rfc2047-decode-region): Switch strict regexp and loose one according
	to rfc2047-allow-irregular-q-encoded-words.

2007-11-26  Simon Josefsson  <simon@josefsson.org>

	* imap.el: Move to ../net directory.

2007-11-25  Romain Francoise  <romain@orebokech.com>

	* gnus-msg.el (gnus-summary-reply): Delete extra paren.

2007-11-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* nnmail.el (nnmail-spool-file): Remove obsolete variable.
	(nnmail-get-new-mail): Remove code using `nnmail-spool-file'.

	* gnus-start.el (defvar, gnus-get-unread-articles): Remove code using
	`nnmail-spool-file'.

	* nnkiboze.el (nnkiboze-generate-groups): Don't bind obsolete
	`nnmail-spool-file'.

	* gnus-move.el (gnus-change-server): Ditto.

	* gnus-kill.el (gnus-batch-score): Ditto.

	* gnus-cache.el (gnus-jog-cache): Ditto.

	* gnus-msg.el (gnus-summary-reply):
	Ignore gnus-confirm-mail-reply-to-news for wide and very wide replies.

2007-11-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cache.el (gnus-cache-generate-nov-databases):
	Use nnml-generate-nov-databases-directory instead of
	nnml-generate-nov-databases-1.

2007-11-24  Glenn Morris  <rgm@gnu.org>

	* message.el (message-tool-bar-retro): Update for rename
	mail_send.xpm->mail-send.xpm.

2007-11-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* smime.el (smime-cert-by-ldap-1): Use `ldap-search' instead of
	`smime-ldap-search' for Emacs 22 and up.

2007-11-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* hashcash.el: Move to ../mail directory.

	* smime-ldap.el: Remove.  Not used in Emacs 22 and up.

	* smime.el (smime-cert-by-ldap-1): Use `ldap-search' instead of
	`smime-ldap-search' for Emacs 22 and up.

2007-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-article-truncate-lines): Use `truncate-lines'.

	* message.el (message-send-mail-function): Fix error convention.
	(message-mailer-swallows-blank-line, message-send-mail-with-sendmail)
	(message-widen-reply, message-send-mail, message-talkative-question)
	(message-with-reply-buffer, message-generate-new-buffer-clone-locals)
	(message-clone-locals, message-send-news): Use with-current-buffer.
	(message-insert-or-toggle-importance): Remove unused var `valid'.
	(message-make-references): Remove unused var `new-references'.
	(message-make-mail-followup-to): Remove unused var `subscribed-lists'.

2007-11-22  Juanma Barranquero  <lekktu@gmail.com>

	* spam.el (spam-find-spam, spam-enter-list): Doc fixes.
	(spam-split-symbolic-return-positive): Reflow docstring.
	(spam-backends, spam-summary-exit-behavior)
	(spam-mark-ham-unread-before-move-from-spam-group)
	(spam-summary-score-preferred-header, spam-sa-learn-spam-switch)
	(spam-sa-learn-ham-switch, spam-sa-learn-unregister-switch)
	(spam-clear-cache, spam-backend-check, spam-install-backend)
	(spam-install-statistical-backend, spam-list-of-processors)
	(spam-group-processor-p, spam-split, spam-bogofilter-score)
	(spam-bsfilter-score, spam-check-bsfilter, spam-crm114-score)
	(spam-check-crm114, spam-initialize, spam-unload-hook):
	Fix typos in docstrings.

2007-11-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-get-unread-articles): Mark groups as having never
	been checked if they have never been read and those group levels are
	higher than the one that a user specified.

2007-11-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-get-unread-articles): Don't prevent from checking
	foreign groups unless a group level is specified by a user.
	Reported by Dan Nicolaescu <dann@ics.uci.edu>.

2007-11-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-send-mail-function): Require sendmail.

2007-11-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-send-mail-function): Check for smtpmail too.

	* utf7.el (utf7-encode, utf7-decode): Use coding system
	`utf-7'/`utf-7-imap' from utf-7.el' if available.

	* message.el (message-send-mail-function): New function.
	(message-send-mail-function): Set default using
	message-send-mail-function.  Adjust doc string.
	(message-send-mail-with-mailclient): New function.

2007-11-17  Richard Stallman  <rms@gnu.org>

	* assistant.el: Remove file.

2007-11-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* smime.el (from):
	* rfc2047.el (message-posting-charset):
	* qp.el (mm-use-ultra-safe-encoding):
	* pop3.el (parse-time-months):
	* nnrss.el (mm-text-html-renderer, mm-text-html-washer-alist):
	* nnml.el (files):
	* nnheader.el (gnus-newsgroup-name, nnheader-file-coding-system)
	(jka-compr-compression-info-list, ange-ftp-path-format)
	(efs-path-regexp):
	* nndiary.el (files):
	* mml2015.el (mc-default-scheme, mc-schemes, pgg-default-user-id)
	(pgg-errors-buffer, pgg-output-buffer, epg-user-id-alist)
	(epg-digest-algorithm-alist, inhibit-redisplay)
	(password-cache-expiry):
	* mml1991.el (pgg-default-user-id, pgg-errors-buffer)
	(pgg-output-buffer, password-cache-expiry):
	* mml.el (mml-dnd-protocol-alist, ange-ftp-name-format)
	(efs-path-regexp):
	* mml-smime.el (epg-user-id-alist, epg-digest-algorithm-alist)
	(inhibit-redisplay):
	* mm-uu.el (file-name, start-point, end-point, entry)
	(gnus-newsgroup-name, gnus-newsgroup-charset):
	* mm-util.el (mm-mime-mule-charset-alist, latin-unity-coding-systems)
	(latin-unity-ucs-list):
	* mm-bodies.el (mm-uu-yenc-decode-function, mm-uu-decode-function)
	(mm-uu-binhex-decode-function):
	* message.el (gnus-message-group-art, gnus-list-identifiers)
	(rmail-enable-mime-composing, gnus-local-organization)
	(gnus-post-method, gnus-select-method, gnus-active-hashtb)
	(gnus-read-active-file, facemenu-add-face-function)
	(facemenu-remove-face-function, gnus-article-decoded-p)
	(tool-bar-mode):
	* mail-source.el (display-time-mail-function):
	* gnus-util.el (nnmail-pathname-coding-system)
	(nnmail-active-file-coding-system, gnus-emphasize-whitespace-regexp)
	(gnus-original-article-buffer, gnus-user-agent)
	(rmail-default-rmail-file, mm-text-coding-system, tool-bar-mode)
	(xemacs-codename, sxemacs-codename, emacs-program-version):
	* gnus-sum.el (tool-bar-mode, gnus-tmp-header, number):
	* gnus-start.el (gnus-agent-covered-methods)
	(gnus-agent-file-loading-local, gnus-agent-file-loading-cache)
	(gnus-current-headers, gnus-thread-indent-array, gnus-newsgroup-name)
	(gnus-newsgroup-headers, gnus-group-list-mode)
	(gnus-group-mark-positions, gnus-newsgroup-data)
	(gnus-newsgroup-unreads, nnoo-state-alist)
	(gnus-current-select-method, mail-sources)
	(nnmail-scan-directory-mail-source-once, nnmail-split-history)
	(nnmail-spool-file, gnus-cache-active-hashtb):
	* gnus-mh.el (mh-lib-progs):
	* gnus-ems.el (gnus-tmp-unread, gnus-tmp-replied)
	(gnus-tmp-score-char, gnus-tmp-indentation, gnus-tmp-opening-bracket)
	(gnus-tmp-lines, gnus-tmp-name, gnus-tmp-closing-bracket)
	(gnus-tmp-subject-or-nil, gnus-check-before-posting, gnus-mouse-face)
	(gnus-group-buffer):
	* gnus-cite.el (font-lock-defaults-computed, font-lock-keywords)
	(font-lock-set-defaults):
	* gnus-art.el (tool-bar-map, w3m-minor-mode-map)
	(gnus-face-properties-alist, charset, gnus-summary-article-menu)
	(gnus-summary-post-menu, total-parts, type, condition, length):
	* gnus-agent.el (gnus-agent-read-agentview):
	* flow-fill.el (show-trailing-whitespace):
	* gnus-group.el (tool-bar-mode, nnrss-group-alist): Remove unnecessary
	eval-and-compile wrappers for byte compiler pacifiers.

	* mm-view.el (mm-inline-image-xemacs): Only do something for XEmacs.
	(mm-display-inline-fontify): Check for featurep 'xemacs not
	extent-list.

	* mm-decode.el (mm-display-external): Check for featurep 'xemacs not
	itimer-list.
	(mm-create-image-xemacs): Only do something for XEmacs.
	(mm-image-fit-p): Check for featurep 'xemacs not glyph-width.

	* mm-util.el (mm-find-buffer-file-coding-system): Add check for XEmacs.

	* gnus-registry.el (gnus-adaptive-word-syntax-table):
	* gnus-fun.el (gnus-face-properties-alist): Pacify byte compiler.

2007-11-15  Juanma Barranquero  <lekktu@gmail.com>

	* nnimap.el (nnimap-split-download-body):
	* gnus-demon.el (gnus-demon):
	* gnus-uu.el (gnus-uu-default-view-rules): Fix typos in docstrings.

2007-11-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-insert-buffer-substring, nntp-copy-to-buffer): New
	macros.
	(nntp-wait-for, nntp-retrieve-articles, nntp-async-trigger)
	(nntp-retrieve-headers-with-xover): Use nntp-insert-buffer-substring to
	copy data from unibyte buffer to multibyte current buffer.
	(nntp-retrieve-headers, nntp-retrieve-groups): Use nntp-copy-to-buffer
	to copy data from unibyte current buffer to multibyte buffer.
	(nntp-make-process-buffer): Make process buffer unibyte.

	* pop3.el (pop3-open-server): Fix typo in Lisp code.

2007-11-14  Denys Duchier  <denys.duchier@univ-orleans.fr>  (tiny change)

	* pop3.el (pop3-open-server): Accept and process data more robustly at
	connexion start to avoid spurious "POP SSL connexion failed" errors.

2007-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-active-to-gnus-format): Use unibyte buffer to
	read group names.

2007-11-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-confirm-mail-reply-to-news): Adjust :version.

2007-11-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-parse-active): Make group names unibyte.
	(nnmail-save-active): Use a unibyte buffer when saving active file,
	which may contain non-ASCII group names.

	* nnml.el (nnml-request-group): Decode group names in messages.

2007-11-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-citation-line-function)
	(message-insert-formatted-citation-line): Fix spelling of
	`message-insert-formated-citation-line'.

2007-11-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-highlight): Mark as risky local variable.

2007-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnml.el (nnml-request-rename-group): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* gnus-group.el (gnus-group-rename-group): Encode non-ASCII group name
	that a user enters; decode group names in messages.

	* gnus-msg.el (gnus-inews-do-gcc): Encode non-ASCII group names.

2007-11-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-eval-alist): Mark as risky local variable.

	* gnus.el (gnus-group-charter-alist): Mark as risky local variable.

	* gnus-art.el (gnus-button-alist, gnus-header-button-alist): Mark as
	risky local variable.

	* gnus-group.el (gnus-group-icon-list): Mark as risky local variable.

2007-11-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* encrypt.el: Improve documentation to fix function name typo.
	Reported by Daiki Ueno <ueno@unixuser.org>.

2007-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-next-page): Honor gnus-article-over-scroll
	even if the point is not in the last page of an article.
	(gnus-article-prev-page): Honor gnus-article-over-scroll when moving
	back to the previous page.

2007-10-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* qp.el (quoted-printable-decode-string): Fix typo in doc string.

2007-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Work even if there's no scroll bar.

2007-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-check-news-body-syntax): Avoid
	mm-string-as-multibyte.
	(message-hide-headers): Don't assume (point-min)==1.

2007-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-remove-blank-cited-lines): Fix if remove is
	given.
	(message-bogus-address-regexp): New variable.
	(message-bogus-recipient-p): New function.
	(message-check-recipients): New command.
	(message-syntax-checks): Add `bogus-recipient'.
	(message-fix-before-sending): Add `bogus-recipient'.

	* gnus-art.el (gnus-button-mid-or-mail-heuristic-alist): Add "alpine".
	(gnus-treat-body-boundary): Don't test window-system.

2007-10-28  Leo  <sdl.web@gmail.com>  (tiny change)

	* gnus-art.el (gnus-treat-emphasize): Don't test window-system.

2007-10-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el: Bump version to Gnus v5.13.

2007-10-28  Miles Bader  <miles@gnu.org>

	* nnheader.el (nnheader-uniquify-message-id): Make sure this is defined
	at compile-time too.

2007-10-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-message-setup-hook): Add
	`message-remove-blank-cited-lines' to options.

2007-10-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-remove-blank-cited-lines): New function.
	Suggested by Karl Plästerer.

2007-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* hashcash.el (mail-add-payment): Replace mapcar called for effect with
	mapc.

	* imap.el (imap-open): Replace mapcar called for effect with mapc.
	(top-level): Use mapc to set functions to be traced for debugging.

	* legacy-gnus-agent.el (gnus-agent-convert-agentview): Replace mapcar
	called for effect with while loop.

	* message.el (message-talkative-question): Replace mapcar called for
	effect with mapc.

	* mm-util.el: Use mapc instead of mapcar to make compatible functions.
	(mm-find-mime-charset-region, mm-find-charset-region): Replace mapcar
	called for effect with dolist.

	* mml.el (mml-insert-mime): Replace mapcar called for effect with mapc.

	* nndiary.el: Use dolist instead of mapcar to add diary headers to
	gnus-extra-headers and nnmail-extra-headers.

	* nnimap.el (nnimap-request-update-info-internal): Replace mapcar
	called for effect with dolist.
	(top-level): Use mapc to set functions to be traced for debugging.

	* nnmail.el (nnmail-read-incoming-hook): Doc fix.
	(nnmail-split-fancy-with-parent): Replace mapcar called for effect with
	dolist.

	* nnmaildir.el (nnmaildir--delete-dir-files, nnmaildir-request-close):
	Replace mapcar called for effect with mapc.
	(nnmaildir--scan, nnmaildir-request-scan, nnmaildir-retrieve-groups)
	(nnmaildir-request-update-info, nnmaildir-request-delete-group)
	(nnmaildir-retrieve-headers, nnmaildir-request-set-mark)
	(nnmaildir-close-group): Replace mapcar called for effect with dolist.

	* nnrss.el (nnrss-make-hash-index): Use gnus-remove-if instead of
	remove-if that's a cl function.

	* webmail.el (webmail-debug): Replace mapcar called for effect with
	dolist.

2007-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-read-agentview, gnus-agent-save-alist)
	(gnus-agent-expire-unagentized-dirs): Replace mapcar called for effect
	with while loop.

	* gnus-art.el: Use mapc instead of mapcar to make gnus-article-*
	functions from article-* functions.
	(gnus-multi-decode-header): Replace mapcar called for effect with
	dolist.

	* gnus-bookmark.el (gnus-bookmark-bmenu-list)
	(gnus-bookmark-show-details): Replace mapcar called for effect with
	while loop.

	* gnus-diary.el (gnus-diary-update-group-parameters): Replace mapcar
	called for effect with while loop.

	* gnus-group.el (gnus-group-suspend): Replace mapcar called for effect
	with dolist.

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): Replace
	mapcar called for effect with dolist.

	* gnus-spec.el (gnus-correct-length): Make it simple and fast.

	* gnus-sum.el (gnus-multi-decode-encoded-word-string)
	(gnus-build-sparse-threads, gnus-summary-limit-include-expunged):
	Replace mapcar called for effect with dolist.
	(gnus-simplify-buffer-fuzzy): Replace mapcar called for effect with
	mapc.

	* gnus-topic.el (gnus-topic-find-groups, gnus-topic-move-group):
	Replace mapcar called for effect with dolist.
	(gnus-topic-list): Replace mapcar called for effect with mapc.

	* gnus.el: Use mapc instead of mapcar to add autoloads.

2007-10-23  Richard Stallman  <rms@gnu.org>

	* gnus-group.el (gnus-group-highlight): Mark as risky.

2007-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-server-to-method): Return method found first in
	gnus-newsrc-alist.

	* gnus-art.el (gnus-article-highlight-signature)
	(gnus-insert-prev-page-button, gnus-insert-next-page-button): Make a
	button overlay without the front stickiness.

2007-10-22  Kevin Greiner  <kevin.greiner@compsol.cc>

	* gnus-agent.el (gnus-agent-expire-group-1): The check for an unsorted
	overview buffer needed a catch to receive its throw.
	(gnus-agent-flush-cache): Declared as interactive to make this function
	easier to use.

2007-10-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* html2text.el (html2text-fix-paragraph): Use `forward-line' instead of
	`next-line'.

2007-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-fancy-expiry-target): Use rmail-dont-reply-to to
	exclude address matching message-dont-reply-to-names.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-string<): New function.

	* gnus-sum.el (gnus-article-sort-by-author)
	(gnus-article-sort-by-recipient, gnus-article-sort-by-subject): Use it.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-win.el (gnus-configure-windows): Focus on the frame for which
	the frame-focus tag is set in gnus-buffer-configuration.

2007-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-add-button): Make a button overlay without
	the front stickiness.

2007-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-button-alist): Exclude newline in RFC2396-compliant
	url pattern; remove duplicate one.
	(gnus-article-extend-url-button): New function.
	(gnus-article-add-buttons): Use it.
	(gnus-button-push): Use concatenated url that it makes.

2007-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* sieve-manage.el (sieve-manage-interactive-login): Doc fix.
	(sieve-manage-open): Use `mapc' instead of `mapcar'.

2007-10-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-uu.el (gnus-uu-reginize-string, gnus-uu-expand-numbers):
	Don't hardcode point-min==1.

2007-09-30  David Kastrup  <dak@gnu.org>

	* gnus-art.el (gnus-article-reply-with-original)
	(gnus-article-followup-with-original): When `transient-mark-mode' is
	off, refrain from active-region behavior for followups.

2007-10-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-charset-synonym-alist): Alias gbk to cp936.
	Fix comment about "iso8859-1".

2007-10-08  Daiki Ueno  <ueno@unixuser.org>

	* mm-decode.el (mm-possibly-verify-or-decrypt): Replace PARTS with the
	ones returned from the verify-function.

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Call
	mml2015-extract-cleartext-signature if extraction failed.

2007-10-07  Daiki Ueno  <ueno@unixuser.org>

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Delete the first line
	beginning with "-----BEGIN PGP SIGNED MESSAGE-----" if extraction
	failed.

2007-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* Relicense "GPLv2 or later" files to "GPLv3 or later".

2007-09-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-kill-thread): Allow universal prefix zero
	to mark a thread as expirable.  Add variable `hide' to handle hiding of
	thread for both the null and zero (kill/expire thread) universal prefix
	cases.
	(gnus-summary-expire-thread): Add new function to expire a thread,
	using gnus-summary-kill-thread.
	(gnus-summary-mode-map, gnus-summary-thread-map): Add 'M-C-e' and 'T e'
	shortcuts for gnus-summary-expire-thread.
	(gnus-summary-mode-map, gnus-summary-thread-map): Remove `M-C-e' and `T
	e' bindings for gnus-summary-expire-thread.  Add `T E' binding.

2007-09-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-store-extra-entry): Allow for nil
	extras value, so an extras entry can be deleted.
	(gnus-registry-delete-extra-entry): Use it.
	(gnus-registry-fetch-extra-flags, gnus-registry-has-extra-flag)
	(gnus-registry-store-extra-flags, gnus-registry-delete-extra-flags)
	(gnus-registry-delete-all-extra-flags): Allow for arbitrary flag symbol
	storage through the gnus-registry, and provide an appropriate API for
	it.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-newsgroup-maximum-articles): Move from gnus.el.
	Suggested by Leo <sdl.web@gmail.com>.

	* gnus.el: Do.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-newsgroup-maximum-articles): Rename from
	gnus-maximum-newsgroup.  Suggested by Leo <sdl.web@gmail.com>.

	* gnus-agent.el (gnus-agent-fetch-headers): Do.

	* gnus-sum.el (gnus-articles-to-read, gnus-list-of-unread-articles)
	(gnus-list-of-read-articles, gnus-sequence-of-unread-articles): Do.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmbox.el (nnmbox-request-article): Don't assume delim regexp matches
	newline.
	(nnmbox-request-accept-article): Don't change article in source buffer;
	narrow to header to use message-fetch-field rather than
	nnmail-fetch-field; use with-current-buffer instead of save-excursion.
	(nnmbox-request-replace-article): Quote lines that'll be misidentified
	as delimiters; make sure article ends with newline.
	(nnmbox-delete-mail): Correct last position of article to be deleted;
	ignore X-Gnus-Newsgroup header in article body.
	(nnmbox-save-mail): Quote lines looking like delimiters at the right
	positions; make sure article ends with newline.

	* message.el (message-display-abbrev): Don't infloop when a user
	inserts SPC in the beginning of header.

2007-09-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unfollowed-groups): Add INBOX to the
	list of groups not followed by default.  Fix type to be regexp.
	(gnus-registry-grep-in-list): Fix inverted parameters to string-match.

2007-09-06  Tassilo Horn  <tassilo@member.fsf.org>

	* hmac-def.el (define-hmac-function): Switch from old-style to
	new-style backquotes.

	* md4.el (md4-make-step): Likewise.

2007-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-gnus-to-newsrc-format): Use a unibyte buffer and
	raw-text coding system when saving .newsrc file, which may contain
	non-ASCII group names.

2007-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cus.el (gnus-score-extra): New widget.
	(gnus-score-extra-convert): New function.
	(gnus-score-customize): Use it for Extra.

2007-08-31  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-extract-cleartext-signature): New function.
	(mml2015-mailcrypt-clear-verify): Use it.
	(mml2015-gpg-clear-verify): Use it.
	(mml2015-pgg-clear-verify): Use it.
	(mml2015-epg-clear-verify): Replace the current part with the output
	from GnuPG; don't extract the plaintext by itself.

	* mm-uu.el (mm-uu-pgp-beginning-signature): Abolish.
	(mm-uu-pgp-signed-extract-1): Bind coding-system-for-read when calling
	mml2015-clear-verify-function; don't touch the armor headers or
	dash-escaped text here.

2007-08-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-part): Don't jump to nonexistent part.
	(gnus-mime-view-part-as-type-internal): Default to text/plain for text
	parts, or application/octet-stream as a last resort.
	(gnus-mime-view-part-as-type): Don't toggle display.
	(gnus-mime-view-part-as-charset): Don't turn off display before
	querying charset.

	* mm-view.el (mm-inline-text-html-render-with-w3): Don't add XEmacs
	stuff to undisplayer function in Emacs.
	(mm-inline-text-html-render-with-w3m): Remove Emacs/W3 stuff.

	* mml.el (mml-generate-mime-1): Prefer utf-8 when encoding
	text/calendar parts.

2007-08-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Use utf-8 by default for
	decoding text/calendar parts.

	* message.el (message-forward-make-body-mime): Always mark body as
	having no illegible text; remove signed-or-encrypted argument.
	(message-forward-make-body): Don't pass signed-or-encrypted arg to it.

	* mml.el (mml-generate-mime): Make sure it uses multibyte temp buffer.
	(mml-generate-mime-1): Don't encode body if it is specified to be in
	raw form; don't make buffer be unibyte when inserting multibyte string.

2007-08-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sha1.el: Fix up comment style.
	(sha1-F0, sha1-F1, sha1-F2, sha1-F3, sha1-S1, sha1-S5, sha1-S30)
	(sha1-OP, sha1-add-to-H): Use new-style backquotes.

	* hex-util.el: Fix up comment style.
	(hex-char-to-num, num-to-hex-char): Use new-style backquotes.

	* gnus-salt.el: Use with-current-buffer.
	(gnus-pick-setup-message): Fix long-standing typo.

2007-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* imap.el (imap-logout-timeout): New variable.
	(imap-logout, imap-logout-wait): New functions.
	(imap-kerberos4-open, imap-gssapi-open, imap-close): Use them.

	* nnimap.el (nnimap-logout-timeout): New server variable.
	(nnimap-open-server, nnimap-close-server): Bind imap-logout-timeout to
	nnimap-logout-timeout.

	* gnus-art.el (gnus-article-summary-command-nosave)
	(gnus-article-read-summary-keys): Don't use 3rd arg of pop-to-buffer.

2007-08-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-maximum-newsgroup): New variable.

	* gnus-agent.el (gnus-agent-fetch-headers): Limit the range of articles
	according to gnus-maximum-newsgroup.

	* gnus-sum.el (gnus-articles-to-read, gnus-list-of-unread-articles)
	(gnus-list-of-read-articles, gnus-sequence-of-unread-articles):
	Limit the range of articles according to gnus-maximum-newsgroup.

2007-08-14  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-art.el (gnus-sticky-article): Fixed problems described in
	<b4mps1qitio.fsf@jpl.org> on ding.  Thanks to Katsumi.
	Don't perform gnus-configure-windows here; reuse existing sticky
	article buffer.

	* gnus-sum.el (gnus-summary-display-article): Setup article buffer if
	it doesn't exist in gnus-article-mode.

2007-08-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-decoded-group-names): New variable.
	(gnus-agent-decoded-group-name): New function.
	(gnus-agent-group-path, gnus-agent-group-pathname): Use it.
	(gnus-agent-expire-group-1): Use it; decode group name in messages.

2007-08-12  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-sum.el (gnus-summary-article-map, gnus-summary-make-menu-bar):
	Add binding for gnus-sticky-article.
	(gnus-summary-exit): Don't kill sticky article buffers.

	* gnus-art.el (gnus-sticky-article-mode): New mode to generate a sticky
	article buffer.
	(gnus-sticky-article, gnus-kill-sticky-article-buffer)
	(gnus-kill-sticky-article-buffers): New commands.

2007-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-xref-number-is-evil): New server variable.
	(nntp-find-group-and-number): If it is non-nil, don't trust article
	numbers in the Xref header.

2007-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-read-group): New function.
	(gnus-agent-flush-group, gnus-agent-expire-group)
	(gnus-agent-regenerate-group): Use it.
	(gnus-agent-expire-unagentized-dirs): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

2007-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-ems.el (gnus-x-splash): Bind inhibit-read-only to t.

	* gnus-sum.el (gnus-summary-insert-articles): Mark inserted articles
	that are unread as unread, and also as selected so that information of
	marks having been changed by a user may be updated when exiting group.

2007-08-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (article-hide-headers): Bind inhibit-read-only to t.

2007-08-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Pass part number that is
	calculated ignoring signature parts to gnus-treat-article.

2007-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-security-verify-or-decrypt): Don't narrow to
	a point here in order to keep the window start.
	(gnus-insert-mime-security-button): Make a button overlay without the
	front stickiness.
	(gnus-mime-display-security): Goto the end of a button.

	* gnus-group.el (gnus-group-name-at-point): Fix regexps.

2007-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-name-at-point): Rewrite; rename from
	group-name-at-point.
	(gnus-group-completing-read): New function that offers decoded
	non-ASCII group names for completion.
	(gnus-fetch-group, gnus-group-read-ephemeral-group)
	(gnus-group-jump-to-group, gnus-group-make-group-simple)
	(gnus-group-unsubscribe-group, gnus-group-fetch-charter)
	(gnus-group-fetch-control): Use it.
	(gnus-fetch-group): Use group-name-at-point for the initial value
	rather than the default value; use gnus-alive-p.

	* gnus-msg.el (gnus-group-mail, gnus-group-news, gnus-group-post-news)
	(gnus-summary-mail-other-window, gnus-summary-news-other-window)
	(gnus-summary-post-news): Use gnus-group-completing-read.

	* gnus-sum.el (gnus-select-newsgroup): Decode group name in error msg.
	(gnus-read-move-group-name): Decode group name for completion.

2007-07-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-srvr.el (gnus-server-close-all-servers): Close servers not only
	in gnus-inserted-opened-servers but also in gnus-server-alist (Katsumi
	Yamaoka slightly modified the code).

2007-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-group-names-not-encoded-p): New variable.
	(nnmail-split-incoming): Bind it.

	* nnml.el (nnml-group-name-charset): New function.
	(nnml-decoded-group-name): Use it; don't decode group name if
	nnmail-group-names-not-encoded-p is non-nil.
	(nnml-encoded-group-name): New function.
	(nnml-group-pathname): Inline nnml-decoded-group-name.
	(nnml-request-expire-articles): Decode group name in message.
	(nnml-request-delete-group): Ditto; bind file-name-coding-system to
	nnmail-pathname-coding-system.
	(nnml-save-mail, nnml-active-number): Work with decoded group names and
	not decoded ones according to nnmail-group-names-not-encoded-p.
	(nnml-generate-active-info): Use nnml-encoded-group-name.

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* gmm-utils.el, gnus-async.el, gnus-msg.el, gnus-score.el
	* gnus-util.el, imap.el, mailcap.el, nnimap.el: Replace `iff' in
	doc-strings and comments.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* Relicense all FSF files to GPLv3 or later.

2007-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article): Make
	gnus-summary-respool-article work.

2007-07-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-uu.el (mm-uu-type-alist): Refer to mm-uu-configure-list in doc
	string.

2007-07-20  Michaël Cadilhac  <michael@cadilhac.name>

	* nnrss.el (nnrss-ignore-article-fields): New variable.  List of fields
	that should be ignored when comparing distant RSS articles with local
	ones.
	(nnrss-make-hash-index): New function.  Create a hash index according
	to the ignored fields.
	(nnrss-check-group): Use it.

2007-07-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-group-pathname): Take notice of the method.

	* gnus-art.el (article-decode-group-name): Decode Xref header too.

	* gnus-group.el (gnus-group-make-group): Encode group name here unless
	the new optional argument ENCODED is non-nil.
	(gnus-group-make-doc-group): Use gnus-group-name-charset to determine
	coding system for encoding group name.
	(gnus-group-make-rss-group): Pass un-encoded group name to
	gnus-group-make-group.
	(gnus-group-set-info): Tell gnus-group-make-group that group name is
	encoded.

	* gnus-sum.el (gnus-summary-move-article, gnus-read-move-group-name):
	Encode group name to which articles are moved or copied.
	(gnus-summary-edit-article): Use gnus-group-name-charset to determine
	coding system for encoding Newsgroup, Followup-To and Xref headers.

	* nnagent.el (nnagent-request-set-mark): Use unibyte buffer to compose
	marks; use nnheader-file-coding-system to write a file.
	(nnagent-retrieve-headers): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* nnmail.el (nnmail-insert-xref): Don't break non-ASCII group name.

	* nnml.el (nnml-decoded-group-name, nnml-group-pathname): New functions.
	(nnml-request-article, nnml-request-create-group)
	(nnml-request-rename-group, nnml-find-id)
	(nnml-possibly-change-directory, nnml-possibly-create-directory)
	(nnml-save-mail, nnml-active-number, nnml-marks-changed-p)
	(nnml-save-marks): Use nnml-group-pathname instead of
	nnmail-group-pathname.

	(nnml-request-create-group, nnml-request-expire-articles)
	(nnml-request-move-article, nnml-request-delete-group)
	(nnml-deletable-article-p, nnml-possibly-create-directory)
	(nnml-get-nov-buffer, nnml-generate-nov-databases-directory)
	(nnml-open-marks): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	(nnml-request-article): Pass server argument to nnml-find-group-number.
	(nnml-request-create-group, nnml-active-number, nnml-save-marks): Pass
	server argument to nnml-possibly-create-directory.
	(nnml-request-accept-article): Pass server argument to
	nnml-active-number and nnml-save-mail.
	(nnml-find-group-number): Pass server argument to nnml-find-id.
	(nnml-request-update-info): Pass server argument to
	nnml-marks-changed-p.

	(nnml-find-id, nnml-find-group-number, nnml-possibly-create-directory)
	(nnml-save-mail, nnml-active-number): Add server argument.

	(nnml-request-delete-group): Warn if group is missing.
	(nnml-get-nov-buffer): Decode group name.
	(nnml-generate-active-info): Encode group name.
	(nnml-open-marks): Decode group name in messages.

2007-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-part-wrapper): Work with the nearest part
	if it is not specified.
	(gnus-article-pipe-part, gnus-article-save-part)
	(gnus-article-interactively-view-part, gnus-article-copy-part)
	(gnus-article-view-part-as-charset, gnus-article-view-part-externally)
	(gnus-article-inline-part, gnus-article-save-part-and-strip)
	(gnus-article-replace-part, gnus-article-delete-part)
	(gnus-article-view-part-as-type): Pass raw prefix argument to
	gnus-article-part-wrapper.

2007-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-save-active): Bind
	nnheader-file-coding-system to gnus-agent-file-coding-system.

	* gnus-cache.el (gnus-cache-save-buffers)
	(gnus-cache-possibly-enter-article, gnus-cache-request-article)
	(gnus-cache-retrieve-headers, gnus-cache-change-buffer)
	(gnus-cache-possibly-remove-article, gnus-cache-articles-in-group)
	(gnus-cache-braid-nov, gnus-cache-braid-heads)
	(gnus-cache-generate-active, gnus-cache-rename-group)
	(gnus-cache-delete-group, gnus-cache-update-file-total-fetched-for)
	(gnus-cache-update-overview-total-fetched-for): Bind
	file-name-coding-system to nnmail-pathname-coding-system.
	(gnus-cache-decoded-group-names, gnus-cache-unified-group-names): New
	variables.
	(gnus-cache-decoded-group-name): New function.
	(gnus-cache-file-name): Use it.
	(gnus-cache-generate-active): Use non-decoded group name for active.

	* gnus-util.el (gnus-write-buffer): Bind file-name-coding-system at the
	right place.
	(gnus-write-active-file): Don't break non-ASCII group names.

	* nntp.el (nntp-marks-changed-p): Bind file-name-coding-system to
	nnmail-pathname-coding-system.

	* gnus-uu.el (gnus-uu-decode-save): Typo.

2007-07-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-srvr.el (gnus-server-font-lock-keywords): Quote faces.

2007-07-14  David Kastrup  <dak@gnu.org>

	* gnus-art.el (gnus-mime-delete-part): Don't go through article-edit
	finishing actions if we did not edit the article.

2007-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-rename-group, gnus-agent-delete-group)
	(gnus-agent-fetch-articles, gnus-agent-unfetch-articles)
	(gnus-agent-crosspost, gnus-agent-backup-overview-buffer)
	(gnus-agent-flush-group, gnus-agent-flush-cache)
	(gnus-agent-fetch-headers, gnus-agent-load-alist)
	(gnus-agent-read-agentview, gnus-agent-expire-group-1)
	(gnus-agent-retrieve-headers, gnus-agent-request-article)
	(gnus-agent-regenerate-group)
	(gnus-agent-update-files-total-fetched-for)
	(gnus-agent-update-view-total-fetched-for): Bind
	file-name-coding-system to nnmail-pathname-coding-system.
	(gnus-agent-group-pathname): Don't encode file names by
	nnmail-pathname-coding-system.
	(gnus-agent-save-local): Bind file-name-coding-system correctly; bind
	coding-system-for-write instead of buffer-file-coding-system to
	gnus-agent-file-coding-system.

	* gnus-msg.el (gnus-inews-make-draft, gnus-inews-insert-archive-gcc):
	Decode group name.

	* gnus-srvr.el (gnus-browse-foreign-server): Make group names unibyte.

	* gnus-start.el (gnus-update-active-hashtb-from-killed)
	(gnus-read-newsrc-el-file): Make group names unibyte.

	* nnmail.el (nnmail-group-pathname): Don't encode file names by
	nnmail-pathname-coding-system.

	* nnrss.el (nnrss-file-coding-system): Doc fix; make it begin with *.
	(nnrss-request-delete-group): Bind file-name-coding-system to
	nnmail-pathname-coding-system.
	(nnrss-read-server-data, nnrss-read-group-data): Bind
	file-name-coding-system correctly.
	(nnrss-check-group): Pass nnrss-file-coding-system to md5.

